2004-06-30  Michael Franz <developer.franz@verizon.net>

        * config/i386/common.h,
        config/i386/beos/md.h,
        config/i386/bsdi/md.h,
        config/i386/cygwin32/md.h,
        config/i386/dgux/md.h,
        config/i386/freebsd2/md.h,
        config/i386/gnu/md.h,
        config/i386/linux/md.h,
        config/i386/netbsd1/md.h,
        config/i386/nextstep3/md.h,
        config/i386/openbsd2/md.h,
        config/i386/oskit/md.h,
        config/i386/qnx/md.h,
        config/i386/sco3.2v5/md.h,
        config/i386/solaris2/md.h,
        config/i386/univel_svr4/md.h:
	Cleaned up sysdepCallMethod.h handling.

2004-07-30  Helmer Kraemer  <hkraemer@freenet.de>

	* kaffe/kaffevm/jit3/registers.c (move_register): fixed passing of
	register ids to the backend

2004-07-30  Helmer Kraemer  <hkraemer@freenet.de>

	* kaffe/kaffevm/kaffe.def (GETSTATIC): treat static final fields of
	initialized classes as constants

2004-07-30  Guilhem Lavaux <guilhem@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/signal.c
	(setupSigAltStack, detectStackBoundaries): Removed setupSigAltStack
	for unix-pthreads as its use is unsafe on most architectures.

2004-07-30  Guilhem Lavaux <guilhem@kaffe.org>

	* libraries/java/lang/Thread.java: Reverted to original file from
	GNU Classpath.

	* libraries/java/lang/Runtime.java
	(addShutdownHook): Use getThreadGroup() == null instead of hasDied()
	which has the same meaning.

2004-07-30  Kiyo Inaba <inaba@src.ricoh.co.jp>

	* kaffe/kaffevm/jit3/machine.c:
	Remove unneeded (and incorrect) code emitted.
	This mod if suggested by Helmer.

	* config/m68k/jit3-icode.h,
	config/m68k/jit3-m68k.def:
	Comment out cmpr_xRC definition. It emits an unimplemented
	machine code for 68030.

2004-07-29  Guilhem Lavaux <guilhem@kaffe.org>

	* libraries/javalib/Klasses.jar.bootstrap: Regenerated.

	* include/Makefile.am: Added header generation for
	java/lang/VMObject and java/lang/VMThread.

	* test/regression/ThreadStop.java:
	Removed file.
	
	* kaffe/kaffevm/exception.c
	(unhandledException): ThreadDeath should not be unhandled anymore
	now. VMThread handles it.

	* kaffe/kaffevm/gcRefs.c
	(liveThreadWalker): Mark both a Thread and a VMThread instance.

	* kaffe/kaffevm/locks.h
	(KAFFE_STATIC_LOCK_INITIALIZER): Completed initializer.

	* kaffe/kaffevm/thread.c,
	kaffe/kaffevm/thread.h: Updated to GNU Classpath's thread
	infrastructure. Removed unused code.
	(setPriorityThread,startThread,stopThread,interruptThread,
	finalizeThread, nameThread): New prototype.
	(firstStartThread): We do not need to handle exceptions anymore as
	this is already done by VMThread.
	(getCurrentVMThread): New function.

	* kaffe/kaffevm/systems/unix-jthreads/jthread.c
	(suspendOnQThread): Clear INTERRUPTED_READ flag.
	(jthread_interrupted): New function.

	* kaffe/kaffevm/systems/unix-jthreads/jthread.h
	(THREAD_FLAGS_INTERRUPTED_READ): New flag.
	(jthread_interrupted): New function.

	* kaffe/kaffevm/systems/unix-pthreads/lock-impl.c
	(jcondvar_wait): Set the interrupt status to the correct
	value according to the return value.
	
	* kaffe/kaffevm/systems/unix-pthreads/syscalls.c
	(waitForTimeOut, waitForWritable): Set the interrupt status to the
	correct value according to errno.

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c
	(jthread_interrupt): Set the interrupt status to 1.
	(jthread_is_interrupted): New function.
	(jthread_interrupted): New function.

	* kaffe/kaffevm/systems/unix-pthreads/thread-internal.h
	(jthread_t.interrupting): New field.
	(jthread_is_interrupted): Removed.

	* libraries/clib/native/Object.c
	(java_lang_VMObject_clone): Renamed from java_lang_Object_clone.
	(java_lang_VMObject_nativeWait): Renamed from
	java_lang_Object_wait0.
	(java_lang_VMObject_notifyAll): Renamed from
	java_lang_Object_notifyAll.
	(java_lang_Object_hashCode): Removed.
	(java_lang_VMObject_notify):  Renamed from
	java_lang_Object_notify.

	* libraries/clib/native/System.c
	(java_lang_System_identityHashCode): Compute the hash code here
	now.

	* libraries/clib/native/Thread.c
	(java_lang_VMThread_yield): Renamed from java_lang_Thread_yield0.
	(java_lang_VMThread_start): Renamed from java_lang_Thread_start0.
	(java_lang_VMThread_nativeSetPriority): Renamed from
	java_lang_Thread_setPriority0.
	(java_lang_VMThread_nativeInterrupt): Renamed from 
	java_lang_Thread_interrupt0.
	(java_lang_VMThread_finalize): Renamed from
	java_lang_Thread_finalize0.
	(java_lang_VMThread_nativeInterrupted,
	java_lang_VMThread_nativeIsInterrupted): New functions.
	(java_lang_Thread_destroy0,
	java_lang_Thread_stop0): Removed.

	* libraries/javalib/all.files: Added java/lang/VMObject.java
	and java/lang/VMThread.java.

	* libraries/javalib/bootstrap.classlist: Added java/lang/VMObject.class
	and java/lang/VMThread.class.

	* libraries/javalib/java/lang/InheritableThreadLocal.java,
	libraries/javalib/java/lang/Object.java,
	libraries/javalib/java/lang/Thread.java,
	libraries/javalib/java/lang/ThreadDeath.java,
	libraries/javalib/java/lang/ThreadGroup.java,
	libraries/javalib/java/lang/ThreadLocal.java:
	Imported from GNU Classpath.
	
	* libraries/javalib/java/lang/Runtime.java
	(securityManager): New field.
	(runShutdownHooks): Do not call Thread.destroy() but throw
	ThreadDeath.
	
	* libraries/javalib/java/lang/System.java
	(security): Removed.
	(getSecurityManager, setSecurityManager): Use
	Runtime.securityManager instead of security.

	* test/regression/Bean.java, test/regression/Reflect.java:
	Updated the expected output to match the new interface.

	* test/regression/CLTestConc.java: Do not call Thread.stop().

	* test/regression/CatchDeath.java: Explicitly throw ThreadDeath
	instead of throwing it implicitly using Thread.stop().

	* test/regression/Makefile.am
	(TEST_STOPPING_THREADS): Removed ThreadStop.

	* test/regression/ThreadInterrupt.java
	(ssij): Added a call to printStackTrace().

	* libraries/javalib/awt-implementations/kaffe/Makefile.am
	(Klasses_jar): rt.jar is generated in the build directory.
	
	* include/Makefile.in, libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/awt-implementations/kaffe/Makefile.in,
	test/regression/Makefile.in:
	Regenerated.
	
2004-07-29  Dalibor Topic  <robilad@kaffe.org>

	* FAQ/FAQ.automake,
        developers/autogen.sh:
	Updated to GNU Automake 1.9.

	* Makefile.am:
	(SUBDIRS) Added po to fix automake 1.9 warning.

	* kaffe/xprof/Makefile.am:
	(CFLAGS) Turned into AM_CFLAGS temporarily, to fix automake 
	1.9 warning. This needs to be fixed in a different way.

	* test/regression/Makefile.am:
	Removed special handling of USER_WANT_GNU_CRYPTO.

	* developers/update-class-list:
	Removed support for ommitting class library directories,
	as the java/awt/win32 directory is no longer part of default
	class library.

        * Makefile.in,
        aclocal.m4,
        configure,
        config/Makefile.in,
        include/Makefile.in,
        kaffe/Makefile.in,
        kaffe/jvmpi/Makefile.in,
        kaffe/kaffe/Makefile.in,
        kaffe/kaffeh/Makefile.in,
        kaffe/kaffevm/Makefile.in,
        kaffe/kaffevm/boehm-gc/Makefile.in,
        kaffe/kaffevm/gcj/Makefile.in,
        kaffe/kaffevm/intrp/Makefile.in,
        kaffe/kaffevm/jit/Makefile.in,
        kaffe/kaffevm/jit3/Makefile.in,
        kaffe/kaffevm/jni/Makefile.in,
        kaffe/kaffevm/kaffe-gc/Makefile.in,
        kaffe/kaffevm/systems/Makefile.in,
        kaffe/kaffevm/systems/beos-native/Makefile.in,
        kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
        kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
        kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
        kaffe/kaffevm/verifier/Makefile.in,
        kaffe/man/Makefile.in,
        kaffe/scripts/Makefile.in,
        kaffe/scripts/bat/Makefile.in,
        kaffe/scripts/compat/Makefile.in,
        kaffe/xprof/Makefile.in,
        libltdl/Makefile.in,
        libltdl/aclocal.m4,
        libltdl/configure,
        libraries/Makefile.in,
        libraries/clib/Makefile.in,
        libraries/clib/awt/Makefile.in,
        libraries/clib/awt/X/Makefile.in,
        libraries/clib/awt/classpath-gtk/Makefile.in,
        libraries/clib/awt/classpath-gtk/classpath/Makefile.in,
        libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.in,
        libraries/clib/awt/classpath-gtk/resource/Makefile.in,
        libraries/clib/awt/qt/Makefile.in,
        libraries/clib/io/Makefile.in,
        libraries/clib/libxmlj/Makefile.in,
        libraries/clib/management/Makefile.in,
        libraries/clib/math/Makefile.in,
        libraries/clib/native/Makefile.in,
        libraries/clib/net/Makefile.in,
        libraries/clib/nio/Makefile.in,
        libraries/clib/security/Makefile.in,
        libraries/clib/sound/Makefile.in,
        libraries/clib/sound/alsa/Makefile.in,
        libraries/clib/sound/common/Makefile.in,
        libraries/clib/sound/esd/Makefile.in,
        libraries/clib/zip/Makefile.in,
        libraries/extensions/Makefile.in,
        libraries/extensions/comm/Makefile.in,
        libraries/extensions/comm/javalib/Makefile.in,
        libraries/extensions/microsoft/Makefile.in,
        libraries/extensions/microsoft/clib/Makefile.in,
        libraries/extensions/microsoft/javalib/Makefile.in,
        libraries/extensions/pjava/Makefile.in,
        libraries/extensions/pjava/javalib/Makefile.in,
        libraries/extensions/servlet/Makefile.in,
        libraries/extensions/servlet/javalib/Makefile.in,
        libraries/javalib/Makefile.in,
        libraries/javalib/awt-implementations/Makefile.in,
        libraries/javalib/awt-implementations/kaffe/Makefile.in,
        libraries/javalib/gmp-math/Makefile.in,
        replace/Makefile.in,
        scripts/config.guess,
        scripts/config.sub,
        scripts/depcomp,
        scripts/install-sh,
        test/Makefile.in,
        test/internal/Makefile.in,
        test/jni/Makefile.in,
        test/regression/Makefile.in,
        test/regression/compile_time/Makefile.in,
        test/regression/compiler/Makefile.in,
        test/regression/run_time/Makefile.in,
        tools/Makefile.in,
        tools/gjdoc/Makefile.in,
        tools/gjdoc/javalib/Makefile.in:
	Regenerated.

2004-07-29  Dalibor Topic  <robilad@kaffe.org>

        * Makefile.am:
	(DIST_SUBDIRS) Remove '.'.

	Reported by: Casey Marshall <csm@gnu.org>

        * kaffe/kaffevm/boehm-gc/Makefile.am:
	(libkaffegc_la_SOURCES) Removed unused files, and cleaned up.

        * libraries/clib/awt/Makefile.am:
	Cleaned up. Removed DIST_SUBDIRS.

	Reported by: Alexandre Duret-Lutz <adl@src.lip6.fr>

        * libraries/javalib/Makefile.am.in:
	Cleaned up. Removed unused files and directories from
	EXTRA_DIST.

        * Makefile.in,
        kaffe/kaffevm/boehm-gc/Makefile.in,
        libraries/clib/awt/Makefile.in,
        libraries/javalib/Makefile.am,
        libraries/javalib/Makefile.in:
	Regenerated.

2004-07-26  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/io/EncodingManager.java:
	Reverted back to old version to fix unintended commit.
	Brown paper bag time.

	Reported by: Guilhem Lavaux <guilhem@kaffe.org>

2004-07-27  Helmer Kraemer  <hkraemer@freenet.de>

	* test/internal/jit_stub.c (main): GC_init has become KGC_init

	* test/internal/ControlFlowMethods.java (int_exception,
	int_exception0, int_exception1, int_exception2, int_exception3):
	new tests to check that local variables are properly saved on the
	stack when an exception is thrown

2004-07-26  Dalibor Topic  <robilad@kaffe.org>

        * libraries/javalib/gnu/java/nio/VMPipe.java,
        libraries/javalib/gnu/java/security/action/SetAccessibleAction.java:
	New files. Taken from GNU Classpath.

        * libraries/javalib/Makefile.am,
        libraries/javalib/Makefile.in,
        libraries/javalib/all.files:
	Regenerated.

        * libraries/javalib/gnu/java/awt/ComponentDataBlitOp.java,
        libraries/javalib/gnu/java/awt/peer/gtk/GtkMenuPeer.java,
        libraries/javalib/gnu/java/io/EncodingManager.java,
        libraries/javalib/gnu/java/math/MPN.java,
        libraries/javalib/gnu/java/net/content/text/plain.java,
        libraries/javalib/gnu/java/net/protocol/file/Connection.java,
        libraries/javalib/gnu/java/net/protocol/http/Connection.java,
        libraries/javalib/gnu/java/net/protocol/jar/Connection.java,
        libraries/javalib/gnu/java/net/protocol/jar/Handler.java,
        libraries/javalib/gnu/java/nio/FileLockImpl.java,
        libraries/javalib/gnu/java/nio/PipeImpl.java,
        libraries/javalib/gnu/java/nio/SocketChannelImpl.java,
        libraries/javalib/gnu/java/rmi/dgc/DGCImpl.java,
        libraries/javalib/gnu/java/rmi/rmic/CompilerProcess.java,
        libraries/javalib/gnu/java/rmi/rmic/RMIC.java,
        libraries/javalib/gnu/java/security/Engine.java,
        libraries/javalib/java/applet/Applet.java,
        libraries/javalib/java/io/BufferedWriter.java,
        libraries/javalib/java/io/File.java,
        libraries/javalib/java/io/FilterWriter.java,
        libraries/javalib/java/io/ObjectInputStream.java,
        libraries/javalib/java/io/ObjectOutputStream.java,
        libraries/javalib/java/io/ObjectStreamClass.java,
        libraries/javalib/java/io/PrintWriter.java,
        libraries/javalib/java/math/BigDecimal.java,
        libraries/javalib/java/net/DatagramSocket.java,
        libraries/javalib/java/net/Socket.java,
        libraries/javalib/java/net/SocketPermission.java,
        libraries/javalib/java/net/URL.java,
        libraries/javalib/java/net/URLConnection.java,
        libraries/javalib/java/nio/ByteOrder.java,
        libraries/javalib/java/nio/charset/CharsetDecoder.java,
        libraries/javalib/java/sql/Timestamp.java,
        libraries/javalib/java/util/SimpleTimeZone.java,
        libraries/javalib/java/util/zip/GZIPOutputStream.java:
	Resynced with GNU Classpath.

	2004-07-16  Michael Koch  <konqueror@gmx.de>

        * java/util/zip/GZIPOutputStream.java:
        Fixed javadocs.

	2004-07-15  Bryce McKinlay  <mckinlay@redhat.com>

        PR libgcj/16574
        * java/sql/Timestamp.java (dateFormat): Renamed from sdf.
        (decimalFormat): New static variable.
        (sbuf): Likewise.
        (getTime): New. Override Date.getTime().
        (toString): Synchronize. Use decimalFormat to format nanos value
        correctly. Truncate extra zeros.
        (before): Compare getNanos() only if getTime() is equal.
        (after): Likewise.

	2004-07-15  Michael Koch  <konqueror@gmx.de>

        * java/nio/charset/CharsetDecoder.java
        (decode): Fix for bug #9177: Reset state before flipping.

	2004-07-16  Michael Koch  <konqueror@gmx.de>

        * java/nio/ByteOrder.java
        (static): Removed. Not needed.
        Thanks to Patrick Reali for noticing.

	2004-07-21  Bryce McKinlay  <mckinlay@redhat.com>

        * java/net/URLConnection.java (position): New field.
        (dateFormat1, dateFormat2, dateFormat3): Removed.
        (dateFormats): New field.
        (getHeaderFieldDate): Use new dateFormats array. Re-use parsePosition
        each time instead of re-allocating.
        (initializeDateFormats): Initialize 'dateFormats'.

	2004-07-16  Jeroen Frijters  <jeroen@frijters.net>

        * java/net/URL.java (URL(String,String,int,String,URLStreamHandler):
        Don't set authority if host isn't specified.

	2004-07-20  Bryce McKinlay  <mckinlay@redhat.com>

        * java/net/Socket.java (getImpl): Now private. Remove comment.

	2004-07-17  Michael Koch  <konqueror@gmx.de>

        * java/net/DatagramSocket.java
        (getLocalAddress): Check if socket is bound or not.
        * java/net/Socket.java
        (getLocalAddrss): Check if socket is bound or not.
        (getPort): Return -1 when not connected. Dont check getImpl() for
        null.
        (setReuseAddress): Check if socket is closed.
        (isConnected): Check if getImpl() returns null.

	2004-07-20  Bryce McKinlay  <mckinlay@redhat.com>

        * java/io/BufferedWriter.java (BufferedWriter): Use existing lock
        of chained Writer when calling super-constructor.
        * java/io/FilterWriter.java (FilterWriter): Likewise.
        * java/io/PrintWriter.java (PrintWriter): Likewise.

	2004-06-26  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * java/applet/Applet.java: Revert changes from 2004-04-29,
        2004-03-15 and 2004-03-14.

	2004-07-20  Patrik Reali  <reali@acm.org>

        * gnu/java/nio/PipeImpl.java,
        vm/reference/gnu/java/nio/VMPipe.java,
        vm/reference/gnu/java/nio/VMPipeImpl.java: VMPipeImpl renamed to VMPipe

	2004-07-20  Patrik Reali  <reali@acm.org>

        * gnu/java/nio/PipeImpl.java,
        vm/reference/gnu/java/nio/VMPipeImpl.java: native method init moved
        from gnu.java.nio.PipeImpl to gnu.java.nio.VMPipeImpl

	2004-04-23  Tom Tromey  <tromey@redhat.com>

        * java/math/BigDecimal.java (divide): Removed unused variable.
        * gnu/java/nio/SocketChannelImpl.java: Cleaned up imports.
        * gnu/java/nio/FileLockImpl.java: Cleaned up imports.

	2004-07-23  Mark Wielaard  <mark@klomp.org>

        * gnu/java/net/protocol/http/Connection.java (static): Get httpAgent
        from system property inside AccessController.doPrivileged() call.
        (proxyPort): Made package private.
        (proxyInUse): Likewise.
        (proxyHost): Likewise.
        (userAgent): Likewise.

	2004-07-23  Bryce McKinlay  <mckinlay@redhat.com>

        * gnu/java/net/protocol/http/Connection.java: Use GetPropertyAction
        for privileged getProperty calls.
        * java/io/ObjectOutputStream.java (getField): No longer static. Use
        SetAccessibleAction instead of anonymous class for doPrivileged call.
        (getMethod): Likewise.
        (setAccessible): New field. PrivilegedAction object to use when
        calling setAccessible.
        * java/io/ObjectStreamClass.java (calculateOffsets): Use
        SetAccessibleAction instead of anonymous class for diPrivileged call.
        (setFields): Likewise.
        (getClassUID): Likewise.
        (findMethod): Likewise.
        * gnu/java/security/action/SetAccessibleAction.java: New class.

	2004-07-25 Dalibor Topic <robilad@kaffe.org>

        * gnu/java/awt/ComponentDataBlitOp.java,
        Cleaned up imports.

	2003-07-09  Michael Koch  <konqueror@gmx.de>

        * gnu/java/awt/peer/gtk/GtkMenuPeer.java:
        Reworked import statements.

	2004-06-07  Archie Cobbs  <archie@dellroad.org>

        * gnu/java/io/EncodingManager.java, java/util/ResourceBundle.java:
        Replace ``Class.forName("Foo")'' with ``Foo.class''.

	2004-05-07  Michael Koch  <konqueror@gmx.de>

        * gnu/java/math/MPN.java,
        gnu/java/rmi/rmic/CompilerProcess.java:
        Fixed javadocs all over.

2004-07-26  Dalibor Topic  <robilad@kaffe.org>

	* test/regression/BeanBug.java: Adapted expected output
	for Classpath's AWT.

	Reported by: Guilhem Lavaux <guilhem@kaffe.org>
	
2004-07-25  Dalibor Topic  <robilad@kaffe.org>

        * include/Makefile.am
	(LIBXMLJ_JNI_HDRS) Updated.

        * include/Makefile.in,
        libraries/javalib/Makefile.am,
        libraries/javalib/Makefile.in,
        libraries/javalib/all.files:
	Regenerated.

        * kaffe/scripts/javadoc.in,
	kaffe/scripts/compat/javadoc.in:
	Updated for libxslt transformer.

        * libraries/clib/libxmlj/xmlj_dom.c,
        libraries/clib/libxmlj/xmlj_dom.h,
        libraries/clib/libxmlj/xmlj_error.c,
        libraries/clib/libxmlj/xmlj_io.c,
        libraries/clib/libxmlj/xmlj_io.h,
        libraries/clib/libxmlj/xmlj_node.c,
        libraries/clib/libxmlj/xmlj_sax.c,
        libraries/clib/libxmlj/xmlj_sax.h,
        libraries/clib/libxmlj/xmlj_transform.c,
        libraries/clib/libxmlj/xmlj_util.c,
        libraries/clib/libxmlj/xmlj_util.h,
        libraries/clib/libxmlj/xmlj_xpath.c,
        libraries/javalib/gnu/xml/aelfred2/SAXDriver.java,
        libraries/javalib/gnu/xml/aelfred2/XmlParser.java,
        libraries/javalib/gnu/xml/libxmlj/dom/GnomeAttr.java,
        libraries/javalib/gnu/xml/libxmlj/dom/GnomeCDATASection.java,
        libraries/javalib/gnu/xml/libxmlj/dom/GnomeCharacterData.java,
        libraries/javalib/gnu/xml/libxmlj/dom/GnomeComment.java,
        libraries/javalib/gnu/xml/libxmlj/dom/GnomeDocument.java,
        libraries/javalib/gnu/xml/libxmlj/dom/GnomeDocumentBuilder.java,
        libraries/javalib/gnu/xml/libxmlj/dom/GnomeDocumentBuilderFactory.java,
        libraries/javalib/gnu/xml/libxmlj/dom/GnomeDocumentFragment.java,
        libraries/javalib/gnu/xml/libxmlj/dom/GnomeDocumentType.java,
        libraries/javalib/gnu/xml/libxmlj/dom/GnomeElement.java,
        libraries/javalib/gnu/xml/libxmlj/dom/GnomeEntity.java,
        libraries/javalib/gnu/xml/libxmlj/dom/GnomeEntityReference.java,
        libraries/javalib/gnu/xml/libxmlj/dom/GnomeNamedNodeMap.java,
        libraries/javalib/gnu/xml/libxmlj/dom/GnomeNode.java,
        libraries/javalib/gnu/xml/libxmlj/dom/GnomeNodeList.java,
        libraries/javalib/gnu/xml/libxmlj/dom/GnomeNotation.java,
        libraries/javalib/gnu/xml/libxmlj/dom/GnomeProcessingInstruction.java,
        libraries/javalib/gnu/xml/libxmlj/dom/GnomeText.java,
        libraries/javalib/gnu/xml/libxmlj/dom/GnomeXPathExpression.java,
        libraries/javalib/gnu/xml/libxmlj/dom/GnomeXPathNSResolver.java,
        libraries/javalib/gnu/xml/libxmlj/dom/GnomeXPathResult.java,
        libraries/javalib/gnu/xml/libxmlj/sax/GnomeLocator.java,
        libraries/javalib/gnu/xml/libxmlj/sax/GnomeSAXParser.java,
        libraries/javalib/gnu/xml/libxmlj/sax/GnomeSAXParserFactory.java,
        libraries/javalib/gnu/xml/libxmlj/sax/GnomeXMLReader.java,
        libraries/javalib/gnu/xml/libxmlj/sax/Namespaces.java,
        libraries/javalib/gnu/xml/libxmlj/sax/StringArrayAttributes.java,
        libraries/javalib/gnu/xml/libxmlj/sax/XMLName.java,
        libraries/javalib/gnu/xml/libxmlj/transform/GnomeTransformerFactory.java,
        libraries/javalib/gnu/xml/libxmlj/transform/JavaContext.java,
        libraries/javalib/gnu/xml/libxmlj/transform/LibxsltStylesheet.java,
        libraries/javalib/gnu/xml/libxmlj/transform/TransformTest.java,
        libraries/javalib/gnu/xml/libxmlj/util/EmptyNodeList.java,
        libraries/javalib/gnu/xml/libxmlj/util/NamedInputStream.java,
        libraries/javalib/gnu/xml/libxmlj/util/StandaloneDocumentType.java,
        libraries/javalib/gnu/xml/libxmlj/util/StandaloneLocator.java,
        libraries/javalib/gnu/xml/libxmlj/util/XMLJ.java:
	Resynced with GNU JAXP.

	2004-07-21  Chris Burdess <dog@gnu.org>

        * GnomeTransformerFactory.java: getFeature supports stream features.
        * dom: Added traversal function.

	2004-07-12  Chris Burdess <dog@gnu.org>

        * dom: Entities and notations NamedNodeMaps.

	2004-07-06  Chris Burdess <dog@gnu.org>

        * xpath: Permit wildcards in getElementsByTagName[NS].

	2004-07-04  Chris Burdess <dog@gnu.org>

        * dom: Skeleton DOMConfiguration implementation.

	2004-07-03  Chris Burdess <dog@gnu.org>

        * dom: Corrected GnomeElement attribute methods and isEqualNode.

	2004-07-01  Chris Burdess <dog@gnu.org>

        * dom: Corrected implementation of getElementsByTagName.

	2004-06-29  Chris Burdess <dog@gnu.org>

        * dom: Added implementation of DOMImplementationSource.

	2004-06-28  Chris Burdess <dog@gnu.org>

        * dom: Fixed name matching.

	2004-06-26  Chris Burdess <dog@gnu.org>

        * dom: Added GnomeTypeInfo.

	2004-06-25  Chris Burdess <dog@gnu.org>

        * xmlj_sax.c: Revert to calling ignorableWhitespace.

	2004-06-23  Chris Burdess <dog@gnu.org>

        * all: Use RawData for native pointers.
        * xmlj_sax.c: Fixed entity resolution.
        * xmlj_io.c: Fixed race condition closing input stream context.

	2004-07-25  Musachy Barroso  <musachy@gmail.com>

        * XmlParser.java: Fixed end-of-line handling to comply with sec 2.11.

	2004-07-11  Musachy Barroso  <musachy@gmail.com>

        * XmlParser.java: Handle empty documents.

	2004-07-11  Musachy Barroso  <musachy@gmail.com>

        * XmlParser.java: Call StartDocument at the right time.

	2004-07-11  Musachy Barroso  <musachy@gmail.com>

        * XmlParser.java: Disable LIT_DISABLE_CREF flag on entities parsing.

	2004-07-11  Musachy Barroso  <musachy@gmail.com>

        * SAXDriver.java: Refactoring of various attributes lists into a single list.

	2004-06-24  Chris Burdess <dog@bluezoo.org>

        * SAXDriver.java: Introduced reset method to reset state before
            new parse. Thanks to Musachy Barroso.

2004-07-25  Dalibor Topic  <robilad@kaffe.org>

	Added support for https connections.

	* libraries/clib/security/java.security: 
	Added Jessie crypto provider.

        * libraries/javalib/Makefile.am,
        libraries/javalib/Makefile.in,
        libraries/javalib/all.files:
	Regenerated.

        * libraries/javalib/gnu/inet/ftp/ActiveModeDTP.java,
        libraries/javalib/gnu/inet/ftp/BlockInputStream.java,
        libraries/javalib/gnu/inet/ftp/BlockOutputStream.java,
        libraries/javalib/gnu/inet/ftp/CompressedInputStream.java,
        libraries/javalib/gnu/inet/ftp/CompressedOutputStream.java,
        libraries/javalib/gnu/inet/ftp/DTP.java,
        libraries/javalib/gnu/inet/ftp/DTPInputStream.java,
        libraries/javalib/gnu/inet/ftp/DTPOutputStream.java,
        libraries/javalib/gnu/inet/ftp/FTPConnection.java,
        libraries/javalib/gnu/inet/ftp/FTPException.java,
        libraries/javalib/gnu/inet/ftp/FTPResponse.java,
        libraries/javalib/gnu/inet/ftp/FTPURLConnection.java,
        libraries/javalib/gnu/inet/ftp/FTPURLStreamHandler.java,
        libraries/javalib/gnu/inet/ftp/Handler.java,
        libraries/javalib/gnu/inet/ftp/PassiveModeDTP.java,
        libraries/javalib/gnu/inet/ftp/StreamInputStream.java,
        libraries/javalib/gnu/inet/ftp/StreamOutputStream.java,
        libraries/javalib/gnu/inet/ftp/package.html:
	Resynced with GNU Inetlib.

        * libraries/javalib/gnu/inet/finger/FingerConnection.java,
        libraries/javalib/gnu/inet/finger/FingerURLConnection.java,
        libraries/javalib/gnu/inet/finger/Handler.java,
        libraries/javalib/gnu/inet/finger/package.html,
        libraries/javalib/gnu/inet/gopher/DirectoryEntry.java,
        libraries/javalib/gnu/inet/gopher/DirectoryListing.java,
        libraries/javalib/gnu/inet/gopher/GopherConnection.java,
        libraries/javalib/gnu/inet/gopher/GopherContentHandler.java,
        libraries/javalib/gnu/inet/gopher/GopherURLConnection.java,
        libraries/javalib/gnu/inet/gopher/Handler.java,
        libraries/javalib/gnu/inet/gopher/package.html,
        libraries/javalib/gnu/inet/http/Authenticator.java,
        libraries/javalib/gnu/inet/http/ByteArrayRequestBodyWriter.java,
        libraries/javalib/gnu/inet/http/ByteArrayResponseBodyReader.java,
        libraries/javalib/gnu/inet/http/ChunkedInputStream.java,
        libraries/javalib/gnu/inet/http/Credentials.java,
        libraries/javalib/gnu/inet/http/HTTPConnection.java,
        libraries/javalib/gnu/inet/http/HTTPDateFormat.java,
        libraries/javalib/gnu/inet/http/HTTPURLConnection.java,
        libraries/javalib/gnu/inet/http/Handler.java,
        libraries/javalib/gnu/inet/http/Headers.java,
        libraries/javalib/gnu/inet/http/Request.java,
        libraries/javalib/gnu/inet/http/RequestBodyWriter.java,
        libraries/javalib/gnu/inet/http/Response.java,
        libraries/javalib/gnu/inet/http/ResponseBodyReader.java,
        libraries/javalib/gnu/inet/http/ResponseHeaderHandler.java,
        libraries/javalib/gnu/inet/http/event/ConnectionEvent.java,
        libraries/javalib/gnu/inet/http/event/ConnectionListener.java,
        libraries/javalib/gnu/inet/http/event/RequestEvent.java,
        libraries/javalib/gnu/inet/http/event/RequestListener.java,
        libraries/javalib/gnu/inet/http/package.html,
        libraries/javalib/gnu/inet/https/Handler.java,
        libraries/javalib/gnu/inet/imap/IMAPConnection.java,
        libraries/javalib/gnu/inet/imap/IMAPConstants.java,
        libraries/javalib/gnu/inet/imap/IMAPException.java,
        libraries/javalib/gnu/inet/imap/IMAPResponse.java,
        libraries/javalib/gnu/inet/imap/IMAPResponseTokenizer.java,
        libraries/javalib/gnu/inet/imap/ListEntry.java,
        libraries/javalib/gnu/inet/imap/MailboxStatus.java,
        libraries/javalib/gnu/inet/imap/MessageStatus.java,
        libraries/javalib/gnu/inet/imap/Pair.java,
        libraries/javalib/gnu/inet/imap/UTF7imap.java,
        libraries/javalib/gnu/inet/imap/package.html,
        libraries/javalib/gnu/inet/nntp/ActiveTime.java,
        libraries/javalib/gnu/inet/nntp/ActiveTimesIterator.java,
        libraries/javalib/gnu/inet/nntp/ArticleNumberIterator.java,
        libraries/javalib/gnu/inet/nntp/ArticleResponse.java,
        libraries/javalib/gnu/inet/nntp/ArticleStream.java,
        libraries/javalib/gnu/inet/nntp/FileNewsrc.java,
        libraries/javalib/gnu/inet/nntp/Group.java,
        libraries/javalib/gnu/inet/nntp/GroupIterator.java,
        libraries/javalib/gnu/inet/nntp/GroupResponse.java,
        libraries/javalib/gnu/inet/nntp/HeaderEntry.java,
        libraries/javalib/gnu/inet/nntp/HeaderIterator.java,
        libraries/javalib/gnu/inet/nntp/LineIterator.java,
        libraries/javalib/gnu/inet/nntp/NNTPConnection.java,
        libraries/javalib/gnu/inet/nntp/NNTPConstants.java,
        libraries/javalib/gnu/inet/nntp/NNTPException.java,
        libraries/javalib/gnu/inet/nntp/Newsrc.java,
        libraries/javalib/gnu/inet/nntp/Overview.java,
        libraries/javalib/gnu/inet/nntp/OverviewIterator.java,
        libraries/javalib/gnu/inet/nntp/Pair.java,
        libraries/javalib/gnu/inet/nntp/PairIterator.java,
        libraries/javalib/gnu/inet/nntp/PendingData.java,
        libraries/javalib/gnu/inet/nntp/PostStream.java,
        libraries/javalib/gnu/inet/nntp/Range.java,
        libraries/javalib/gnu/inet/nntp/StatusResponse.java,
        libraries/javalib/gnu/inet/nntp/package.html,
        libraries/javalib/gnu/inet/pop3/POP3Connection.java,
        libraries/javalib/gnu/inet/pop3/package.html,
        libraries/javalib/gnu/inet/smtp/Parameter.java,
        libraries/javalib/gnu/inet/smtp/ParameterList.java,
        libraries/javalib/gnu/inet/smtp/SMTPConnection.java,
        libraries/javalib/gnu/inet/smtp/package.html,
        libraries/javalib/gnu/inet/util/BASE64.java,
        libraries/javalib/gnu/inet/util/CRLFInputStream.java,
        libraries/javalib/gnu/inet/util/CRLFOutputStream.java,
        libraries/javalib/gnu/inet/util/EmptyX509TrustManager.java,
        libraries/javalib/gnu/inet/util/GetLocalHostAction.java,
        libraries/javalib/gnu/inet/util/GetSystemPropertyAction.java,
        libraries/javalib/gnu/inet/util/LineInputStream.java,
        libraries/javalib/gnu/inet/util/Logger.java,
        libraries/javalib/gnu/inet/util/MessageInputStream.java,
        libraries/javalib/gnu/inet/util/MessageOutputStream.java,
        libraries/javalib/gnu/inet/util/SaslCallbackHandler.java,
        libraries/javalib/gnu/inet/util/SaslInputStream.java,
        libraries/javalib/gnu/inet/util/SaslOutputStream.java,
        libraries/javalib/gnu/inet/util/StderrLogger.java:
	Merged in from GNU Inetlib.

2004-07-25  Helmer Kraemer  <hkraemer@freenet.de>

	* kaffe/kaffevm/soft.c (soft_lookupinterfacemethod): 
	Removed handling of invocations on java.lang.Object methods.

	* kaffe/kaffevm/kaffe.def (INVOKEINTERFACE):
	Simplified invocations on java.lang.Object methods by using
	the object's dispatch table as in INVOKEVIRTUAL.

	* kaffe/kaffevm/lookup.c (getMethodSignatureClass):
	When resolving an interface method, search superinterfaces before
	java.lang.Object. That way, we don't find the wrong method when
	a superinterface overrides a method from java.lang.Object.

	Reported by: Benja Fallenstein <b.fallenstein@gmx.de>
	
2004-07-25  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkFileDialogPeer.c
	(filenameFilterCallback): Declare local variable accepted before use.

2004-07-25  Guilhem Lavaux <guilhem@kaffe.org>

	* libraries/javalib/javax/swing/text/DefaultHighlighter.java:
	Added the last missing file.

2004-07-25  Guilhem Lavaux <guilhem@kaffe.org>

	* configure.ac: We need GTK+ >= 2.4 now.

	* configure: Regenerated.

2004-07-25  Helmer Krämer <hkraemer@freenet.de>

	* include/Makefile.am
	(NOINSTALL_JNI_DERIVED_HDRS): Removed libxmlj's and awt's
	headers. Removed duplicates of tritonus' headers.
	(LIBGTKPEER_JNI_HDRS): Added AWT headers to be generated
	after rt.jar build.
	(LIBXMLJ_JNI_HDRS): Updated with new libxml's headers.
	(stamp-libgtkpeer): New target to build the gtkpeer's headers
	after rt.jar build.

	* libraries/clib/Makefile.am
	(SUBDIRS): Removed awt and libxmlj
	
	* libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.am:
	(libgtkpeer_headers): Invoke include's Makefile to build
	the JNI headers.
	
	* libraries/javalib/bootstrap.classlist: 
	Removed all AWT and xmlj classes.

	* include/Makefile.in, libraries/clib/Makefile.in,
	libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.in,
	libraries/javalib/Klasses.jar.bootstrap:
	Regenerated.
	
2004-07-25  Guilhem Lavaux <guilhem@kaffe.org>

	* java/awt/image/ByteLookupTable.java,
	java/awt/image/Kernel.java,
	java/awt/image/LookupTable.java,
	java/awt/image/ShortLookupTable.java,
	javax/swing/Spring.java,
	javax/swing/SpringLayout.java,
	javax/swing/plaf/basic/BasicTextFieldUI.java,
	javax/swing/plaf/basic/BasicToolBarSeparatorUI.java,
	javax/swing/text/DefaultHighlighter.java,
	javax/swing/text/FieldView.java,
	javax/swing/text/Highlighter.java,
	javax/swing/text/LayeredHighlighter.java,
	javax/swing/text/PlainView.java,
	javax/swing/text/TabExpander.java,
	javax/swing/text/TabableView.java:
	Added missing files from the merge.

2004-07-25  Guilhem Lavaux <guilhem@kaffe.org>

	* THIRDPARTY: Added an entry for GNU Getopt.

2004-07-24  Guilhem Lavaux <guilhem@kaffe.org>

	* libraries/javalib/gnu/getopt/MessagesBundle_de.properties,
	libraries/javalib/gnu/getopt/MessagesBundle_ja.properties,
	libraries/javalib/gnu/getopt/MessagesBundle_hu.properties,
	libraries/javalib/gnu/getopt/MessagesBundle_nl.properties,
	libraries/javalib/gnu/getopt/MessagesBundle_fr.properties,
	libraries/javalib/gnu/getopt/MessagesBundle_no.properties,
	libraries/javalib/gnu/getopt/MessagesBundle_cs.properties,
	libraries/javalib/gnu/getopt/MessagesBundle.properties,
	libraries/javalib/gnu/getopt/Getopt.java,
	libraries/javalib/gnu/getopt/LongOpt.java: Merged GNU Getopt
	as it is needed by GNU Crypto.

	* libraries/javalib/Makefile.am.in
	(gnu_getopt_message_bundles): New variable.
	(EXTRA_DIST): Added gnu_getopt_message_bundles.
	(JAR_CMD6): New variable.
	(rt.jar): Added JAR_CMD6.

	* libraries/javalib/all.files: Added GNU Getopt classes.

	* libraries/javalib/Makefile.am, libraries/javalib/Makefile.in:
	Regenerated.

2004-07-24  Mark Wielaard <mark@klomp.org>

	2004-07-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JTextArea.java
	(setLineWrap): Fire property change event after new value is set.
	(setTabSize): Likewise.

	2004-07-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JTable.java
	(autoCreateColumnsFromModel): New field.
	(autoResizeMode): Likewise.
	(cellEditor): Likewise.
	(cellSelectionEnabled): Likewise.
	(columnModel): Likewise.
	(dataModel): Likewise.
	(defaultEditorsByColumnClass): Likewise.
	(defaultRenderersByColumnClass): Likewise.
	(editingColumn): Likewise.
	(editingRow): Likewise.
	(gridColor): Likewise.
	(preferredViewportSize): Likewise.
	(rowHeight): Likewise.
	(rowMargin): Likewise.
	(rowSelectionAllowed): Likewise.
	(selectionBackground): Likewise.
	(selectionForeground): Likewise.
	(selectionModel): Likewise.
	(showHorizontalLines): Likewise.
	(showVerticalLines): Likewise.
	(tableHeader): Likewise.
	(JTable): Implemented.
	(getColumnModel): Likewise.
	(getSelectedRow): Likewise.
	(getSelectionModel): Likewise.
	(setModel): Likewise.
	(setSelectionModel): Likewise.
	(createScrollPaneForTable): New method.
	(createDefaultDataModel): Likewise.
	(createDefaultListSelectionModel): Likewise.
	(getModel): Likewise.
	(getTableHeader): Likewise.
	(setTableHeader): Likewise.
	(getColumnSelectionAllowed): Likewise.
	(setColumnSelectionAllowed): Likewise.
	(getRowSelectionAllowed): Likewise.
	(setRowSelectionAllowed): Likewise.
	(getAutoResizeMode): Likewise.
	(setAutoResizeMode): Likewise.
	(getColumnCount): Likewise.
	(getRowCount): Likewise.
	(getCellRenderer): Likewise.
	* javax/swing/JTree.java
	(cellRenderer): New field.
	(editable): Likewise.
	(rootVisible): Likewise.
	(showsRootHandles): Likewise.
	(getModel): New method.
	(setModel): Likewise.
	(isEditable): Likewise.
	(setEditable): Likewise.
	(isRootVisbile): Likewise.
	(setRootVisible): Likewise.
	(getShowsRootHandles): Likewise.
	(setShowRootHandles): Likewise.
	(getCellRenderer): Likewise.
	(setCellRenderer): Likewise.

	2004-07-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JFormattedTextField.java
	(setDocument): Implemented.
	* javax/swing/JRootPane.java:
	Fixed javadocs.
	* javax/swing/JTable.java
	(getDefaultRenderer): New method.
	* javax/swing/JTextField.java
	(setFont): Likewise.
	(getPreferredSize): Likewise.
	* javax/swing/JToggleButton.java
	(getAccessibleContext): Fix javadoc.
	* javax/swing/JTree.java:
	Add some javadocs.
	* javax/swing/JViewport.java:
	Likewise.

	2004-07-21  David Jee  <djee@redhat.com>

	* gnu/java/awt/peer/gtk/GtkFileDialogPeer.java:
	Collect all native method declaration at the top.
	(create): Set the filename filter if necessary.
	(setDirectory): Call nativeSetDirectory().
	(setFilenameFilter): Implement.
	(filenameFilterCallback): New method.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFileDialogPeer.c
	(create): Configure dialog to show hidden files.
	(filenameFilterCallback): New function. 
	(nativeSetFilenameFilter): New function.
	(nativeSetDirectory): New function.

	2004-07-21  Kim Ho  <kho@redhat.com>

	* javax/swing/plaf/basic/BasicSliderUI.java:
	Ran Jalopy.
	(paintTrack): Fill the track before painting
	the borders.

	2004-07-21  Graydon Hoare  <graydon@redhat.com>

	patch from Roman Kennke <roman@ontographics.com>
	* javax/swing/Spring.java: New file.
	* javax/swing/SpringLayout.java: New file.
	* Makefile.am: Add new files.
	* Makefile.in: Regenerate.

	2004-07-21  Graydon Hoare  <graydon@redhat.com>

	* javax/swing/plaf/basic/BasicSplitPaneUI.java: Minor layout fixes.
	* javax/swing/plaf/basic/BasicTabbedPaneUI.java: Likewise.
	* javax/swing/ScrollPaneLayout.java: Likewise.

	2004-07-21  Kim Ho  <kho@redhat.com>

	* javax/swing/DefaultDesktopManager.java:
	(findMinimum): Removed.
	(resizeFrame): Trust the UI to pass valid 
	bounds.
	* javax/swing/JOptionPane.java:
	Implemented showInternalXXXDialog methods.
	(startModal): New method.
	* javax/swing/plaf/basic/BasicInternalFrameUI.java:
	(BorderListener::mouseDragged): Verify that the new 
	bounds are valid before passing them to the DesktopManager.
	(preferredLayoutSize): Delegate
	to getSize.
	(minimumLayoutSize): Ditto.
	(getSize): New method.
	(GlassPaneDispatcher): Reimplemented by copying 
	a stripped down LightweightDispatcher from Container.
	(getMinimumSize): Call minimumLayoutSize.
	* javax/swing/plaf/basic/BasicOptionPaneUI.java:
	Ran Jalopy.
	(mousePressed): Add ability to properly close 
	JInternalFrames.
	* javax/swing/plaf/basic/BasicToolBarUI.java:
	(DragWindow): Set owner for DragWindow.

	2004-07-21  Jerry Quinn  <jlquinn@optonline.net>

	* java/awt/image/ShortLookupTable.java: New file.
	* java/awt/image/ByteLookupTable.java: New file.
	* Makefile.am: Added new files.
	* Makefile.in: Regenerated.

	2004-07-21  David Jee  <djee@redhat.com>

	* gnu/java/awt/peer/gtk/GtkFileDialogPeer.java
	(create(GtkContainerPeer)): New native method.
	(create()): Call native create(), passing in the parent frame
	as the paramter. Natively set the current file and directory.
	(setFile): Construct an absolute filename before passing it to
	the native peer.
	(nativeGetDirectory): New method.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFileDialogPeer.c
	(window_closed): Removed.
	(ok_clicked): Likewise.
	(cancel_clicked): Likewise.
	(handle_response): New method.
	(create): Use GtkFileChooserDialog.
	(connectSignals): Connect to handle_response.
	(nativeGetDirectory): New method.
	(nativeSetFile): Use GtkFileChooserDialog.

	2004-07-21  Jerry Quinn  <jlquinn@optonline.net>

	* java/awt/image/LookupTable.java: New file.
	* Makefile.am: Added new file.
	* Makefile.in: Regenerated.

	2004-07-21  Jerry Quinn  <jlquinn@optonline.net>

	* java/awt/image/Kernel.java: New file.
	* Makefile.am: Added new file.
	* Makefile.in: Regenerated.

	2004-07-21  Olga Rodimina  <rodimina@redhat.com>

	* javax/swing/JCheckBoxMenuItem.java: Fixed Javadocs.
	* javax/swing/JMenu.java: Likewise.
	* javax/swing/JMenuBar.java: Likewise.
	(MARGIN_CHANGED_PROPERTY): New property.
	(setMargin): Implemented.
	* javax/swing/JMenuItem.java: Fixed javadocs.
	* javax/swing/JPopupMenuUI.java: Fixed javadocs.
	(LABEL_CHANGED_PROPERTY): New property.
	(add): changed to use createActionComponent.
	(createActionComponent): Implemented.	
	(setLabel): Fire PropertyChangeEvent if label property
	changes.
	* javax/swing/JRadioButtonMenuItem.java: Fixed javadocs.
	* javax/swing/plaf/basic/BasicMenuBarUI.java: Likewise.
	(ContainerHandler): Repaint if margin property has changed.
	* javax/swing/plaf/basic/BasicMenuItemUI.java:
	(installUI): Call installComponents().
	(uninstallUI): Call uinstallComponents().
	* javax/swing/plaf/basic/BasicMenuUI.java:
	Fixed javadocs.
	* javax/swing/plaf/basic/BasicPopupMenuUI.java:
	Likewise.

	2004-07-21  Kim Ho  <kho@redhat.com>

	* javax/swing/plaf/basic/BasicToolBarUI.java:
	(DragWindow): Use the right constructor.

	2004-07-21  Kim Ho  <kho@redhat.com>

	* javax/swing/JToolBar.java:
	(layoutContainer): Use getComponents.
	* javax/swing/plaf/basic/BasicToolBarUI.java:
	(DragWindow): Don't use SwingUtilities' 
	getOwnerFrame
	(ToolBarDialog): ditto.

	2004-07-21  Kim Ho  <kho@redhat.com>

	* javax/swing/JRootPane.java:
	Ran jalopy.
	(layoutContainer): Set the glasspane's size to 
	be the same as the content pane.
	(createGlassPane): Set opaque property to false.

	2004-07-21  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* java/awt/Component.java (requestFocus()): Don't handle Panels
	specially.
	(requestFocus(boolean)): Likewise.
	(requestFocusInWindow(boolean)): Likewise.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkPanelPeer.c (create):
	Set GTK_CAN_FOCUS flag.

	2004-07-21  Kim Ho  <kho@redhat.com>

	* Makefile.am: Added new file.
	* Makefile.in: Regenerated.
	* gcj/Makefile.in: Regenerated.
	* include/Makefile.in: Regenerated.
	* javax/swing/AbstractButton.java:
	Add rollOverEnabled property.
	(setRolloverEnabled): Use new property.
	(isRolloverEnabled): Use new property.
	* javax/swing/JTabbedPane.java:
	(setComponent): Remove useless JTabbedPane.this.
	* javax/swing/JToolBar.java: Finish implementation.
	* javax/swing/plaf/basic/BasicArrowButton.java:
	(paint): Moved border painting to a border.
	* javax/swing/plaf/basic/BasicLookAndFeel.java:
	Change JToolBar look and feel defaults.
	* javax/swing/plaf/basic/BasicOptionPaneUI.java
	(actionPerformed): Return Integer index instead of name.
	(addButtonComponents): Check to see if component is
	JButton last.
	(createMessageArea): Don't use components that are not
	completed yet.
	(getIconForType): Use temporary icons.
	* javax/swing/plaf/basic/BasicSliderUI.java:
	(mousePressed): Do not return if it's on thumb.
	(paintMinorTickForHorizSlider): Use BLACK to paint ticks.
	(paintMinorTickForVertSlider): ditto.
	(paintMajorTickForHorizSlider): ditto.
	(paintMajorTickForVertSlider): ditto.
	* javax/swing/plaf/basic/BasicSplitPaneDivider.java:
	Add a border around the SplitPaneDivider.
	* javax/swing/plaf/basic/BasicSplitPaneUI.java:
	Remove comments.
	* javax/swing/plaf/basic/BasicToolBarSeparatorUI.java:
	New file. Implemented.
	* javax/swing/plaf/basic/BasicToolBarUI.java:
	Implemented.
	* testsuite/Makefile.in: Regenerated.

	2004-07-21  Graydon Hoare  <graydon@redhat.com>

	* javax/swing/Timer.java (run): Queue events each time cycle.

	2004-07-21  David Jee  <djee@redhat.com>

	* gnu/java/awt/peer/gtk/GtkImagePainter.java
	(imageComplete): Call image.imageComplete().
	* java/awt/image/MemoryImageSource.java:
	Reimplement consumers as a Vector instead of a Hashtable.  This is
	because enumeration on a Hashtable is not thread-safe.
	(addConsumer): Adapt to Vector consumers.
	(isConsumer): Adapt to Vector consumers.
	(removeConsumer): Adapt to Vector consumers.
	(startProduction): Adapt to Vector consumers. Call imageComplete()
	with STATICIMAGEDONE flag instead of SINGLEFRAME flag.
	(newPixels): Adapt to Vector consumers.
	(sendPicture): Set the color model of the image consumer.
	(newPixels(IIII)): Adapt to Vector consumers.
	(newPixels(IIIIB)): Adapt to Vector consumers.

	2004-07-21  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* java/awt/Component.java (deliverEvent): Implement.
	(postEvent): Implement.
	(handleEvent): Implement.
	(translateEvent): New method.
	(dispatchEventImpl): Document.  Add AWT 1.0 event handling.
	* java/awt/Container.java (deliverEvent): Implement.
	* java/awt/Event.java (paramString): Fix formatting.
	* java/awt/Font.java (toString): Likewise.
	* java/awt/Window.java (postEvent): Implement.

	2004-07-21  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* java/awt/DefaultKeyboardFocusManager.java (dispatchEvent):
	Set window's focus owner upon receiving a FOCUS_LOST event.
	* java/awt/Window.java (Window()): Refocus the previously
	focused component within the window when the window regains the
	top-level focus.
	(setFocusOwner): New method.
	* java/awt/Component.java (requestFocus): Add FIXME.

	* libgcj.pc.in: Remove library flags.

	2004-07-21  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GtkPanelPeer.java (handleEvent): Handle
	MOUSE_PRESSED event.
	* java/awt/Component.java (requestFocus()): Handle Panel
	specially.  Post FOCUS_LOST event on opposite component.
	(requestFocus(boolean)): Likewise.
	(requestFocusInWindow(boolean)): Likewise.
	(paramString): Reorder dimension fields.
	* java/awt/Container.java (paramString): Fix string format.
	* java/awt/DefaultKeyboardFocusManager.java (dispatchEvent):
	Handle FOCUS_LOST events.  Don't handle Windows specially.  Only
	process key events if the focus owner is non-null.
	(dispatchKeyEvent): Likewise.
	* java/awt/Frame.java (paramString): Fix formatting.
	(generateName): New method.
	(getUniqueLong): Likewise.
	* java/awt/KeyboardFocusManager.java (getFocusOwner): Check if
	the temporary focus owner is null.  If so, return the permanent
	focus owner.
	* java/awt/Panel.java (generateName): New method.
	(getUniqueLong): Likewise.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c: Rework
	signal handling to make callbacks more specific.

	2004-07-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/Position.java
	(Bias): Implemented.

	2004-07-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/LookAndFeel.java
	(provideErrorFeedback): New method.

	2004-07-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JTextArea.java
	(tabSize): New field.
	(getTabSize): New method.
	(setTabSize): Likewise.

	2004-07-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/ActionMap.java:
	Fixed javadocs all over.
	(serialVersionUID): Made private.
	(parent): Don't explicitely initialize with default value.
	(get): SImplified.
	(keys): Reimplemented.
	(allKeys): Likewise.
	(convertSet): Removed.
	* javax/swing/ComponentInputMap.java:
	Fixed javadocs all over.
	(ComponentInputMap): Implemented.
	(put): Likewise.
	(clear): Likewise.
	(remove): Likewise.
	(SetParent): Likewise.
	(getComponent): Likewise.
	* javax/swing/InputMap.java:
	Fixed javadocs all over.
	(serialVersionUID): Made private.
	(parent): Don't explicitely initialize with default value.
	(get): SImplified.
	(keys): Reimplemented.
	(allKeys): Likewise.
	(convertSet): Removed.

	2004-07-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/ActionMap.java,
	javax/swing/ComponentInputMap.java,
	javax/swing/InputMap.java,
	javax/swing/table/DefaultTableColumnModel.java,
	javax/swing/table/TableColumn.java,
	javax/swing/table/TableColumnModel.java,
	javax/swing/table/TableModel.java,
	javax/swing/text/AbstractDocument.java,
	javax/swing/text/TextAction.java:
	Reformated.

	2004-07-21  Graydon Hoare  <graydon@redhat.com>

	* gnu/java/awt/peer/gtk/GtkToolkit.java (bufferedImageOrError): 
	Make method non-static.
	* javax/swing/AbstractButton.java:
	Rename fields to match property names where possible.
	(iconTextGap): New property.
	* javax/swing/JCheckBox.java: Match AbstractButton changes.
	(init) New method, call from after various constructors.
	* javax/swing/JComponent.java (revalidate): 
	Invalidate before queueing repair.
	* javax/swing/JList.java (getPreferredScrollableViewportSize):
	Reimplement in terms of visibleRowCount property.
	* javax/swing/JMenuButton.java: Match AbstractButton changes.
	* javax/swing/JScrollPane.java (createScrollListener): 
	Remove tracing chatter.
	* javax/swing/JToggleButton.java: Match AbstractButton changes.
	* javax/swing/RepaintManager.java (addInvalidComponent): 
	Don't invalidate.
	* javax/swing/ScrollPaneLayout.java: Various corrections to layout
	calculations.
	* javax/swing/SwingUtilities.java (layoutCompoundLabel): 
	Mimic sun behavior on top left/right positioning.
	* javax/swing/ViewportLayout.java (preferredLayoutSize):
	Remove mistaken use of preferredScrollableViewportSize here.
	(layoutContainer): Use view's preferred size as basis.
	* javax/swing/plaf/basic/BasicButtonUI.java:
	Set, get, and use textIconGap property.
	(paint) Paint text returned from layout (with ellipsis).
	* javax/swing/plaf/basic/BasicListUI.java:
	Remove tracing chatter, correct various minor calculations.
	(getCellBounds): Update layout state before calculating.
	* javax/swing/plaf/basic/BasicLookAndFeel.java (Button.Margin):
	Use margin default similar to sun's.	
	* javax/swing/plaf/basic/BasicScrollBarUI.java (ArrowIcon):
	(createIncreaseIcon): Center icon, minimize margins.
	(createDecreaseIcon): Likewise.
	* javax/swing/plaf/basic/BasicScrollPaneUI.java (installDefaults):
	Implement.
	(installUI): Call it.
	(uninstallDefaults): Implement.
	(uninstallUI): Call it.
	* javax/swing/plaf/basic/BasicToolBarUI.java (DragWindow):
	Call existing Window constructor.
	* javax/swing/plaf/basic/BasicViewportUI.java (paint):
	Set clip before painting.

	2004-07-21  Olga Rodimina <rodimina@redhat.com>
	
	* javax/swing/JMenuItem.java:
	(processMouseEvent): Reimplemented to deal with
	mouse drag events.
	(createMenuDragMouseEvent): New private helper method.
	Creates MenuDragMouseEvent.
	* javax/swing/MenuSelectionManager.java
	(componentForPoint): Implemented.
	(isComponentPartOfCurrentMenu): Made public.
	(processMouseEvent): Reimplemented to deal with 
	mouse drag events.
	(setSelectedPath): Corrected small mistake that caused
	path to be set incorrectly.
	(getPath): If given component is JMenu then also add this
	menu's popup menu to the selected path.
	* javax/swing/plaf/basic/BasicMenuItemUI.java:
	(getPath): Ditto.
	(getPreferredSize): Call getPreferredMenuItemSize().
	(getPreferredItemSize): Moved code from getPreferredSize to here.
	(installListeners): Install MouseMotionListeners.
	(MouseInputHandler): Pass mouse release event to MenuSelectionManager 
	if mouse wasn't released in the bounds of this menu item.
	(MenuDragMouseHandler): Implemented.
	* javax/swing/plaf/basic/BasicMenuUI.java:
	(installListeners): Install MouseMotionListener and 
	MenuDrageMouseListener.
	(MenuDragMouseHandler): Implemented.
	* javax/swing/plaf/basic/BasicPopupMenuUI.java:
	(uninstallListeners): Implemented.
	
	2004-07-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JCheckBox.java: Reformated.
        (JCheckBox): Fixed all constructors.
        (isBorderPaintedFlat): New method.
        (setBorderPaintedFlat): New method.
	* javax/swing/JEditorPane.java
        (createEditorKitForContentType): Made public.
        (scrollToReference): Likewise.
	* javax/swing/JTextArea.java
        (setLineWrap): Fire property change.
	* javax/swing/JToggleButton.java
        (JToggleButton): New constructor.
        (JToggleButton): Simplified.
	* javax/swing/text/AttributeSet.java
        (FontAttribute): Renamed from FontCharacterAttribute.
	* javax/swing/text/JTextComponent.java
        (KeyBinBinding): Added javadoc.
        (JTextComponent): Likewise.
        (getAccessibleContext): Fixed javadoc.
	* javax/swing/text/View.java
        (View): Added javadoc.
	* javax/swing/text/TabableView.java: New file.
	* Makefile.am: Added javax/swing/text/TabableView.java.
	* Makefile.in: Regenerated.

	2004-07-21  Graydon Hoare  <graydon@redhat.com>

	* java/awt/image/BufferedImage.java (getSource): Remove tracing chatter.
	* gnu/java/awt/peer/gtk/GtkToolkit.java 
	(GtkErrorImage): New helper class.
	(bufferedImageOrError): New helper method.
	(createImage): Use it.

	2004-07-21  David Jee  <djee@redhat.com>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextComponentPeer.c
	(setCaretPosition): Scroll the text view so the new caret position
	is visible on screen.

	2004-07-21  David Jee  <djee@redhat.com>

	* gnu/java/awt/peer/gtk/GtkContainerPeer.java
	(setBounds): Do not validate awtComponent here.
	* gnu/java/awt/peer/gtk/GtkScrollPanePeer.java
	(getPreferredSize): New method.
	* java/awt/ScrollPane.java
	(ScrollPane): Set default size to 100x100.
	(addNotify): If child is not a Panel, wrap it with a new Panel.
	(paramString): Implement.

	2004-07-21  Olga Rodimina  <rodimina@redhat.com>

	* javax/swing/JMenu.java:
	(setSelected): Display popup menu only if this menu 
	is showing on the screen.
	* javax/swing/JPopupMenu.java:
	(processMouseEvent): Added comment.
	(processKeyEvent): Likewise.
	* javax/swing/MenuSelectionManager.java:
	(clearSelectedPath): Only fireStateChanged() after
	selected path was changed, not before.
	(setSelectedPath): Likewise.
	* javax/swing/plaf/basic/BasicMenuItemUI.java:
	(paintMenuItem): Corrected position of menu item's
	icon.
	* javax/swing/plaf/basic/BasicPopupMenuUI.java:
	(installUI): Correct setDefaultLightWeightPopupEnabled call.
	(popupMenuCanceled): Reimplemented.
	(popupMenuWillBecomeVisible): Select first menu item by default 
	when displaying free floating popup menus.
	(TopWindowListener): Reimplemented.

	2004-07-21  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* java/awt/Panel.java (dispatchEventImpl): Override to prevent
	Panel from being painted twice when it is first shown.

	2004-07-21  Olga Rodimina  <rodimina@redhat.com>

	* java/awt/Window.java: Reverted changes from my 
	previous patch for creating window without an owner.
	* javax/swing/SwingUtilities.java: 
	(SwingUtilities.OwnerFrame): made static.
	(OwnerFrame.setVisible): New method. Overridden with
	empty implementation.
	(OwnerFrame.isShowing): New method. Ovverridden
	to return always true.

	2004-07-21  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GtkComponentPeer.java,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c
	(GtkComponentPeer): Remove temporary try/catch block.
	(setVisible): Call show and hide.
	(show): Make native.
	(hide): Likewise.
	(getArgs): Don't add "visible" argument.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c
	(property_notify_predicate): Return Bool instead of int.
	(find_layout): New function.
	(connectJObject): Call find_layout.
	(connectSignals): Likewise.
	(moveLayout): Likewise.
	(gtkLayoutSetVisible): Likewise.

	2004-07-21  Mark Wielaard  <mark@klomp.org>

	* java/awt/event/InvocationEvent.java (dispatch): Synchronize
	on notifier object before calling notifyAll().

	2004-07-21  Olga Rodimina  <rodimina@redhat.com>

	* java/awt/Window.java: Changed constructors to use new
	method that is described below. Constructors call this
	methods only if newly created window should have an owner.
	(setWindowOwner): New method. Implementation for
	this method is moved from this(owner,configuration).
	* javax/swing/JWindow.java:
	(JWindow): Reimplement to use SwingUtilities.ownerFrame
	instead of owner.
	* javax/swing/SwingUtilities.java:
	(ownerFrame): Change type of this field to OwnerFrame.
	(getOwnerFrame): Changed to return object of type OwnerFrame.
	(SwingUtilities.OwnerFrame): New class. Represents owner
	of a Window that is not provided with one.

	2004-07-21  Olga Rodimina  <rodimina@redhat.com>

	*  javax/swing/AbstractButton.java: 
	(configurePropertiesFromAction): Set action command
	to button's text by default if action command is not 
	explicitely specified.
	* javax/swing/JMenu.java: Remove unnecessary listener
	and methods relevant to it.
	(setSelected): Reimplemented.
	(menuSelectionChanged): Moved most part of implementation to
	setSelected() and call it instead.
	* javax/swing/JMenuItem.java: 
	(init): Comment out statement that sets paint_border to false.
	(configurePropertiesFromAction): Do not set accelerator
	for JMenu.
	(menuSelectionChanged): Change selected index in the selection
	model of menu item's parent.
	* javax/swing/JPopupMenu.java:
	(remove): Set constraints.fill field to GridBagConstraints.BOTH
	instead of GridBagConstraints.HORIZONTAL.
	(insert): Likewise.
	(createActionChangeListener): Implemented.
	(setVisible): Correct location of HeavyWeightMenu and 
	don't firePopupMenuCanceled().
	(menuSelectionChanged): Implemented.
	(ActionChangeListener): New Listener. Implemented.
	* javax/swing/plaf/basic/BasicMenuBarUI.java:
	(BasicMenuBarUI.ContainerHandler): Implemented.
	* javax/swing/plaf/basic/BasicMenuItemUI.java:
	(paintMenuItem): Uncommented out code that paints 
	icon, now that icons are working properly.
	(PropertyChangeListener): Implemented.
	* javax/swing/plaf/basic/BasicPopupMenuUI.java:
	Added javadocs.
	(topWindowListener): New field.
	(Constructor): initialize topWindowListener.
	(BasicPopupMenuUI.TopWindowListener): Implemented.	
	(BasicPopupMenuUI.PopupMenuHandler): Implemented.
	(BasicPopupMenuUI.TopWindowListener): New ComponentListener.
	Implemented.
	
	2004-07-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/plaf/basic/BasicButtonUI.java
	(paintFocus): Fixed method signature.
	(paintButtonPressed): Likewise.
	(paintButtonNormal): Likewise.
	(paintText): New method.
	* javax/swing/plaf/basic/BasicLabelUI.java
	(paint): Re-indented.
	* javax/swing/plaf/basic/BasicTextUI.java
	(installUI): Set parent textComponent to opaque.
	* javax/swing/text/DefaultHighlighter.java
	(checkPositions): New helper method.
	(addHighlight): Throws BadLocationException, check positions.
	(changeHighlight): Likewise.
	* javax/swing/text/EditorKit.java
	(EditorKit): Implements Serializable.
	* javax/swing/text/JTextComponent.java
	(getUI): Added javadoc.
	(setUI): Likewise.
	(upadteUI): Added javadoc, don't revalidate and repaint.

	2004-07-21  David Jee  <djee@redhat.com>

	* java/awt/GridBagLayout.java
	(ArrangeGrid): Use PREFERREDSIZE instead of MINSIZE.
	* javax/swing/AbstractButton.java
	(setText): Reindent.
	* javax/swing/RepaintManager.java
	(addInvalidComponent): Find the first ancestor that isValidateRoot().

	2004-07-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JFormattedTextField.java
	(value): New field.
	(JFormattedTextField): Implemented.
	(getValue): Likewise.
	(setValue): Likewise.
	* javax/swing/LookAndFeel.java
	(getSupportsWindowDecorations): New method.
	* javax/swing/UIDefaults.java:
	Use java.beans.PropertyChangeSupport instead of doing all ourself.
	(addPropertyChangeListener): Made public.
	(addResourceBundle): Likewise.
	(removeResourceBundle): Likewise.
	(setDefaultLocale): Likewise.
	* javax/swing/plaf/basic/BasicRootPaneUI.java
	(BasicRootPaneUI): Implements PropertyChangeListener.
	(propertyChange): New method.
	* javax/swing/plaf/basic/BasicTextUI.java
	(BasicHighlighter): New inner class.
	(createHighlighter): New method.
	* javax/swing/plaf/basic/BasicToolBarUI.java
	(DragWindow): Extends java.awt.Window.
	* javax/swing/text/JTextComponent.java
	(getDocument): Removed debug output.
	* javax/swing/plaf/basic/BasicTextFieldUI.java,
	javax/swing/text/DefaultHighlighter.java,
	javax/swing/text/FieldView.java,
	javax/swing/text/PlainView.java: New files.
	* Makefile.am: Added new files.
	* Makefile.in: Regenerated.

	2004-07-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JEditorPane.java
	(createDefaultEditorKit): Use javax.swing.text.DefaultEditorKit.
	(createEditorKitForContentType): Likewise.
	* javax/swing/text/DefaultEditorKit.java
	(serialVersionUID): Added constant field.
	(EndOfLineStringPropery): Fixed typo.
	(DefaultEditorKit): New constructor.
	* javax/swing/text/Segment.java:
	Import java.text.CharacterIterator.
	* javax/swing/text/CharacterIterator.java,
	javax/swing/text/PlainEditorKit.java: Removed.
	* Makefile.am: Removed javax/swing/text/CharacterIterator.java and
	javax/swing/text/PlainEditorKit.java.
	* Makefile.in: Regenerated.

	2004-07-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JButton.java,
	javax/swing/text/DefaultEditorKit.java,
	javax/swing/text/EditorKit.java,
	javax/swing/text/Segment.java,
	javax/swing/text/StyledEditorKit.java:
	Reformatted.

	2004-07-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/ImageIcon.java
	(file): Removed.
	(description): Renamed from descr.
	(ImageIcon): Added missing constructors.
	(setParent): Removed.
	(setImageObserver): New method.
	(getImageObserver): New method.
	(paintIcon): Handle observer = null.
	* javax/swing/JButton.java
	(removeNotify): Fixed javadoc.
	(updateUI): Simplified.
	* javax/swing/JRootPane.java
	(serialVersionUID): New constant field.
	* javax/swing/UIManager.java:
	Fixed javadocs all over.
	(setLookAndFeel): Throws UnsupportedLookAndFeelException.
	* javax/swing/text/AbstractDocument.java
	(createPosition): Throws BadLocationException.
	(getText): Likewise.
	(remove): Likewise.
	* javax/swing/text/ComponentView.java
	(modelToView): Likewise.
	* javax/swing/text/DefaultEditorKit.java:
	Made all public methods public.
	(read): Throws BadLocationException and IOException.
	(write): Likewise.
	* javax/swing/text/EditorKit.java:
	Made all public methods public.
	(serialVersionUID): New constant field.
	(clone): New method.
	(read): Throws BadLocationException and IOException.
	(write): Likewise.
	* javax/swing/text/Segment.java
	(array): Made public.
	(count): Likewise.
	(offset): Likewise.
	(Segment): New constructors.
	(clone): Reimplemented.
	* javax/swing/text/StyledEditorKit.java
	(serialVersionUID): New constant field.

	2004-07-21  Graydon Hoare  <graydon@redhat.com>

	* java/awt/image/BufferedImage.java 
	(getSource): Implement.
	* javax/swing/ImageIcon.java 
	(ImageIcon): Implement ctor.
	* javax/swing/ScrollPaneLayout.java 
	(preferredLayoutSize): Be more careful about nulls.

	2004-07-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/AttributeSet.java
	(CharacterAttribute): New interface
	(ColorAttribute): Likewise.
	(FontCharacterAttribute): Likewise.
	(ParagraphAttribute): Likewise.
	* javax/swing/text/DefaultCaret.java
	(moveCaret): New method.
	(positionCaret): Likewise.
	(repaint): Made protected.
	* javax/swing/text/JTextComponent.java
	(KeyBinding): Made it static.
	* javax/swing/text/View.java
	(getContainer): Honor parent == null.

	2004-07-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/AbstractDocument.java:
	Reformatted.

	2004-07-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/plaf/basic/BasicRootPaneUI.java:
	Import javax.swing.UIManager explicitely.
	* javax/swing/plaf/basic/BasicTabbedPaneUI.java
	(ScrollingButton): Made it static.

	2004-07-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/UIDefaults.java
	(ActiveValue): Made public.
	(LazyValue): Likewise.
	* javax/swing/plaf/basic/BasicTextUI.java
	(RootView): Reintroduced.
	(view): Removed.
	(rootView): New field.
	(installUI): Create document if needed, initialize rootView.
	(uninstallUI): Hanle rootView.
	(paint): Likewise.
	(getRootView): Likewise.
	(setView): Likewise.
	* javax/swing/text/DefaultCaret.java:
	Renamed all "evt" variables to "event".

	2004-07-21  David Jee  <djee@redhat.com>

	* java/awt/Component.java
	(move): Delegate to setBounds().
	(resize): Likewise.
	(reshape): Fix so it repaints parent and self only when necessary.

	2004-07-21  David Jee  <djee@redhat.com>

	* gnu/java/awt/peer/gtk/GtkComponentPeer.java,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c
	(GtkComponentPeer): Revert previous patch from 2004-06-22.
	(setVisible): Likewise.
	(show): Likewise.
	(hide): Likewise.
	(getArgs): Likewise.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c
	(property_notify_predicate): Likewise.
	(find_layout): Likewise.
	(connectJObject): Likewise.
	(connectSignals): Likewise.
	(moveLayout): Likewise.
	(gtkLayoutSetVisible): Likewise.

	2004-07-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/AbstractDocument.java
	(replace): Dont use protected method of java.util.Vector directly.

	2004-07-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/plaf/basic/BasicTextUI.java
	(installUI): Call specialized install methods.
	(installDefaults): New method.
	(installListeners): Likewise.
	(installKeyboardActions): Likewise.
	(uninstallUI): Likewise.
	(uninstallDefaults): New method.
	(uninstallListeners): Likewise.
	(uninstallKeyboardActions): Likewise.
	(getPropertyPrefix): New abstract method.
	(paint): Made final, just call paintSafely().
	(paintSavely): New method.
	(paintBackground): Likewise.
	(getVisibleEditorRect): Likewise.
	* javax/swing/text/LayeredHighlighter.java,
	javax/swing/text/TabExpander.java: New files.
	* Makefile.am: Added javax/swing/text/LayeredHighlighter.java
	and javax/swing/text/TabExpander.java.
	* Makefile.in: Regenerated.

	2004-07-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/plaf/basic/BasicTextUI.java
	(BasicTextUI): Made abstract.
	(BasicCaret): New inner class.
	(view): Don't explicitely initialize with "null".
	(textComponent): New field.
	(textColor): Removed.
	(disabledTextColor): Removed.
	(normalBackgroundColor): Removed.
	(RootView): Removed commented out inner class.
	(createUI): Removed.
	(createCaret): New method.
	(getComponent): Likewise.
	(installUI): Initialize textComponent only.
	(getPreferredSize): Use installed JTextComponent.
	(setView): New method.
	(create): Likewise.
	* javax/swing/text/JTextComponent.java
	(highlighter): New field.
	(caretColor): Likewise.
	(disabledTextColor): Likewise.
	(seletedTextColor): Likewise.
	(selectionColor): Likewise.
	(setUI): New method.
	(getCaretColor): Likewise.
	(setCaretColor): Likewise.
	(getDisabledColor): Likewise.
	(setDisabledColor): Likewise.
	(getSelectedTextColor): Likewise.
	(setSelectedTextColor): Likewise.
	(getSelectionColor): Likewise.
	(setSelectionColor): Likewise.
	(getHighlighter): Likewise.
	(setHighlighter): Likewise.
	(replaceSelection): Likewise.

	2004-07-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/plaf/basic/BasicScrollPaneUI.java
	(BasicScrollPaneUI): Implements ScrollPaneConstants.
	* javax/swing/plaf/basic/BasicToolBarUI.java
	(BasicToolBarUI): Implements SwingConstants.

	2004-07-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JPopupMenu.java: Removed CVS tags.
	* javax/swing/UIDefaults.java: Reformatted.
	* javax/swing/plaf/basic/BasicRootPaneUI.java:
	Explicitely import used classes.

	2004-07-21  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GtkComponentPeer.java,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c
	(GtkComponentPeer): Remove temporary try/catch block.
	(setVisible): Call show and hide.
	(show): Make native.
	(hide): Likewise.
	(getArgs): Don't add "visible" argument.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c
	(property_notify_predicate): Return Bool instead of int.
	(find_layout): New function.
	(connectJObject): Call find_layout.
	(connectSignals): Likewise.
	(moveLayout): Likewise.
	(gtkLayoutSetVisible): Likewise.

	2004-07-21  Olga Rodimina  <rodimina@redhat.com>

	* javax/swing/AbstractButton.java:
	(setDisplayedMnemonicIndex): Check if button
	text is not null before checking its length.
	* javax/swing/JMenuItem.java:
	(processMouseEvent): Disarm menu item if mouse has
	exited it.
	* javax/swing/plaf/basic/BasicMenuUI.java:
	(MouseInputHandler.mouseEntered): Do not raise
	popup menu if this menu is already selected.
	(MouseInputHandler.mousePressed): Do not fire 
	MenuEvents.
	(MenuHandler): Implemented.	

	2004-07-21  Olga Rodimina  <rodimina@redhat.com>

	* javax/swing/JCheckBoxMenuItem.java: Added Javadoc.
	(getSelectedObjects): Implemented.
	* javax/swing/JRadioButtonMenuItem.java: Added Javadoc.
	* javax/swing/plaf/basic/BasicCheckBoxMenuItemUI.java: 
	Added javadoc for few methods.
	(processMouseEvent): Made public.
	* javax/swing/plaf/basic/BasicRadioButtonMenuItemUI.java
	(processMouseEvent): Likewise.

	2004-07-21  Olga Rodimina  <rodimina@redhat.com>

	* javax/swing/AbstractButton.java:
	(init): Set display mnemonic index to -1.
	(setMnemonic(char)): Use setMnemonic(int).
	(setMnemonic(int)): Set display mnemonic index.
	(getDisplayedMnemonicIndex): Change method signature
	by removing 'index' parameter.
	* javax/swing/plaf/basic/BasicLookAndFeel.java:
	Added default for Menu.selectionBackground.	
	* javax/swing/plaf/basic/BasicMenuItemUI.java:
	(paintMenuItem): Change background color of the selected
	menu item.
	(paintText): Paint differently when menu item is disabled.
	Also paint mnemonic if it appears in the menu item's label.
	(paintAccelerator): Paint accelerator differently
	if menu item is disabled.
	* javax/swing/plaf/basic/BasicMenuUI.java:
	(installDefaults): Install defaults for 
	selectionForeground and selectionBackground.
	(uninstallDefaults): Uninstall defauls for 
	selectionForeground and selectionBackground.

	2004-07-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/AbstractDocument.java
	(BranchElement): Implemented.
	(LeafElement): Implemented.
	* javax/swing/text/DefaultCaret.java:
	Import used classes.
	(serialVersionUID): New constant.
	* javax/swing/text/JTextComponent.java
	(AccessibleJTextComponent): Removed dead declaration.
	(caretPos): Removed.
	(setCaret): New method.
	* javax/swing/text/PlainDocument.java
	(rootElement): New field.
	(PlainDocument): Initialize rootElement.
	(createDefaultRoot): New method.
	(getDefaultRootElement): Implemented.
	* javax/swing/text/View.java: Reformatted.
	* javax/swing/text/ViewFactory.java
	(create): Added javadoc.

	2004-07-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/ToolTipManager.java: Reformatted.

	2004-07-21  Rodimina Olga  <rodimina@redhat.com>

	* javax/swing/AbstractButton.java
	(changeEvent): New field.
	(fireItemStateChanged): Change source of the event
	to 'this' before firing it to button listeners.
	(fireActionPerformed): Likewise.
	(fireStateChanged): Likewise.
	(createActionListener): Do not set source 
	of the event to AbstractButton.                                  
	* javax/swing/plaf/basic/BasicMenuBarUI.java:
	(ContainerHandler.componentAdded): Removed 
	print out statement.
	(ContainerHandler.componentRemoved): Likewise.

	2004-07-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/Highlighter.java: New file.
	* Makefile.am: Added javax/swing/text/Highlighter.java.
	* Makefile.in: Regenerated.

	2004-07-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/ToolTipManager.java
	(stillInsideTimerAction): Fixed constructor arguments.
	(outsideTimerAction): Likewise.
	(insideTimerAction): Likewise.

	2004-07-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JButton.java: Reformatted.
	* javax/swing/JFormattedTextField.java
	(getUIClassID): Implemented.
	* javax/swing/JRootPane.java
	(serialVersionUID): New constant.
	* javax/swing/JTextField.java
	(align): New field.
	(JTextField): Simplified.
	(getUIClassID): New method.
	(getActionListeners): Added @since tag.
	(setColumns): Invalidate layout and repaint.
	(getHorizontalAlignment): New method.
	(setHorizontalAlignment): New method.
	(selectAll): Removed.
	* javax/swing/SwingUtilities.java
	(getAncestorOfClass): Removed redundant @see tag.
	(isLeftMouseButton): Fixed implementation.
	(isMiddleMouseButton): Likewise.
	(isRightMouseButton): Likewise.
	* javax/swing/text/AbstractDocument.java
	(AttributeContext.addAttribute): New method.
	(AttributeContext.addAttributes): New method.
	(AttributeContext.getEmptySet): New method.
	(AttributeContext.reclaim): New method.
	(AttributeContext.removeAttribute): New method.
	(AttributeContext.removeAttributes): New method.
	* javax/swing/text/Document.java
	(createPosition): Throws BadLocationException.
	(getText): Likewise.
	(remove): Likewise.
	* javax/swing/text/JTextComponent.java
	(getText): Return null if no document is set. Catch
	BadLocationException.
	(getUI): Return ui.
	(updateUI): Simplified.

	2004-07-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JButton.java
	(removeNotify): Fixed javadoc.
	(updateUI): Simplified.

	2004-07-21  David Jee  <djee@redhat.com>

	* gnu/java/awt/image/ImageDecoder.java
	(startProduction): Only add consumer if it's not added yet.
	* gnu/java/awt/peer/gtk/GdkPixbufDecoder.java
	(GdkPixbufDecoder): Don't call initState() here.
	(produce): Call initState() here, to ensure area_prepared and
	area_updated signals are properly connected.
	* gnu/java/awt/peer/gtk/GtkImage.java
	(setColorModel): Use equals() to compare ColorModel objects.
	(setPixels): Likewise.
	* java/awt/image/ColorModel.java
	(equals): Fix typo. Use Arrays.equals() to compare int arrays.
	* java/awt/image/RGBImageFilter.java
	(setColorModel): Set consumer's color model.
	(setPixels): Use equals() to compare ColorModel objects.

2004-07-24  Guilhem Lavaux <guilhem@kaffe.org>

	* kaffe/kaffevm/slib.h:
	Use inlined functions instead of macros.
	Simplified the file as libltdl supports a great number of
	architectures.

	* kaffe/kaffevm/external.c
	(LIBRARY*): Removed all macros definition.
	(findLibraryFunction, loadNativeLibrarySym): Moved the body of
	findLibraryFunction to loadNativeLibrarySym.
	(loadNativeLibrary2, loadNativeLibrarySym, unloadNativeLibrary,
	initNative): Use inlined functions now.

	* configure.ac: Removed checking for dl.h and windows.h

	* config/config.h.in, configure: Regenerated.
	
2004-07-24  Jim Huang  <jserv@kaffe.org>

	* configure.ac,
	configure,
	po/kaffe.pot,
	po/fr.po,
	po/zh_TW.po,
	libraries/clib/awt/qt/Makefile.am,
	libraries/clib/awt/qt/Makefile.in,
	kaffe/kaffe/main.c:
	Rename qteawt to qtawt to be more definite.
	Use -Xkaffe-qt-awt to switch over Qt AWT backend.
	
2004-07-24  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffe/main.c (setKaffeAWT, options): Fix definiiton of
	prefix to use binreloc's LIBDIR or DEFAULT_KAFFEHOME, depending
	on whether binreloc is available and enabled.
	(usage): Removed binreloc guard for -Xnative-big-math.
	
	Reported by: Ito Kazumitsu  <kaz@maczuka.gcd.org>

2004-07-24  Dalibor Topic  <robilad@kaffe.org>
	
	Fixed disabling of native AWT code.
	
	* Makefile.am (DIRECTORIES_AFTER_RTJAR): Added explicit support 
	for AWT directories to ensure that disabling of native 
	directories works.

	* libraries/clib/awt/Makefile.am: Added handling of COND_KAFFE_X_AWT,
	COND_KAFFE_QT_AWT and COND_CLASSPATH_GTK_AWT.
	(SUBDIRS) Use conditional cubdirs.
	(DIST_SUBDIRS) List all subdirs here.

	* libraries/clib/Makefile.am: Added handling of COND_NATIVE_AWT.
	Cleaned up handling of COND_LIBXMLJ to make sure it doesn't include 
	spaces.

	* configure.ac (enable-awt): Changed over to enable-native-awt.
	(COND_NATIVE_AWT, COND_KAFFE_X_AWT, COND_KAFFE_QT_AWT,
	COND_CLASSPATH_GTK_AWT) New conditionals.
	
        * Makefile.in,
        configure,
        config/Makefile.in,
        include/Makefile.in,
        kaffe/Makefile.in,
        kaffe/jvmpi/Makefile.in,
        kaffe/kaffe/Makefile.in,
        kaffe/kaffeh/Makefile.in,
        kaffe/kaffevm/Makefile.in,
        kaffe/kaffevm/boehm-gc/Makefile.in,
        kaffe/kaffevm/gcj/Makefile.in,
        kaffe/kaffevm/intrp/Makefile.in,
        kaffe/kaffevm/jit/Makefile.in,
        kaffe/kaffevm/jit3/Makefile.in,
        kaffe/kaffevm/jni/Makefile.in,
        kaffe/kaffevm/kaffe-gc/Makefile.in,
        kaffe/kaffevm/systems/Makefile.in,
        kaffe/kaffevm/systems/beos-native/Makefile.in,
        kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
        kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
        kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
        kaffe/kaffevm/verifier/Makefile.in,
        kaffe/man/Makefile.in,
        kaffe/scripts/Makefile.in,
        kaffe/scripts/bat/Makefile.in,
        kaffe/scripts/compat/Makefile.in,
        kaffe/xprof/Makefile.in,
        libraries/Makefile.in,
        libraries/clib/Makefile.in,
        libraries/clib/awt/Makefile.in,
        libraries/clib/awt/X/Makefile.in,
        libraries/clib/awt/classpath-gtk/Makefile.in,
        libraries/clib/awt/classpath-gtk/classpath/Makefile.in,
        libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.in,
        libraries/clib/awt/classpath-gtk/resource/Makefile.in,
        libraries/clib/awt/qt/Makefile.in,
        libraries/clib/io/Makefile.in,
        libraries/clib/libxmlj/Makefile.in,
        libraries/clib/management/Makefile.in,
        libraries/clib/math/Makefile.in,
        libraries/clib/native/Makefile.in,
        libraries/clib/net/Makefile.in,
        libraries/clib/nio/Makefile.in,
        libraries/clib/security/Makefile.in,
        libraries/clib/sound/Makefile.in,
        libraries/clib/sound/alsa/Makefile.in,
        libraries/clib/sound/common/Makefile.in,
        libraries/clib/sound/esd/Makefile.in,
        libraries/clib/zip/Makefile.in,
        libraries/extensions/Makefile.in,
        libraries/clib/zip/Makefile.in,
        libraries/extensions/Makefile.in,
        libraries/extensions/comm/Makefile.in,
        libraries/extensions/comm/javalib/Makefile.in,
        libraries/extensions/microsoft/Makefile.in,
        libraries/extensions/microsoft/clib/Makefile.in,
        libraries/extensions/microsoft/javalib/Makefile.in,
        libraries/extensions/pjava/Makefile.in,
        libraries/extensions/pjava/javalib/Makefile.in,
        libraries/extensions/servlet/Makefile.in,
        libraries/extensions/servlet/javalib/Makefile.in,
        libraries/javalib/Makefile.in,
        libraries/javalib/awt-implementations/Makefile.in,
        libraries/javalib/awt-implementations/kaffe/Makefile.in,
        libraries/javalib/gmp-math/Makefile.in,
        replace/Makefile.in,
        test/Makefile.in,
        test/internal/Makefile.in,
        test/jni/Makefile.in,
        test/regression/Makefile.in,
        test/regression/compile_time/Makefile.in,
        test/regression/compiler/Makefile.in,
        test/regression/run_time/Makefile.in,
        tools/Makefile.in,
        tools/gjdoc/Makefile.in,
        tools/gjdoc/javalib/Makefile.in:
        Regenerated.

	Reported by: Mark Wielaard  <mark@klomp.org>

2004-07-23  Guilhem Lavaux <guilhem@kaffe.org>

	* config/powerpc/darwin/md.h: Define a symbol called DARWIN
	when we are on a darwin OS.

	* kaffe/kaffevm/kaffe-gc/gc-mem.c
	(pagealloc): If this is darwin, don't use sbrk as it seems to
	be broken.

2004-07-23  Guilhem Lavaux <guilhem@kaffe.org>

	* config/powerpc/common.h: Define ALIGNMENT_OF_SIZE.

2004-07-23  Guilhem Lavaux <guilhem@kaffe.org>

	* po/fr.po: Fixed typos.

2004-07-23  Guilhem Lavaux <guilhem@kaffe.org>

	* po/fr.po: Updated translation.

	* WHATSNEW: Added some entries for Kaffe 1.1.5.

	* m4/gwqt.m4: Use AC_PATH_PROG instead of AC_CHECK_PROG to discover
	the real path of moc and uic.

	* configure.ac: Fixed BOEHMGC_SPECIFIC_FLAGS.

	* configure: Regenerated.

	* developers/boehm-with-kaffe.patch: New file to reflect specific
	kaffe changes to the Boehm-Weiser GC.

	* kaffe/kaffevm/ksem.c: Added an assertion checking.
	
	* kaffe/kaffevm/boehm-gc/Makefile.am
	(libkaffegc_la_SOURCES): Added pthread_stop_world.c.

	* kaffe/kaffevm/boehm-gc/Makefile.in: Regenerated.

	* libraries/javalib/all.files: Swapped JDesktopPane.java and
	JLayeredPane.java.

2004-07-23  Jim Huang  <jserv@kaffe.org>

	* po/kaffe.pot,
	po/zh_TW.po:
	Update translation according to big AWT/Swing changes.
	
2004-07-22  Dalibor Topic  <robilad@kaffe.org>

	Big AWT/Swing merge from Classpath.

	* libraries/javalib/gnu/java/awt/BitwiseXORComposite.java,
	libraries/javalib/gnu/java/awt/ClasspathToolkit.java,
	libraries/javalib/gnu/java/awt/ComponentDataBlitOp.java,
	libraries/javalib/gnu/java/awt/EmbeddedWindow.java,
	libraries/javalib/gnu/java/awt/image/ImageDecoder.java,
	libraries/javalib/gnu/java/awt/image/XBMDecoder.java,
	libraries/javalib/gnu/java/awt/peer/ClasspathFontPeer.java,
	libraries/javalib/gnu/java/awt/peer/GLightweightPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GThreadMutex.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GThreadNativeMethodRunner.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkClasspathFontPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkClasspathFontPeerMetrics.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkFontMetrics.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkGlyphVector.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkGraphics.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkGraphics2D.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkGraphicsEnvironment.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkPixbufDecoder.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkArg.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkArgList.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkButtonPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkCanvasPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkCheckboxGroupPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkCheckboxMenuItemPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkCheckboxPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkChoicePeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkClipboard.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkComponentPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkContainerPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkDialogPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkEmbeddedWindowPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkFileDialogPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkFontPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkFramePeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkGenericPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkImage.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkImagePainter.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkLabelPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkListPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkMainThread.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkMenuBarPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkMenuComponentPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkMenuItemPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkMenuPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkOffScreenImage.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkPanelPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkPopupMenuPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkScrollPanePeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkScrollbarPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkTextAreaPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkTextComponentPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkTextFieldPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkToolkit.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkWindowPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/Test.java,
	libraries/javalib/gnu/java/awt/peer/gtk/TestAWT.java,
	libraries/javalib/java/applet/Applet.java,
	libraries/javalib/java/applet/AppletContext.java,
	libraries/javalib/java/awt/AWTEvent.java,
	libraries/javalib/java/awt/AWTKeyStroke.java,
	libraries/javalib/java/awt/ActionEvt.java,
	libraries/javalib/java/awt/AdjustmentEvt.java,
	libraries/javalib/java/awt/BarMenu.java,
	libraries/javalib/java/awt/BorderLayout.java,
	libraries/javalib/java/awt/Button.java,
	libraries/javalib/java/awt/Canvas.java,
	libraries/javalib/java/awt/CardLayout.java,
	libraries/javalib/java/awt/Checkbox.java,
	libraries/javalib/java/awt/CheckboxGroup.java,
	libraries/javalib/java/awt/CheckboxMenuItem.java,
	libraries/javalib/java/awt/Choice.java,
	libraries/javalib/java/awt/ClassAnalyzer.java,
	libraries/javalib/java/awt/ClassProperties.java,
	libraries/javalib/java/awt/Color.java,
	libraries/javalib/java/awt/Component.java,
	libraries/javalib/java/awt/ComponentEvt.java,
	libraries/javalib/java/awt/Container.java,
	libraries/javalib/java/awt/ContainerEvt.java,
	libraries/javalib/java/awt/ContainerOrderFocusTraversalPolicy.java,
	libraries/javalib/java/awt/Cursor.java,
	libraries/javalib/java/awt/DefKeyFilter.java,
	libraries/javalib/java/awt/DefaultFocusTraversalPolicy.java,
	libraries/javalib/java/awt/DefaultKeyboardFocusManager.java,
	libraries/javalib/java/awt/Defaults.java,
	libraries/javalib/java/awt/Dialog.java,
	libraries/javalib/java/awt/Dimension.java,
	libraries/javalib/java/awt/Event.java,
	libraries/javalib/java/awt/EventDispatchThread.java,
	libraries/javalib/java/awt/EventQueue.java,
	libraries/javalib/java/awt/FileDialog.java,
	libraries/javalib/java/awt/FlowLayout.java,
	libraries/javalib/java/awt/FocusEvt.java,
	libraries/javalib/java/awt/Font.java,
	libraries/javalib/java/awt/FontMetrics.java,
	libraries/javalib/java/awt/Frame.java,
	libraries/javalib/java/awt/Graphics.java,
	libraries/javalib/java/awt/Graphics2D.java,
	libraries/javalib/java/awt/GraphicsEnvironment.java,
	libraries/javalib/java/awt/GraphicsLink.java,
	libraries/javalib/java/awt/GridBagConstraints.java,
	libraries/javalib/java/awt/GridBagLayout.java,
	libraries/javalib/java/awt/GridLayout.java,
	libraries/javalib/java/awt/Image.java,
	libraries/javalib/java/awt/ImageFrameLoader.java,
	libraries/javalib/java/awt/ImageLoader.java,
	libraries/javalib/java/awt/ImageNativeProducer.java,
	libraries/javalib/java/awt/Insets.java,
	libraries/javalib/java/awt/ItemEvt.java,
	libraries/javalib/java/awt/KeyEvt.java,
	libraries/javalib/java/awt/KeyboardFocusManager.java,
	libraries/javalib/java/awt/Label.java,
	libraries/javalib/java/awt/List.java,
	libraries/javalib/java/awt/MediaTracker.java,
	libraries/javalib/java/awt/Menu.java,
	libraries/javalib/java/awt/MenuBar.java,
	libraries/javalib/java/awt/MenuComponent.java,
	libraries/javalib/java/awt/MenuItem.java,
	libraries/javalib/java/awt/MenuShortcut.java,
	libraries/javalib/java/awt/MouseEvt.java,
	libraries/javalib/java/awt/NativeClipboard.java,
	libraries/javalib/java/awt/NativeGraphics.java,
	libraries/javalib/java/awt/NativeSelection.java,
	libraries/javalib/java/awt/OpaqueComponent.java,
	libraries/javalib/java/awt/PSGraphics.java,
	libraries/javalib/java/awt/PSPrintJob.java,
	libraries/javalib/java/awt/PaintEvt.java,
	libraries/javalib/java/awt/Panel.java,
	libraries/javalib/java/awt/Polygon.java,
	libraries/javalib/java/awt/PopupMenu.java,
	libraries/javalib/java/awt/PopupWindow.java,
	libraries/javalib/java/awt/PrintJob.java,
	libraries/javalib/java/awt/Rectangle.java,
	libraries/javalib/java/awt/RootWindow.java,
	libraries/javalib/java/awt/RowCanvas.java,
	libraries/javalib/java/awt/ScrollPane.java,
	libraries/javalib/java/awt/Scrollbar.java,
	libraries/javalib/java/awt/ShortcutConsumer.java,
	libraries/javalib/java/awt/ShortcutHandler.java,
	libraries/javalib/java/awt/SystemColor.java,
	libraries/javalib/java/awt/TextArea.java,
	libraries/javalib/java/awt/TextComponent.java,
	libraries/javalib/java/awt/TextCursor.java,
	libraries/javalib/java/awt/TextEvt.java,
	libraries/javalib/java/awt/TextField.java,
	libraries/javalib/java/awt/Toolkit.java,
	libraries/javalib/java/awt/WMEvent.java,
	libraries/javalib/java/awt/Window.java,
	libraries/javalib/java/awt/WindowEvt.java,
	libraries/javalib/java/awt/color/ICC_Profile.java,
	libraries/javalib/java/awt/datatransfer/SystemFlavorMap.java,
	libraries/javalib/java/awt/dnd/Autoscroll.java,
	libraries/javalib/java/awt/dnd/DropTarget.java,
	libraries/javalib/java/awt/dnd/DropTargetContext.java,
	libraries/javalib/java/awt/dnd/DropTargetDragEvent.java,
	libraries/javalib/java/awt/dnd/peer/DropTargetContextPeer.java,
	libraries/javalib/java/awt/event/AWTEventListenerProxy.java,
	libraries/javalib/java/awt/event/ActionEvent.java,
	libraries/javalib/java/awt/event/AdjustmentEvent.java,
	libraries/javalib/java/awt/event/ComponentAdapter.java,
	libraries/javalib/java/awt/event/ComponentEvent.java,
	libraries/javalib/java/awt/event/ContainerAdapter.java,
	libraries/javalib/java/awt/event/ContainerEvent.java,
	libraries/javalib/java/awt/event/FocusAdapter.java,
	libraries/javalib/java/awt/event/FocusEvent.java,
	libraries/javalib/java/awt/event/InputEvent.java,
	libraries/javalib/java/awt/event/ItemEvent.java,
	libraries/javalib/java/awt/event/KeyAdapter.java,
	libraries/javalib/java/awt/event/KeyEvent.java,
	libraries/javalib/java/awt/event/MouseAdapter.java,
	libraries/javalib/java/awt/event/MouseEvent.java,
	libraries/javalib/java/awt/event/MouseMotionAdapter.java,
	libraries/javalib/java/awt/event/PaintEvent.java,
	libraries/javalib/java/awt/event/TextEvent.java,
	libraries/javalib/java/awt/event/WindowAdapter.java,
	libraries/javalib/java/awt/event/WindowEvent.java,
	libraries/javalib/java/awt/font/TextLayout.java,
	libraries/javalib/java/awt/im/InputContext.java,
	libraries/javalib/java/awt/im/spi/InputMethod.java,
	libraries/javalib/java/awt/im/spi/InputMethodContext.java,
	libraries/javalib/java/awt/im/spi/InputMethodDescriptor.java,
	libraries/javalib/java/awt/image/AffineTransformOp.java,
	libraries/javalib/java/awt/image/AreaAveragingScaleFilter.java,
	libraries/javalib/java/awt/image/BufferedImage.java,
	libraries/javalib/java/awt/image/CropImageFilter.java,
	libraries/javalib/java/awt/image/DirectColorModel.java,
	libraries/javalib/java/awt/image/FilteredImageSource.java,
	libraries/javalib/java/awt/image/ImageConsumer.java,
	libraries/javalib/java/awt/image/ImageFilter.java,
	libraries/javalib/java/awt/image/ImageObserver.java,
	libraries/javalib/java/awt/image/ImageProducer.java,
	libraries/javalib/java/awt/image/IndexColorModel.java,
	libraries/javalib/java/awt/image/MemoryImageSource.java,
	libraries/javalib/java/awt/image/PackedColorModel.java,
	libraries/javalib/java/awt/image/PixelGrabber.java,
	libraries/javalib/java/awt/image/RGBImageFilter.java,
	libraries/javalib/java/awt/image/RasterOp.java,
	libraries/javalib/java/awt/image/ReplicateScaleFilter.java,
	libraries/javalib/javax/swing/AbstractAction.java,
	libraries/javalib/javax/swing/AbstractButton.java,
	libraries/javalib/javax/swing/AbstractCellEditor.java,
	libraries/javalib/javax/swing/AbstractListModel.java,
	libraries/javalib/javax/swing/AbstractSet.java,
	libraries/javalib/javax/swing/Action.java,
	libraries/javalib/javax/swing/ActionMap.java,
	libraries/javalib/javax/swing/BorderFactory.java,
	libraries/javalib/javax/swing/BoundedRangeModel.java,
	libraries/javalib/javax/swing/Box.java,
	libraries/javalib/javax/swing/BoxLayout.java,
	libraries/javalib/javax/swing/ButtonGroup.java,
	libraries/javalib/javax/swing/ButtonModel.java,
	libraries/javalib/javax/swing/CellEditor.java,
	libraries/javalib/javax/swing/CellRendererPane.java,
	libraries/javalib/javax/swing/ComboBoxEditor.java,
	libraries/javalib/javax/swing/ComboBoxModel.java,
	libraries/javalib/javax/swing/ComponentInputMap.java,
	libraries/javalib/javax/swing/DebugGraphics.java,
	libraries/javalib/javax/swing/DefaultBoundedRangeModel.java,
	libraries/javalib/javax/swing/DefaultButtonModel.java,
	libraries/javalib/javax/swing/DefaultCellEditor.java,
	libraries/javalib/javax/swing/DefaultCellRenderer.java,
	libraries/javalib/javax/swing/DefaultComboBoxModel.java,
	libraries/javalib/javax/swing/DefaultDesktopManager.java,
	libraries/javalib/javax/swing/DefaultFocusManager.java,
	libraries/javalib/javax/swing/DefaultListCellRenderer.java,
	libraries/javalib/javax/swing/DefaultListModel.java,
	libraries/javalib/javax/swing/DefaultListSelectionModel.java,
	libraries/javalib/javax/swing/DefaultSingleSelectionModel.java,
	libraries/javalib/javax/swing/DesktopManager.java,
	libraries/javalib/javax/swing/FocusManager.java,
	libraries/javalib/javax/swing/GrayFilter.java,
	libraries/javalib/javax/swing/Icon.java,
	libraries/javalib/javax/swing/ImageIcon.java,
	libraries/javalib/javax/swing/InputMap.java,
	libraries/javalib/javax/swing/InputVerifier.java,
	libraries/javalib/javax/swing/JApplet.java,
	libraries/javalib/javax/swing/JButton.java,
	libraries/javalib/javax/swing/JCheckBox.java,
	libraries/javalib/javax/swing/JCheckBoxMenuItem.java,
	libraries/javalib/javax/swing/JColorChooser.java,
	libraries/javalib/javax/swing/JComboBox.java,
	libraries/javalib/javax/swing/JComponent.java,
	libraries/javalib/javax/swing/JDesktopPane.java,
	libraries/javalib/javax/swing/JDialog.java,
	libraries/javalib/javax/swing/JEditorPane.java,
	libraries/javalib/javax/swing/JFileChooser.java,
	libraries/javalib/javax/swing/JFormattedTextField.java,
	libraries/javalib/javax/swing/JFrame.java,
	libraries/javalib/javax/swing/JInternalFrame.java,
	libraries/javalib/javax/swing/JLabel.java,
	libraries/javalib/javax/swing/JLayeredPane.java,
	libraries/javalib/javax/swing/JList.java,
	libraries/javalib/javax/swing/JMenu.java,
	libraries/javalib/javax/swing/JMenuBar.java,
	libraries/javalib/javax/swing/JMenuItem.java,
	libraries/javalib/javax/swing/JOptionPane.java,
	libraries/javalib/javax/swing/JPanel.java,
	libraries/javalib/javax/swing/JPasswordField.java,
	libraries/javalib/javax/swing/JPopupMenu.java,
	libraries/javalib/javax/swing/JProgressBar.java,
	libraries/javalib/javax/swing/JRadioButton.java,
	libraries/javalib/javax/swing/JRadioButtonMenuItem.java,
	libraries/javalib/javax/swing/JRootPane.java,
	libraries/javalib/javax/swing/JScrollBar.java,
	libraries/javalib/javax/swing/JScrollPane.java,
	libraries/javalib/javax/swing/JSeparator.java,
	libraries/javalib/javax/swing/JSlider.java,
	libraries/javalib/javax/swing/JSplitPane.java,
	libraries/javalib/javax/swing/JTabbedPane.java,
	libraries/javalib/javax/swing/JTable.java,
	libraries/javalib/javax/swing/JTextArea.java,
	libraries/javalib/javax/swing/JTextField.java,
	libraries/javalib/javax/swing/JTextPane.java,
	libraries/javalib/javax/swing/JToggleButton.java,
	libraries/javalib/javax/swing/JToolBar.java,
	libraries/javalib/javax/swing/JToolTip.java,
	libraries/javalib/javax/swing/JTree.java,
	libraries/javalib/javax/swing/JViewport.java,
	libraries/javalib/javax/swing/JWindow.java,
	libraries/javalib/javax/swing/KeyStroke.java,
	libraries/javalib/javax/swing/ListCellRenderer.java,
	libraries/javalib/javax/swing/ListModel.java,
	libraries/javalib/javax/swing/ListSelectionModel.java,
	libraries/javalib/javax/swing/LookAndFeel.java,
	libraries/javalib/javax/swing/MenuElement.java,
	libraries/javalib/javax/swing/MenuSelectionManager.java,
	libraries/javalib/javax/swing/MutableComboBoxModel.java,
	libraries/javalib/javax/swing/OverlayLayout.java,
	libraries/javalib/javax/swing/Popup.java,
	libraries/javalib/javax/swing/PopupFactory.java,
	libraries/javalib/javax/swing/ProgressMonitor.java,
	libraries/javalib/javax/swing/ProgressMonitorInputStream.java,
	libraries/javalib/javax/swing/Renderer.java,
	libraries/javalib/javax/swing/RepaintManager.java,
	libraries/javalib/javax/swing/RootPaneContainer.java,
	libraries/javalib/javax/swing/ScrollPaneConstants.java,
	libraries/javalib/javax/swing/ScrollPaneLayout.java,
	libraries/javalib/javax/swing/Scrollable.java,
	libraries/javalib/javax/swing/SingleSelectionModel.java,
	libraries/javalib/javax/swing/SizeRequirements.java,
	libraries/javalib/javax/swing/SizeSequence.java,
	libraries/javalib/javax/swing/SpinnerModel.java,
	libraries/javalib/javax/swing/SwingConstants.java,
	libraries/javalib/javax/swing/SwingUtilities.java,
	libraries/javalib/javax/swing/Timer.java,
	libraries/javalib/javax/swing/ToolTipManager.java,
	libraries/javalib/javax/swing/UIDefaults.java,
	libraries/javalib/javax/swing/UIManager.java,
	libraries/javalib/javax/swing/UnsupportedLookAndFeelException.java,
	libraries/javalib/javax/swing/ViewportLayout.java,
	libraries/javalib/javax/swing/WindowConstants.java,
	libraries/javalib/javax/swing/border/AbstractBorder.java,
	libraries/javalib/javax/swing/border/BevelBorder.java,
	libraries/javalib/javax/swing/border/Border.java,
	libraries/javalib/javax/swing/border/CompoundBorder.java,
	libraries/javalib/javax/swing/border/EmptyBorder.java,
	libraries/javalib/javax/swing/border/EtchedBorder.java,
	libraries/javalib/javax/swing/border/LineBorder.java,
	libraries/javalib/javax/swing/border/MatteBorder.java,
	libraries/javalib/javax/swing/border/SoftBevelBorder.java,
	libraries/javalib/javax/swing/border/TitledBorder.java,
	libraries/javalib/javax/swing/colorchooser/AbstractColorChooserPanel.java,
	libraries/javalib/javax/swing/colorchooser/ColorChooserComponentFactory.java,
	libraries/javalib/javax/swing/colorchooser/ColorSelectionModel.java,
	libraries/javalib/javax/swing/colorchooser/DefaultColorSelectionModel.java,
	libraries/javalib/javax/swing/event/AncestorEvent.java,
	libraries/javalib/javax/swing/event/AncestorListener.java,
	libraries/javalib/javax/swing/event/CaretEvent.java,
	libraries/javalib/javax/swing/event/CaretListener.java,
	libraries/javalib/javax/swing/event/CellEditorListener.java,
	libraries/javalib/javax/swing/event/ChangeEvent.java,
	libraries/javalib/javax/swing/event/ChangeListener.java,
	libraries/javalib/javax/swing/event/DocumentEvent.java,
	libraries/javalib/javax/swing/event/DocumentListener.java,
	libraries/javalib/javax/swing/event/HyperlinkEvent.java,
	libraries/javalib/javax/swing/event/HyperlinkListener.java,
	libraries/javalib/javax/swing/event/InternalFrameAdapter.java,
	libraries/javalib/javax/swing/event/InternalFrameEvent.java,
	libraries/javalib/javax/swing/event/InternalFrameListener.java,
	libraries/javalib/javax/swing/event/ListDataEvent.java,
	libraries/javalib/javax/swing/event/ListDataListener.java,
	libraries/javalib/javax/swing/event/ListSelectionEvent.java,
	libraries/javalib/javax/swing/event/ListSelectionListener.java,
	libraries/javalib/javax/swing/event/MenuDragMouseEvent.java,
	libraries/javalib/javax/swing/event/MenuDragMouseListener.java,
	libraries/javalib/javax/swing/event/MenuEvent.java,
	libraries/javalib/javax/swing/event/MenuKeyEvent.java,
	libraries/javalib/javax/swing/event/MenuKeyListener.java,
	libraries/javalib/javax/swing/event/MenuListener.java,
	libraries/javalib/javax/swing/event/MouseInputAdapter.java,
	libraries/javalib/javax/swing/event/MouseInputListener.java,
	libraries/javalib/javax/swing/event/PopupMenuEvent.java,
	libraries/javalib/javax/swing/event/PopupMenuListener.java,
	libraries/javalib/javax/swing/event/SwingPropertyChangeSupport.java,
	libraries/javalib/javax/swing/event/TableColumnModelEvent.java,
	libraries/javalib/javax/swing/event/TableColumnModelListener.java,
	libraries/javalib/javax/swing/event/TableModelEvent.java,
	libraries/javalib/javax/swing/event/TableModelListener.java,
	libraries/javalib/javax/swing/event/TreeExpansionEvent.java,
	libraries/javalib/javax/swing/event/TreeExpansionListener.java,
	libraries/javalib/javax/swing/event/TreeModelEvent.java,
	libraries/javalib/javax/swing/event/TreeModelListener.java,
	libraries/javalib/javax/swing/event/TreeSelectionEvent.java,
	libraries/javalib/javax/swing/event/TreeSelectionListener.java,
	libraries/javalib/javax/swing/event/TreeWillExpandListener.java,
	libraries/javalib/javax/swing/event/UndoableEditEvent.java,
	libraries/javalib/javax/swing/event/UndoableEditListener.java,
	libraries/javalib/javax/swing/filechooser/FileFilter.java,
	libraries/javalib/javax/swing/filechooser/FileSystemView.java,
	libraries/javalib/javax/swing/filechooser/FileView.java,
	libraries/javalib/javax/swing/plaf/ActionMapUIResource.java,
	libraries/javalib/javax/swing/plaf/BorderUIResource.java,
	libraries/javalib/javax/swing/plaf/ButtonUI.java,
	libraries/javalib/javax/swing/plaf/ColorChooserUI.java,
	libraries/javalib/javax/swing/plaf/ColorUIResource.java,
	libraries/javalib/javax/swing/plaf/ComboBoxUI.java,
	libraries/javalib/javax/swing/plaf/ComponentInputMapUIResource.java,
	libraries/javalib/javax/swing/plaf/ComponentUI.java,
	libraries/javalib/javax/swing/plaf/DesktopIconUI.java,
	libraries/javalib/javax/swing/plaf/DesktopPaneUI.java,
	libraries/javalib/javax/swing/plaf/DimensionUIResource.java,
	libraries/javalib/javax/swing/plaf/FileChooserUI.java,
	libraries/javalib/javax/swing/plaf/FontUIResource.java,
	libraries/javalib/javax/swing/plaf/IconUIResource.java,
	libraries/javalib/javax/swing/plaf/InputMapUIResource.java,
	libraries/javalib/javax/swing/plaf/InsetsUIResource.java,
	libraries/javalib/javax/swing/plaf/InternalFrameUI.java,
	libraries/javalib/javax/swing/plaf/LabelUI.java,
	libraries/javalib/javax/swing/plaf/ListUI.java,
	libraries/javalib/javax/swing/plaf/MenuBarUI.java,
	libraries/javalib/javax/swing/plaf/MenuItemUI.java,
	libraries/javalib/javax/swing/plaf/OptionPaneUI.java,
	libraries/javalib/javax/swing/plaf/PanelUI.java,
	libraries/javalib/javax/swing/plaf/PopupMenuUI.java,
	libraries/javalib/javax/swing/plaf/ProgressBarUI.java,
	libraries/javalib/javax/swing/plaf/RootPaneUI.java,
	libraries/javalib/javax/swing/plaf/ScrollBarUI.java,
	libraries/javalib/javax/swing/plaf/ScrollPaneUI.java,
	libraries/javalib/javax/swing/plaf/SeparatorUI.java,
	libraries/javalib/javax/swing/plaf/SliderUI.java,
	libraries/javalib/javax/swing/plaf/SpinnerUI.java,
	libraries/javalib/javax/swing/plaf/SplitPaneUI.java,
	libraries/javalib/javax/swing/plaf/TabbedPaneUI.java,
	libraries/javalib/javax/swing/plaf/TableHeaderUI.java,
	libraries/javalib/javax/swing/plaf/TableUI.java,
	libraries/javalib/javax/swing/plaf/TextUI.java,
	libraries/javalib/javax/swing/plaf/ToolBarUI.java,
	libraries/javalib/javax/swing/plaf/ToolTipUI.java,
	libraries/javalib/javax/swing/plaf/TreeUI.java,
	libraries/javalib/javax/swing/plaf/UIResource.java,
	libraries/javalib/javax/swing/plaf/ViewportUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicArrowButton.java,
	libraries/javalib/javax/swing/plaf/basic/BasicBorders.java,
	libraries/javalib/javax/swing/plaf/basic/BasicButtonListener.java,
	libraries/javalib/javax/swing/plaf/basic/BasicButtonUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicCheckBoxMenuItemUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicCheckBoxUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicDesktopIconUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicDesktopPaneUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicGraphicsUtils.java,
	libraries/javalib/javax/swing/plaf/basic/BasicIconFactory.java,
	libraries/javalib/javax/swing/plaf/basic/BasicInternalFrameTitlePane.java,
	libraries/javalib/javax/swing/plaf/basic/BasicInternalFrameUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicLabelUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicListUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicLookAndFeel.java,
	libraries/javalib/javax/swing/plaf/basic/BasicMenuBarUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicMenuItemUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicMenuUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicOptionPaneUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicPanelUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicPopupMenuSeparatorUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicPopupMenuUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicProgressBarUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicRadioButtonMenuItemUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicRadioButtonUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicRootPaneUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicScrollBarUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicScrollPaneUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicSeparatorUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicSliderUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicSplitPaneDivider.java,
	libraries/javalib/javax/swing/plaf/basic/BasicSplitPaneUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicTabbedPaneUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicTextUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicToggleButtonUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicToolBarUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicTreeUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicViewportUI.java,
	libraries/javalib/javax/swing/plaf/metal/MetalLookAndFeel.java,
	libraries/javalib/javax/swing/table/AbstractTableModel.java,
	libraries/javalib/javax/swing/table/DefaultTableCellRenderer.java,
	libraries/javalib/javax/swing/table/DefaultTableColumnModel.java,
	libraries/javalib/javax/swing/table/DefaultTableModel.java,
	libraries/javalib/javax/swing/table/JTableHeader.java,
	libraries/javalib/javax/swing/table/TableCellEditor.java,
	libraries/javalib/javax/swing/table/TableCellRenderer.java,
	libraries/javalib/javax/swing/table/TableColumn.java,
	libraries/javalib/javax/swing/table/TableColumnModel.java,
	libraries/javalib/javax/swing/table/TableModel.java,
	libraries/javalib/javax/swing/text/AbstractDocument.java,
	libraries/javalib/javax/swing/text/BadLocationException.java,
	libraries/javalib/javax/swing/text/Caret.java,
	libraries/javalib/javax/swing/text/CharacterIterator.java,
	libraries/javalib/javax/swing/text/ComponentView.java,
	libraries/javalib/javax/swing/text/DefaultCaret.java,
	libraries/javalib/javax/swing/text/DefaultEditorKit.java,
	libraries/javalib/javax/swing/text/Document.java,
	libraries/javalib/javax/swing/text/DocumentFilter.java,
	libraries/javalib/javax/swing/text/EditorKit.java,
	libraries/javalib/javax/swing/text/Element.java,
	libraries/javalib/javax/swing/text/GapContent.java,
	libraries/javalib/javax/swing/text/JTextComponent.java,
	libraries/javalib/javax/swing/text/Keymap.java,
	libraries/javalib/javax/swing/text/MutableAttributeSet.java,
	libraries/javalib/javax/swing/text/NavigationFilter.java,
	libraries/javalib/javax/swing/text/PlainDocument.java,
	libraries/javalib/javax/swing/text/PlainEditorKit.java,
	libraries/javalib/javax/swing/text/Position.java,
	libraries/javalib/javax/swing/text/Segment.java,
	libraries/javalib/javax/swing/text/Style.java,
	libraries/javalib/javax/swing/text/StyledDocument.java,
	libraries/javalib/javax/swing/text/StyledEditorKit.java,
	libraries/javalib/javax/swing/text/TextAction.java,
	libraries/javalib/javax/swing/text/View.java,
	libraries/javalib/javax/swing/text/ViewFactory.java,
	libraries/javalib/javax/swing/text/html/HTML.java,
	libraries/javalib/javax/swing/text/html/parser/ParserDelegator.java,
	libraries/javalib/javax/swing/tree/AbstractLayoutCache.java,
	libraries/javalib/javax/swing/tree/DefaultMutableTreeNode.java,
	libraries/javalib/javax/swing/tree/DefaultTreeCellEditor.java,
	libraries/javalib/javax/swing/tree/DefaultTreeCellRenderer.java,
	libraries/javalib/javax/swing/tree/DefaultTreeModel.java,
	libraries/javalib/javax/swing/tree/DefaultTreeSelectionModel.java,
	libraries/javalib/javax/swing/tree/ExpandVetoException.java,
	libraries/javalib/javax/swing/tree/FixedHeightLayoutCache.java,
	libraries/javalib/javax/swing/tree/MutableTreeNode.java,
	libraries/javalib/javax/swing/tree/RowMapper.java,
	libraries/javalib/javax/swing/tree/TreeCellEditor.java,
	libraries/javalib/javax/swing/tree/TreeCellRenderer.java,
	libraries/javalib/javax/swing/tree/TreeModel.java,
	libraries/javalib/javax/swing/tree/TreeNode.java,
	libraries/javalib/javax/swing/tree/TreePath.java,
	libraries/javalib/javax/swing/tree/TreeSelectionModel.java,
	libraries/javalib/javax/swing/tree/VariableHeightLayoutCache.java,
	libraries/javalib/javax/swing/undo/AbstractUndoableEdit.java,
	libraries/javalib/javax/swing/undo/CannotRedoException.java,
	libraries/javalib/javax/swing/undo/CannotUndoException.java,
	libraries/javalib/javax/swing/undo/CompoundEdit.java,
	libraries/javalib/javax/swing/undo/StateEdit.java,
	libraries/javalib/javax/swing/undo/StateEditable.java,
	libraries/javalib/javax/swing/undo/UndoManager.java,
	libraries/javalib/javax/swing/undo/UndoableEdit.java,
	libraries/javalib/javax/swing/undo/UndoableEditSupport.java:
	Merged in AWT & Swing code from GNU Classpath. Moved Kaffe's
	AWT to libraries/javalib/awt-implemenations/kaffe.

	* m4/pkg.m4: New file. Support for pkg-config.
	Taken from GNU Classpath.

	* configure.ac:
	Made pthreads the default. Added new
	--disable-native-awt, --without-kaffe-x-awt, --without-kaffe-qte-awt,
	--without-classpath-gtk-awt options.

	* include/Makefile.am:
	(NOINSTALL_JNI_DERIVED_HDRS) Added Classpath AWT headers.

	* kaffe/kaffe/main.c:
	(setUserProperty, setKaffeAWT) New internal functions.
	(options,usage) Added new -Xkaffe-xlib-awt, -Xkaffe-qte-awt
	options.

	* kaffe/scripts/Makefile.am,
	(bin_SCRIPTS) Reformatted.

	* libraries/clib/awt/Makefile.am,
	(SUBDIRS) Build all AWTs if possible.
	(DIST_SUBDIRS) Removed.

	* libraries/clib/awt/X/Makefile.am,
	Renamed native library to libxawt.

	* libraries/clib/awt/classpath-gtk/Makefile.am,
	libraries/clib/awt/classpath-gtk/Makefile.in,
	libraries/clib/awt/classpath-gtk/classpath/.cvsignore,
	libraries/clib/awt/classpath-gtk/classpath/Makefile.am,
	libraries/clib/awt/classpath-gtk/classpath/Makefile.in,
	libraries/clib/awt/classpath-gtk/classpath/jcl.c,
	libraries/clib/awt/classpath-gtk/classpath/jcl.h,
	libraries/clib/awt/classpath-gtk/classpath/jnilink.c,
	libraries/clib/awt/classpath-gtk/classpath/jnilink.h,
	libraries/clib/awt/classpath-gtk/classpath/native_state.c,
	libraries/clib/awt/classpath-gtk/classpath/native_state.h,
	libraries/clib/awt/classpath-gtk/classpath/primlib.c,
	libraries/clib/awt/classpath-gtk/classpath/primlib.h,
	libraries/clib/awt/classpath-gtk/gtk-peer/.cvsignore,
	libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.am,
	libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.in,
	libraries/clib/awt/classpath-gtk/gtk-peer/gdkfont.h,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GThreadNativeMethodRunner.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GThreadNativeMethodRunner.h,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkClasspathFontPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkClasspathFontPeerMetrics.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkFontMetrics.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkGlyphVector.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkPixbufDecoder.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkCanvasPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxGroupPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxMenuItemPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkChoicePeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkClipboard.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkEmbeddedWindowPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkFileDialogPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkGenericPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkImagePainter.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkLabelPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkListPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkMainThread.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuBarPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuComponentPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuItemPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkPanelPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkPopupMenuPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkScrollBarPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkScrollPanePeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkTextAreaPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkTextComponentPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkTextFieldPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkToolkit.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gthread-jni.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gthread-jni.h,
	libraries/clib/awt/classpath-gtk/gtk-peer/gtkcairopeer.h,
	libraries/clib/awt/classpath-gtk/gtk-peer/gtkpeer.h,
	libraries/clib/awt/classpath-gtk/resource/.cvsignore,
	libraries/clib/awt/classpath-gtk/resource/Makefile.am,
	libraries/clib/awt/classpath-gtk/resource/Makefile.in,
	libraries/clib/awt/classpath-gtk/resource/font.properties:
	Merged in native support code form GNU Classpath.

	* libraries/javalib/all.files:
	Updated accordingly.

	* libraries/javalib/awt-implementations/Makefile.am,
	libraries/javalib/awt-implementations/Makefile.in,
	libraries/javalib/awt-implementations/kaffe/Makefile.am,
	libraries/javalib/awt-implementations/kaffe/Makefile.in,
	libraries/javalib/awt-implementations/kaffe/java/applet/Applet.java,
	libraries/javalib/awt-implementations/kaffe/java/applet/AppletContext.java,
	libraries/javalib/awt-implementations/kaffe/java/applet/AppletStub.java,
	libraries/javalib/awt-implementations/kaffe/java/applet/AudioClip.java,
	libraries/javalib/awt-implementations/kaffe/java/applet/package.html,
	libraries/javalib/awt-implementations/kaffe/java/awt/AWTError.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/AWTEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/AWTEventMulticaster.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/AWTException.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/AWTPermission.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/ActionEvt.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/ActiveEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Adjustable.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/AdjustmentEvt.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/AlphaComposite.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/AttributeValue.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/BarMenu.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/BasicStroke.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/BorderLayout.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/BufferCapabilities.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Button.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Canvas.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/CardLayout.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Checkbox.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/CheckboxGroup.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/CheckboxMenuItem.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Choice.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/ClassAnalyzer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/ClassProperties.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Color.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/ColorPaintContext.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Component.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/ComponentEvt.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/ComponentOrientation.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Composite.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/CompositeContext.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Container.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/ContainerEvt.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Cursor.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/DefKeyFilter.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Defaults.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Dialog.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Dimension.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/DisplayMode.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Event.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/EventDispatchThread.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/EventQueue.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/FileDialog.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/FlowLayout.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/FocusEvt.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/FocusTraversalPolicy.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Font.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/FontFormatException.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/FontMetrics.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Frame.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/GradientPaint.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Graphics.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Graphics2D.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/GraphicsConfigTemplate.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/GraphicsConfiguration.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/GraphicsDevice.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/GraphicsEnvironment.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/GraphicsLink.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/GridBagConstraints.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/GridBagLayout.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/GridBagLayoutInfo.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/GridLayout.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/HeadlessException.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/IllegalComponentStateException.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Image.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/ImageCapabilities.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/ImageFrameLoader.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/ImageLoader.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/ImageNativeProducer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Insets.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/ItemEvt.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/ItemSelectable.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/JobAttributes.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/KeyEventDispatcher.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/KeyEventPostProcessor.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/KeyEvt.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Label.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/LayoutManager.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/LayoutManager2.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/List.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/MediaTracker.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Menu.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/MenuBar.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/MenuComponent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/MenuContainer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/MenuItem.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/MenuShortcut.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/MouseEvt.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/NativeClipboard.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/NativeGraphics.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/NativeSelection.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/OpaqueComponent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/PSGraphics.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/PSPrintJob.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/PageAttributes.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Paint.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/PaintContext.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/PaintEvt.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Panel.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Point.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Polygon.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/PopupMenu.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/PopupWindow.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/PrintGraphics.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/PrintJob.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Rectangle.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/RenderingHints.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Robot.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/RootWindow.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/RowCanvas.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/ScrollPane.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/ScrollPaneAdjustable.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Scrollbar.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Shape.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/ShortcutConsumer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/ShortcutHandler.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Stroke.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/SystemColor.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/TextArea.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/TextBuffer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/TextComponent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/TextCursor.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/TextEvt.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/TextField.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/TexturePaint.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Toolkit.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Transparency.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/WMEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Window.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/WindowEvt.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/color/CMMException.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/color/ColorSpace.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/color/ICC_ColorSpace.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/color/ICC_Profile.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/color/ICC_ProfileGray.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/color/ICC_ProfileRGB.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/color/ProfileDataException.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/color/package.html,
	libraries/javalib/awt-implementations/kaffe/java/awt/datatransfer/Clipboard.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/datatransfer/ClipboardOwner.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/datatransfer/DataFlavor.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/datatransfer/FlavorMap.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/datatransfer/FlavorTable.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/datatransfer/MimeTypeParseException.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/datatransfer/StringSelection.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/datatransfer/SystemFlavorMap.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/datatransfer/Transferable.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/datatransfer/UnsupportedFlavorException.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/datatransfer/package.html,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/Autoscroll.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DnDConstants.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DnDEventMulticaster.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DragGestureEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DragGestureListener.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DragGestureRecognizer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DragSource.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DragSourceAdapter.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DragSourceContext.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DragSourceDragEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DragSourceDropEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DragSourceEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DragSourceListener.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DragSourceMotionListener.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DropTarget.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DropTargetAdapter.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DropTargetContext.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DropTargetDragEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DropTargetDropEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DropTargetEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DropTargetListener.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/InvalidDnDOperationException.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/MouseDragGestureRecognizer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/package.html,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/peer/DragSourceContextPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/peer/DropTargetContextPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/peer/DropTargetPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/peer/package.html,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/AWTEventListener.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/ActionEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/ActionListener.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/AdjustmentEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/AdjustmentListener.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/ComponentAdapter.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/ComponentEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/ComponentListener.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/ContainerAdapter.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/ContainerEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/ContainerListener.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/FocusAdapter.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/FocusEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/FocusListener.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/HierarchyBoundsAdapter.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/HierarchyBoundsListener.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/HierarchyEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/HierarchyListener.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/InputEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/InputMethodEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/InputMethodListener.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/InvocationEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/ItemEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/ItemListener.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/KeyAdapter.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/KeyEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/KeyListener.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/MouseAdapter.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/MouseEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/MouseListener.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/MouseMotionAdapter.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/MouseMotionListener.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/MouseWheelEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/MouseWheelListener.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/PaintEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/TextEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/TextListener.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/WindowAdapter.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/WindowEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/WindowFocusListener.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/WindowListener.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/WindowStateListener.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/package.html,
	libraries/javalib/awt-implementations/kaffe/java/awt/font/FontRenderContext.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/font/GlyphJustificationInfo.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/font/GlyphMetrics.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/font/GlyphVector.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/font/GraphicAttribute.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/font/ImageGraphicAttribute.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/font/LineBreakMeasurer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/font/LineMetrics.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/font/MultipleMaster.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/font/NumericShaper.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/font/OpenType.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/font/ShapeGraphicAttribute.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/font/TextAttribute.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/font/TextHitInfo.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/font/TextLayout.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/font/TextMeasurer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/font/TransformAttribute.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/font/package.html,
	libraries/javalib/awt-implementations/kaffe/java/awt/geom/AffineTransform.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/geom/Arc2D.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/geom/Area.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/geom/CubicCurve2D.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/geom/Dimension2D.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/geom/Ellipse2D.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/geom/FlatteningPathIterator.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/geom/GeneralPath.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/geom/IllegalPathStateException.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/geom/Line2D.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/geom/NoninvertibleTransformException.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/geom/PathIterator.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/geom/Point2D.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/geom/QuadCurve2D.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/geom/Rectangle2D.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/geom/RectangularShape.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/geom/RoundRectangle2D.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/geom/package.html,
	libraries/javalib/awt-implementations/kaffe/java/awt/im/InputMethodHighlight.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/im/InputMethodRequests.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/im/InputSubset.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/im/package.html,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/AreaAveragingScaleFilter.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/BufferStrategy.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/BufferedImage.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/BufferedImageOp.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/ColorModel.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/ComponentColorModel.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/ComponentSampleModel.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/CropImageFilter.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/DataBuffer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/DataBufferByte.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/DataBufferDouble.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/DataBufferFloat.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/DataBufferInt.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/DataBufferShort.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/DataBufferUShort.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/DirectColorModel.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/FilteredImageSource.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/ImageConsumer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/ImageFilter.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/ImageObserver.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/ImageProducer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/ImagingOpException.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/IndexColorModel.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/MemoryImageSource.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/PackedColorModel.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/PixelGrabber.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/PixelInterleavedSampleModel.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/RGBImageFilter.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/Raster.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/RasterFormatException.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/RasterOp.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/RenderedImage.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/ReplicateScaleFilter.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/SampleModel.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/SinglePixelPackedSampleModel.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/TileObserver.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/VolatileImage.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/WritableRaster.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/WritableRenderedImage.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/package.html,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/renderable/ContextualRenderedImageFactory.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/renderable/ParameterBlock.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/renderable/RenderContext.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/renderable/RenderableImage.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/renderable/RenderableImageOp.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/renderable/RenderableImageProducer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/renderable/RenderedImageFactory.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/renderable/package.html,
	libraries/javalib/awt-implementations/kaffe/java/awt/package.html,
	libraries/javalib/awt-implementations/kaffe/java/awt/peer/ButtonPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/peer/CanvasPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/peer/CheckboxMenuItemPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/peer/CheckboxPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/peer/ChoicePeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/peer/ComponentPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/peer/ContainerPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/peer/DialogPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/peer/FileDialogPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/peer/FontPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/peer/FramePeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/peer/LabelPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/peer/LightweightPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/peer/ListPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/peer/MenuBarPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/peer/MenuComponentPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/peer/MenuItemPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/peer/MenuPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/peer/PanelPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/peer/PopupMenuPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/peer/RobotPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/peer/ScrollPanePeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/peer/ScrollbarPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/peer/TextAreaPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/peer/TextComponentPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/peer/TextFieldPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/peer/WindowPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/peer/package.html,
	libraries/javalib/awt-implementations/kaffe/java/awt/print/Book.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/print/PageFormat.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/print/Pageable.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/print/Paper.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/print/Printable.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/print/PrinterAbortException.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/print/PrinterException.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/print/PrinterGraphics.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/print/PrinterIOException.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/print/PrinterJob.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/print/package.html,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/ActionEvt.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/Button.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/Canvas.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/Checkbox.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/CheckboxMenuItem.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/Choice.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/Defaults.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/FileDialog.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/Frame.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/Label.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/List.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/Menu.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/MenuBar.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/MenuItem.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/NativeComponent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/NativeContainer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/NativeGraphics.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/Panel.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/PopupMenu.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/ScrollPane.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/Scrollbar.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/SystemColor.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/TextArea.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/TextComponent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/TextField.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/Toolkit.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/WMEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/Window.java,
	libraries/javalib/awt-implementations/kaffe/kaffe/applet/AppletTag.java,
	libraries/javalib/awt-implementations/kaffe/kaffe/applet/AppletViewer.java,
	libraries/javalib/awt-implementations/kaffe/kaffe/applet/AudioPlayer.java,
	libraries/javalib/awt-implementations/kaffe/kaffe/awt/DoNothingPeer.java,
	libraries/javalib/awt-implementations/kaffe/kaffe/awt/ExportTransferable.java,
	libraries/javalib/awt-implementations/kaffe/kaffe/awt/FlavorConverter.java,
	libraries/javalib/awt-implementations/kaffe/kaffe/awt/FocusHook.java,
	libraries/javalib/awt-implementations/kaffe/kaffe/awt/HookInstaller.java,
	libraries/javalib/awt-implementations/kaffe/kaffe/awt/ImageClass.java,
	libraries/javalib/awt-implementations/kaffe/kaffe/awt/ImageDict.java,
	libraries/javalib/awt-implementations/kaffe/kaffe/awt/ImageSpec.java,
	libraries/javalib/awt-implementations/kaffe/kaffe/awt/JavaColorModel.java,
	libraries/javalib/awt-implementations/kaffe/kaffe/awt/KeyHook.java,
	libraries/javalib/awt-implementations/kaffe/kaffe/awt/MouseHook.java,
	libraries/javalib/awt-implementations/kaffe/kaffe/awt/ObjectSelection.java,
	libraries/javalib/awt-implementations/kaffe/kaffe/awt/OpaqueComponent.java,
	libraries/javalib/awt-implementations/kaffe/kaffe/awt/SerializerConverter.java,
	libraries/javalib/awt-implementations/kaffe/kaffe/util/log/LogClient.java,
	libraries/javalib/awt-implementations/kaffe/kaffe/util/log/LogStream.java,
	libraries/javalib/awt-implementations/kaffe/kaffe/util/log/SimpleLogViewer.java,
	libraries/javalib/awt-implementations/kaffe/update-class-list:
	Moved over from librareis/javalib/ to make Classpath's AWT 
	and SWING the defult.

	* libraries/javalib/java/awt/win32/ActionEvt.java,
	libraries/javalib/java/awt/win32/Button.java,
	libraries/javalib/java/awt/win32/Canvas.java,
	libraries/javalib/java/awt/win32/Checkbox.java,
	libraries/javalib/java/awt/win32/CheckboxMenuItem.java,
	libraries/javalib/java/awt/win32/Choice.java,
	libraries/javalib/java/awt/win32/Defaults.java,
	libraries/javalib/java/awt/win32/FileDialog.java,
	libraries/javalib/java/awt/win32/Frame.java,
	libraries/javalib/java/awt/win32/Label.java,
	libraries/javalib/java/awt/win32/List.java,
	libraries/javalib/java/awt/win32/Menu.java,
	libraries/javalib/java/awt/win32/MenuBar.java,
	libraries/javalib/java/awt/win32/MenuItem.java,
	libraries/javalib/java/awt/win32/NativeComponent.java,
	libraries/javalib/java/awt/win32/NativeContainer.java,
	libraries/javalib/java/awt/win32/NativeGraphics.java,
	libraries/javalib/java/awt/win32/Panel.java,
	libraries/javalib/java/awt/win32/PopupMenu.java,
	libraries/javalib/java/awt/win32/ScrollPane.java,
	libraries/javalib/java/awt/win32/Scrollbar.java,
	libraries/javalib/java/awt/win32/SystemColor.java,
	libraries/javalib/java/awt/win32/TextArea.java,
	libraries/javalib/java/awt/win32/TextComponent.java,
	libraries/javalib/java/awt/win32/TextField.java,
	libraries/javalib/java/awt/win32/Toolkit.java,
	libraries/javalib/java/awt/win32/WMEvent.java,
	libraries/javalib/java/awt/win32/Window.java,
        libraries/javalib/kaffe/applet/AppletTag.java,
        libraries/javalib/kaffe/applet/AppletViewer.java,
        libraries/javalib/kaffe/applet/AudioPlayer.java,
        libraries/javalib/kaffe/awt/DoNothingPeer.java,
        libraries/javalib/kaffe/awt/ExportTransferable.java,
        libraries/javalib/kaffe/awt/FlavorConverter.java,
        libraries/javalib/kaffe/awt/FocusHook.java,
        libraries/javalib/kaffe/awt/HookInstaller.java,
        libraries/javalib/kaffe/awt/ImageClass.java,
        libraries/javalib/kaffe/awt/ImageDict.java,
        libraries/javalib/kaffe/awt/ImageSpec.java,
        libraries/javalib/kaffe/awt/JavaColorModel.java,
        libraries/javalib/kaffe/awt/KeyHook.java,
        libraries/javalib/kaffe/awt/MouseHook.java,
        libraries/javalib/kaffe/awt/ObjectSelection.java,
        libraries/javalib/kaffe/awt/OpaqueComponent.java,
        libraries/javalib/kaffe/awt/SerializerConverter.java:
	Moved over to libraries/javalib/awt-implementations/kaffe.

	* libraries/clib/awt/qt/Makefile.am:
	Renaved native library to libqteawt.

	* libraries/clib/io/Makefile.am:
	(libio_la_SOURCES) removed AudioPlayer.

	* libraries/javalib/Klasses.jar.bootstrap:
	Regenerated.

	* libraries/javalib/Makefile.am.in,
	(SUBDIRS) Added awt-implementations.

	* Makefile.in,
	aclocal.m4,
	config/Makefile.in,
	configure,
	include/Makefile.in,
	kaffe/Makefile.in,
	kaffe/jvmpi/Makefile.in,
	kaffe/kaffe/Makefile.in,
	kaffe/kaffeh/Makefile.in,
	kaffe/kaffevm/Makefile.in,
	kaffe/kaffevm/boehm-gc/Makefile.in,
	kaffe/kaffevm/gcj/Makefile.in,
	kaffe/kaffevm/intrp/Makefile.in,
	kaffe/kaffevm/jit/Makefile.in,
	kaffe/kaffevm/jit3/Makefile.in,
	kaffe/kaffevm/jni/Makefile.in,
	kaffe/kaffevm/kaffe-gc/Makefile.in,
	kaffe/kaffevm/systems/Makefile.in,
	kaffe/kaffevm/systems/beos-native/Makefile.in,
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
	kaffe/kaffevm/verifier/Makefile.in,
	kaffe/man/Makefile.in,
	kaffe/scripts/Makefile.in,
	kaffe/scripts/bat/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	kaffe/xprof/Makefile.in,
	libraries/Makefile.in,
	libraries/clib/Makefile.in,
	libraries/clib/awt/Makefile.in,
	libraries/clib/awt/X/Makefile.in,
	libraries/clib/awt/qt/Makefile.in,
	libraries/clib/io/Makefile.in,
	libraries/clib/libxmlj/Makefile.in,
	libraries/clib/management/Makefile.in,
	libraries/clib/math/Makefile.in,
	libraries/clib/native/Makefile.in,
	libraries/clib/net/Makefile.in,
	libraries/clib/nio/Makefile.in,
	libraries/clib/security/Makefile.in,
	libraries/clib/sound/Makefile.in,
	libraries/clib/sound/alsa/Makefile.in,
	libraries/clib/sound/common/Makefile.in,
	libraries/clib/sound/esd/Makefile.in,
	libraries/clib/zip/Makefile.in,
	libraries/extensions/Makefile.in,
	libraries/extensions/comm/Makefile.in,
	libraries/extensions/comm/javalib/Makefile.in,
	libraries/extensions/microsoft/Makefile.in,
	libraries/extensions/microsoft/clib/Makefile.in,
	libraries/extensions/microsoft/javalib/Makefile.in,
	libraries/extensions/pjava/Makefile.in,
	libraries/extensions/pjava/javalib/Makefile.in,
	libraries/extensions/servlet/Makefile.in,
	libraries/extensions/servlet/javalib/Makefile.in,
	libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/gmp-math/Makefile.in,
	replace/Makefile.in,
	test/Makefile.in,
	test/internal/Makefile.in,
	test/jni/Makefile.in,
	test/regression/Makefile.in,
	test/regression/compile_time/Makefile.in,
	test/regression/compiler/Makefile.in,
	test/regression/run_time/Makefile.in,
	tools/Makefile.in,
	tools/gjdoc/Makefile.in,
	tools/gjdoc/javalib/Makefile.in:
	Regerated.

2004-07-17  Riccardo Mottola <rmottola@users.sf.net>

	* libraries/clib/math/BigInteger.c:
	Include <stdio.h> to define NULL.

2004-07-22  Dalibor Topic  <robilad@kaffe.org>

        * Makefile.am:
	(EXTRA_DIST) Added 
	developers/patch-libtool-cdpath-zsh.patch.

        * configure.ac:
	Use AC_CHECK_HEADERS to check for gmp header.

        * developers/autogen.sh
	Apply cdpath patch for libtool.

        * developers/patch-libtool-cdpath-zsh.patch:
	New file. Fix CDPATH with zsh for darwin.

	Patch by: Peter O'Gorman <peter@pogma.com>
	Reported by: Riccardo Mottola <rmottola@users.sf.net>

        * Makefile.in,
        configure,
        libltdl/acinclude.m4,
        libltdl/configure,
        libltdl/ltmain.sh,
        libraries/javalib/Makefile.am,
        libraries/javalib/Makefile.in,
        m4/libtool.m4:
	Regenerated.

2004-07-21  Guilhem Lavaux <guilhem@kaffe.org>

	* WHATSNEW: Added some news to Kaffe 1.1.5.

2004-07-21  Guilhem Lavaux <guilhem@kaffe.org>

	* kaffe/kaffevm/boehm-gc/gc2.c,
	kaffe/kaffevm/boehm-gc/boehm/pthread_stop_world.c:
	Made GC_stop_world and GC_start_world aliases for jthread_suspendall
	jthread_unsuspendall.
	Put the pointer to the GC vtable at the end of the object instead of
	an integer at the start of the object.

	* kaffe/kaffevm/boehm-gc/boehm-patch: New file.

2004-07-21  Guilhem Lavaux <guilhem@kaffe.org>

	* configure.ac, m4/glibcver.m4, Makefile.am:
	Go into the "po" directory only
	we either have already the .gmo files or if msgfmt has been found.
	Better checking of the GNU C Library version number.

	* THIRDPARTY: Added an entry about the Boehm-Weiser garbage
	collector.
	
	* configure,
	test/jni/Makefile.in,
	test/regression/compile_time/Makefile.in,
	test/regression/run_time/Makefile.in,
	test/regression/compiler/Makefile.in,
	test/regression/Makefile.in,
	test/Makefile.in,
	test/internal/Makefile.in,
	replace/Makefile.in,
	build/po/Makefile.in,
	kaffe/man/Makefile.in,
	kaffe/kaffevm/gcj/Makefile.in,
	kaffe/kaffevm/jit/Makefile.in,
	kaffe/kaffevm/jni/Makefile.in,
	kaffe/kaffevm/jit3/Makefile.in,
	kaffe/kaffevm/kaffe-gc/Makefile.in,
	kaffe/kaffevm/intrp/Makefile.in,
	kaffe/kaffevm/Makefile.in,
	kaffe/kaffevm/systems/beos-native/Makefile.in,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
	kaffe/kaffevm/systems/Makefile.in,
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
	kaffe/kaffevm/verifier/Makefile.in,
	kaffe/kaffevm/boehm-gc/Makefile.in,
	kaffe/kaffe/Makefile.in,
	kaffe/jvmpi/Makefile.in,
	kaffe/xprof/Makefile.in,
	kaffe/scripts/bat/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	kaffe/scripts/Makefile.in,
	kaffe/Makefile.in,
	kaffe/kaffeh/Makefile.in,
	tools/gjdoc/Makefile.in,
	tools/gjdoc/javalib/Makefile.in,
	tools/Makefile.in,
	libraries/clib/io/Makefile.in,
	libraries/clib/awt/X/Makefile.in,
	libraries/clib/awt/qt/Makefile.in,
	libraries/clib/awt/Makefile.in,
	libraries/clib/net/Makefile.in,
	libraries/clib/nio/Makefile.in,
	libraries/clib/zip/Makefile.in,
	libraries/clib/math/Makefile.in,
	libraries/clib/sound/esd/Makefile.in,
	libraries/clib/sound/alsa/Makefile.in,
	libraries/clib/sound/common/Makefile.in,
	libraries/clib/sound/Makefile.in,
	libraries/clib/management/Makefile.in,
	libraries/clib/libxmlj/Makefile.in,
	libraries/clib/Makefile.in,
	libraries/clib/security/Makefile.in,
	libraries/clib/native/Makefile.in,
	libraries/Makefile.in,
	libraries/extensions/comm/Makefile.in,
	libraries/extensions/comm/javalib/Makefile.in,
	libraries/extensions/pjava/Makefile.in,
	libraries/extensions/pjava/javalib/Makefile.in,
	libraries/extensions/servlet/Makefile.in,
	libraries/extensions/servlet/javalib/Makefile.in,
	libraries/extensions/Makefile.in,
	libraries/extensions/microsoft/clib/Makefile.in,
	libraries/extensions/microsoft/Makefile.in,
	libraries/extensions/microsoft/javalib/Makefile.in,
	libraries/javalib/Makefile.in,
	libraries/javalib/gmp-math/Makefile.in,
	libltdl/Makefile.in,
	config/Makefile.in,
	Makefile.in,
	include/Makefile.in: Regenerated.

2004-07-21  Guilhem Lavaux <guilhem@kaffe.org>

	* libraries/javalib/kjc.jar: Regenerated.

2004-07-21  Dalibor Topic  <robilad@kaffe.org>

        * kaffe/kaffevm/Makefile.am:
	(DIST_SUBDIRS) Added kaffe-gc and boehm-gc.

        * kaffe/kaffevm/Makefile.in:
	Regnerated.

2004-07-21  Dalibor Topic  <robilad@kaffe.org>

	Merged in dnsjava, GNU Crypto and Jessie

	* FAQ/FAQ.dns:
	Updated for merged in dnsjava.

        * THIRDPARTY:
	Updated for dnsjava, GNU Crypto, Jessie.

        * m4/gnu-crypto.m4:
	Removed.

        * configure.ac:
	Removed --with-dnsjava and --with-gnu-crypto options.

        * developers/update-class-list:
	Don't ignore GNU Crypto.

        * libraries/javalib/Makefile.am.in:
	Removed code to handle dnsjava separately.
	(SRCDIRS) Added com.

        * libraries/javalib/bootstrap.classlist:
	Added java/io/DataInputStream.class.

        * libraries/javalib/Klasses.jar.bootstrap:
	Regenerated.

        * libraries/javalib/all.files:
	Added the new files.

        * libraries/javalib/java/security/KeyStore.java:
	Replaced by implementation from GNU Classpath.

        * libraries/javalib/com/jcraft/jzlib/Adler32.java,
        libraries/javalib/com/jcraft/jzlib/Deflate.java,
        libraries/javalib/com/jcraft/jzlib/InfBlocks.java,
        libraries/javalib/com/jcraft/jzlib/InfCodes.java,
        libraries/javalib/com/jcraft/jzlib/InfTree.java,
        libraries/javalib/com/jcraft/jzlib/Inflate.java,
        libraries/javalib/com/jcraft/jzlib/JZlib.java,
        libraries/javalib/com/jcraft/jzlib/StaticTree.java,
        libraries/javalib/com/jcraft/jzlib/Tree.java,
        libraries/javalib/com/jcraft/jzlib/ZInputStream.java,
        libraries/javalib/com/jcraft/jzlib/ZOutputStream.java,
        libraries/javalib/com/jcraft/jzlib/ZStream.java,
        libraries/javalib/com/jcraft/jzlib/ZStreamException.java:
	New files from JZlib. Licensed under a BSD-style license
	without an advertising clause. Merged in from and for 
	Jessie.

        * libraries/javalib/gnu/crypto/Properties.java,
        libraries/javalib/gnu/crypto/Registry.java,
        libraries/javalib/gnu/crypto/assembly/Assembly.java,
        libraries/javalib/gnu/crypto/assembly/Cascade.java,
        libraries/javalib/gnu/crypto/assembly/CascadeStage.java,
        libraries/javalib/gnu/crypto/assembly/CascadeTransformer.java,
        libraries/javalib/gnu/crypto/assembly/DeflateTransformer.java,
        libraries/javalib/gnu/crypto/assembly/Direction.java,
        libraries/javalib/gnu/crypto/assembly/LoopbackTransformer.java,
        libraries/javalib/gnu/crypto/assembly/ModeStage.java,
        libraries/javalib/gnu/crypto/assembly/Operation.java,
        libraries/javalib/gnu/crypto/assembly/PaddingTransformer.java,
        libraries/javalib/gnu/crypto/assembly/Stage.java,
        libraries/javalib/gnu/crypto/assembly/Transformer.java,
        libraries/javalib/gnu/crypto/assembly/TransformerException.java,
        libraries/javalib/gnu/crypto/assembly/package.html,
        libraries/javalib/gnu/crypto/auth/Password.java,
        libraries/javalib/gnu/crypto/auth/callback/AWTCallbackHandler.java,
        libraries/javalib/gnu/crypto/auth/callback/AbstractCallbackHandler.java,
        libraries/javalib/gnu/crypto/auth/callback/ConsoleCallbackHandler.java,
        libraries/javalib/gnu/crypto/auth/callback/DefaultCallbackHandler.java,
        libraries/javalib/gnu/crypto/auth/callback/Engine.java,
        libraries/javalib/gnu/crypto/auth/callback/GnuCallbacks.java,
        libraries/javalib/gnu/crypto/auth/callback/MessagesBundle.properties,
        libraries/javalib/gnu/crypto/cipher/Anubis.java,
        libraries/javalib/gnu/crypto/cipher/BaseCipher.java,
        libraries/javalib/gnu/crypto/cipher/Blowfish.java,
        libraries/javalib/gnu/crypto/cipher/Cast5.java,
        libraries/javalib/gnu/crypto/cipher/CipherFactory.java,
        libraries/javalib/gnu/crypto/cipher/DES.java,
        libraries/javalib/gnu/crypto/cipher/IBlockCipher.java,
        libraries/javalib/gnu/crypto/cipher/IBlockCipherSpi.java,
        libraries/javalib/gnu/crypto/cipher/Khazad.java,
        libraries/javalib/gnu/crypto/cipher/NullCipher.java,
        libraries/javalib/gnu/crypto/cipher/Rijndael.java,
        libraries/javalib/gnu/crypto/cipher/Serpent.java,
        libraries/javalib/gnu/crypto/cipher/Square.java,
        libraries/javalib/gnu/crypto/cipher/TripleDES.java,
        libraries/javalib/gnu/crypto/cipher/Twofish.java,
        libraries/javalib/gnu/crypto/cipher/WeakKeyException.java,
        libraries/javalib/gnu/crypto/cipher/package.html,
        libraries/javalib/gnu/crypto/der/BitString.java,
        libraries/javalib/gnu/crypto/der/DER.java,
        libraries/javalib/gnu/crypto/der/DEREncodingException.java,
        libraries/javalib/gnu/crypto/der/DERReader.java,
        libraries/javalib/gnu/crypto/der/DERValue.java,
        libraries/javalib/gnu/crypto/der/DERWriter.java,
        libraries/javalib/gnu/crypto/der/OID.java,
        libraries/javalib/gnu/crypto/exp/Helix.java,
        libraries/javalib/gnu/crypto/exp/ust/UST.java,
        libraries/javalib/gnu/crypto/hash/BaseHash.java,
        libraries/javalib/gnu/crypto/hash/HashFactory.java,
        libraries/javalib/gnu/crypto/hash/Haval.java,
        libraries/javalib/gnu/crypto/hash/IMessageDigest.java,
        libraries/javalib/gnu/crypto/hash/MD2.java,
        libraries/javalib/gnu/crypto/hash/MD4.java,
        libraries/javalib/gnu/crypto/hash/MD5.java,
        libraries/javalib/gnu/crypto/hash/RipeMD128.java,
        libraries/javalib/gnu/crypto/hash/RipeMD160.java,
        libraries/javalib/gnu/crypto/hash/Sha160.java,
        libraries/javalib/gnu/crypto/hash/Sha256.java,
        libraries/javalib/gnu/crypto/hash/Sha384.java,
        libraries/javalib/gnu/crypto/hash/Sha512.java,
        libraries/javalib/gnu/crypto/hash/Tiger.java,
        libraries/javalib/gnu/crypto/hash/Whirlpool.java,
        libraries/javalib/gnu/crypto/hash/package.html,
        libraries/javalib/gnu/crypto/jce/GnuCrypto.java,
        libraries/javalib/gnu/crypto/jce/GnuSasl.java,
        libraries/javalib/gnu/crypto/jce/GnuSecurity.java,
        libraries/javalib/gnu/crypto/jce/PBKDF2SecretKeyFactory.java,
        libraries/javalib/gnu/crypto/jce/cipher/AESSpi.java,
        libraries/javalib/gnu/crypto/jce/cipher/ARCFourSpi.java,
        libraries/javalib/gnu/crypto/jce/cipher/AnubisSpi.java,
        libraries/javalib/gnu/crypto/jce/cipher/BlowfishSpi.java,
        libraries/javalib/gnu/crypto/jce/cipher/Cast5Spi.java,
        libraries/javalib/gnu/crypto/jce/cipher/CipherAdapter.java,
        libraries/javalib/gnu/crypto/jce/cipher/DESSpi.java,
        libraries/javalib/gnu/crypto/jce/cipher/KhazadSpi.java,
        libraries/javalib/gnu/crypto/jce/cipher/NullCipherSpi.java,
        libraries/javalib/gnu/crypto/jce/cipher/PBES2.java,
        libraries/javalib/gnu/crypto/jce/cipher/RijndaelSpi.java,
        libraries/javalib/gnu/crypto/jce/cipher/SerpentSpi.java,
        libraries/javalib/gnu/crypto/jce/cipher/SquareSpi.java,
        libraries/javalib/gnu/crypto/jce/cipher/TripleDESSpi.java,
        libraries/javalib/gnu/crypto/jce/cipher/TwofishSpi.java,
        libraries/javalib/gnu/crypto/jce/hash/HavalSpi.java,
        libraries/javalib/gnu/crypto/jce/hash/MD2Spi.java,
        libraries/javalib/gnu/crypto/jce/hash/MD4Spi.java,
        libraries/javalib/gnu/crypto/jce/hash/MD5Spi.java,
        libraries/javalib/gnu/crypto/jce/hash/MessageDigestAdapter.java,
        libraries/javalib/gnu/crypto/jce/hash/RipeMD128Spi.java,
        libraries/javalib/gnu/crypto/jce/hash/RipeMD160Spi.java,
        libraries/javalib/gnu/crypto/jce/hash/Sha160Spi.java,
        libraries/javalib/gnu/crypto/jce/hash/Sha256Spi.java,
        libraries/javalib/gnu/crypto/jce/hash/Sha384Spi.java,
        libraries/javalib/gnu/crypto/jce/hash/Sha512Spi.java,
        libraries/javalib/gnu/crypto/jce/hash/TigerSpi.java,
        libraries/javalib/gnu/crypto/jce/hash/WhirlpoolSpi.java,
        libraries/javalib/gnu/crypto/jce/key/AnubisKeyGeneratorImpl.java,
        libraries/javalib/gnu/crypto/jce/key/BlowfishKeyGeneratorImpl.java,
        libraries/javalib/gnu/crypto/jce/key/Cast5KeyGeneratorImpl.java,
        libraries/javalib/gnu/crypto/jce/key/DESKeyGeneratorImpl.java,
        libraries/javalib/gnu/crypto/jce/key/KhazadKeyGeneratorImpl.java,
        libraries/javalib/gnu/crypto/jce/key/RijndaelKeyGeneratorImpl.java,
        libraries/javalib/gnu/crypto/jce/key/SecretKeyGeneratorImpl.java,
        libraries/javalib/gnu/crypto/jce/key/SerpentKeyGeneratorImpl.java,
        libraries/javalib/gnu/crypto/jce/key/SquareKeyGeneratorImpl.java,
        libraries/javalib/gnu/crypto/jce/key/TripleDESKeyGeneratorImpl.java,
        libraries/javalib/gnu/crypto/jce/key/TwofishKeyGeneratorImpl.java,
        libraries/javalib/gnu/crypto/jce/keyring/GnuKeyring.java,
        libraries/javalib/gnu/crypto/jce/mac/HMacHavalSpi.java,
        libraries/javalib/gnu/crypto/jce/mac/HMacMD2Spi.java,
        libraries/javalib/gnu/crypto/jce/mac/HMacMD4Spi.java,
        libraries/javalib/gnu/crypto/jce/mac/HMacMD5Spi.java,
        libraries/javalib/gnu/crypto/jce/mac/HMacRipeMD128Spi.java,
        libraries/javalib/gnu/crypto/jce/mac/HMacRipeMD160Spi.java,
        libraries/javalib/gnu/crypto/jce/mac/HMacSHA160Spi.java,
        libraries/javalib/gnu/crypto/jce/mac/HMacSHA256Spi.java,
        libraries/javalib/gnu/crypto/jce/mac/HMacSHA384Spi.java,
        libraries/javalib/gnu/crypto/jce/mac/HMacSHA512Spi.java,
        libraries/javalib/gnu/crypto/jce/mac/HMacTigerSpi.java,
        libraries/javalib/gnu/crypto/jce/mac/HMacWhirlpoolSpi.java,
        libraries/javalib/gnu/crypto/jce/mac/MacAdapter.java,
        libraries/javalib/gnu/crypto/jce/mac/OMacImpl.java,
        libraries/javalib/gnu/crypto/jce/mac/TMMH16Spi.java,
        libraries/javalib/gnu/crypto/jce/mac/UHash32Spi.java,
        libraries/javalib/gnu/crypto/jce/mac/UMac32Spi.java,
        libraries/javalib/gnu/crypto/jce/params/BlockCipherParameters.java,
        libraries/javalib/gnu/crypto/jce/params/DEREncodingException.java,
        libraries/javalib/gnu/crypto/jce/params/DERReader.java,
        libraries/javalib/gnu/crypto/jce/params/DERWriter.java,
        libraries/javalib/gnu/crypto/jce/prng/ARCFourRandomSpi.java,
        libraries/javalib/gnu/crypto/jce/prng/CSPRNGSpi.java,
        libraries/javalib/gnu/crypto/jce/prng/HavalRandomSpi.java,
        libraries/javalib/gnu/crypto/jce/prng/ICMRandomSpi.java,
        libraries/javalib/gnu/crypto/jce/prng/MD2RandomSpi.java,
        libraries/javalib/gnu/crypto/jce/prng/MD4RandomSpi.java,
        libraries/javalib/gnu/crypto/jce/prng/MD5RandomSpi.java,
        libraries/javalib/gnu/crypto/jce/prng/RipeMD128RandomSpi.java,
        libraries/javalib/gnu/crypto/jce/prng/RipeMD160RandomSpi.java,
        libraries/javalib/gnu/crypto/jce/prng/SecureRandomAdapter.java,
        libraries/javalib/gnu/crypto/jce/prng/Sha160RandomSpi.java,
        libraries/javalib/gnu/crypto/jce/prng/Sha256RandomSpi.java,
        libraries/javalib/gnu/crypto/jce/prng/Sha384RandomSpi.java,
        libraries/javalib/gnu/crypto/jce/prng/Sha512RandomSpi.java,
        libraries/javalib/gnu/crypto/jce/prng/TigerRandomSpi.java,
        libraries/javalib/gnu/crypto/jce/prng/UMacRandomSpi.java,
        libraries/javalib/gnu/crypto/jce/prng/WhirlpoolRandomSpi.java,
        libraries/javalib/gnu/crypto/jce/sig/DSSKeyPairGeneratorSpi.java,
        libraries/javalib/gnu/crypto/jce/sig/DSSRawSignatureSpi.java,
        libraries/javalib/gnu/crypto/jce/sig/KeyPairGeneratorAdapter.java,
        libraries/javalib/gnu/crypto/jce/sig/RSAKeyPairGeneratorSpi.java,
        libraries/javalib/gnu/crypto/jce/sig/RSAPSSRawSignatureSpi.java,
        libraries/javalib/gnu/crypto/jce/sig/SignatureAdapter.java,
        libraries/javalib/gnu/crypto/jce/spec/BlockCipherParameterSpec.java,
        libraries/javalib/gnu/crypto/jce/spec/TMMHParameterSpec.java,
        libraries/javalib/gnu/crypto/jce/spec/UMac32ParameterSpec.java,
        libraries/javalib/gnu/crypto/key/BaseKeyAgreementParty.java,
        libraries/javalib/gnu/crypto/key/GnuSecretKey.java,
        libraries/javalib/gnu/crypto/key/IKeyAgreementParty.java,
        libraries/javalib/gnu/crypto/key/IKeyPairCodec.java,
        libraries/javalib/gnu/crypto/key/IKeyPairGenerator.java,
        libraries/javalib/gnu/crypto/key/IncomingMessage.java,
        libraries/javalib/gnu/crypto/key/KeyAgreementException.java,
        libraries/javalib/gnu/crypto/key/KeyAgreementFactory.java,
        libraries/javalib/gnu/crypto/key/KeyPairCodecFactory.java,
        libraries/javalib/gnu/crypto/key/KeyPairGeneratorFactory.java,
        libraries/javalib/gnu/crypto/key/OutgoingMessage.java,
        libraries/javalib/gnu/crypto/key/dh/DHKeyPairRawCodec.java,
        libraries/javalib/gnu/crypto/key/dh/DiffieHellmanKeyAgreement.java,
        libraries/javalib/gnu/crypto/key/dh/DiffieHellmanReceiver.java,
        libraries/javalib/gnu/crypto/key/dh/DiffieHellmanSender.java,
        libraries/javalib/gnu/crypto/key/dh/ElGamalKeyAgreement.java,
        libraries/javalib/gnu/crypto/key/dh/ElGamalReceiver.java,
        libraries/javalib/gnu/crypto/key/dh/ElGamalSender.java,
        libraries/javalib/gnu/crypto/key/dh/GnuDHKey.java,
        libraries/javalib/gnu/crypto/key/dh/GnuDHKeyPairGenerator.java,
        libraries/javalib/gnu/crypto/key/dh/GnuDHPrivateKey.java,
        libraries/javalib/gnu/crypto/key/dh/GnuDHPublicKey.java,
        libraries/javalib/gnu/crypto/key/dh/RFC2631.java,
        libraries/javalib/gnu/crypto/key/dss/DSSKey.java,
        libraries/javalib/gnu/crypto/key/dss/DSSKeyPairGenerator.java,
        libraries/javalib/gnu/crypto/key/dss/DSSKeyPairRawCodec.java,
        libraries/javalib/gnu/crypto/key/dss/DSSPrivateKey.java,
        libraries/javalib/gnu/crypto/key/dss/DSSPublicKey.java,
        libraries/javalib/gnu/crypto/key/dss/FIPS186.java,
        libraries/javalib/gnu/crypto/key/package.html,
        libraries/javalib/gnu/crypto/key/rsa/GnuRSAKey.java,
        libraries/javalib/gnu/crypto/key/rsa/GnuRSAPrivateKey.java,
        libraries/javalib/gnu/crypto/key/rsa/GnuRSAPublicKey.java,
        libraries/javalib/gnu/crypto/key/rsa/RSAKeyPairGenerator.java,
        libraries/javalib/gnu/crypto/key/rsa/RSAKeyPairRawCodec.java,
        libraries/javalib/gnu/crypto/key/srp6/SRP6Host.java,
        libraries/javalib/gnu/crypto/key/srp6/SRP6KeyAgreement.java,
        libraries/javalib/gnu/crypto/key/srp6/SRP6SaslClient.java,
        libraries/javalib/gnu/crypto/key/srp6/SRP6SaslServer.java,
        libraries/javalib/gnu/crypto/key/srp6/SRP6TLSClient.java,
        libraries/javalib/gnu/crypto/key/srp6/SRP6TLSServer.java,
        libraries/javalib/gnu/crypto/key/srp6/SRP6User.java,
        libraries/javalib/gnu/crypto/key/srp6/SRPAlgorithm.java,
        libraries/javalib/gnu/crypto/key/srp6/SRPKey.java,
        libraries/javalib/gnu/crypto/key/srp6/SRPKeyPairGenerator.java,
        libraries/javalib/gnu/crypto/key/srp6/SRPKeyPairRawCodec.java,
        libraries/javalib/gnu/crypto/key/srp6/SRPPrivateKey.java,
        libraries/javalib/gnu/crypto/key/srp6/SRPPublicKey.java,
        libraries/javalib/gnu/crypto/keyring/AuthenticatedEntry.java,
        libraries/javalib/gnu/crypto/keyring/BaseKeyring.java,
        libraries/javalib/gnu/crypto/keyring/BinaryDataEntry.java,
        libraries/javalib/gnu/crypto/keyring/CertPathEntry.java,
        libraries/javalib/gnu/crypto/keyring/CertificateEntry.java,
        libraries/javalib/gnu/crypto/keyring/CompressedEntry.java,
        libraries/javalib/gnu/crypto/keyring/EncryptedEntry.java,
        libraries/javalib/gnu/crypto/keyring/Entry.java,
        libraries/javalib/gnu/crypto/keyring/EnvelopeEntry.java,
        libraries/javalib/gnu/crypto/keyring/GnuPrivateKeyring.java,
        libraries/javalib/gnu/crypto/keyring/GnuPublicKeyring.java,
        libraries/javalib/gnu/crypto/keyring/IKeyring.java,
        libraries/javalib/gnu/crypto/keyring/IPrivateKeyring.java,
        libraries/javalib/gnu/crypto/keyring/IPublicKeyring.java,
        libraries/javalib/gnu/crypto/keyring/MalformedKeyringException.java,
        libraries/javalib/gnu/crypto/keyring/MaskableEnvelopeEntry.java,
        libraries/javalib/gnu/crypto/keyring/MeteredInputStream.java,
        libraries/javalib/gnu/crypto/keyring/PasswordAuthenticatedEntry.java,
        libraries/javalib/gnu/crypto/keyring/PasswordEncryptedEntry.java,
        libraries/javalib/gnu/crypto/keyring/PasswordProtectedEntry.java,
        libraries/javalib/gnu/crypto/keyring/PrimitiveEntry.java,
        libraries/javalib/gnu/crypto/keyring/PrivateKeyEntry.java,
        libraries/javalib/gnu/crypto/keyring/Properties.java,
        libraries/javalib/gnu/crypto/keyring/PublicKeyEntry.java,
        libraries/javalib/gnu/crypto/keyring/package.html,
        libraries/javalib/gnu/crypto/mac/BaseMac.java,
        libraries/javalib/gnu/crypto/mac/HMac.java,
        libraries/javalib/gnu/crypto/mac/HMacFactory.java,
        libraries/javalib/gnu/crypto/mac/IMac.java,
        libraries/javalib/gnu/crypto/mac/MacFactory.java,
        libraries/javalib/gnu/crypto/mac/MacInputStream.java,
        libraries/javalib/gnu/crypto/mac/MacOutputStream.java,
        libraries/javalib/gnu/crypto/mac/OMAC.java,
        libraries/javalib/gnu/crypto/mac/TMMH16.java,
        libraries/javalib/gnu/crypto/mac/UHash32.java,
        libraries/javalib/gnu/crypto/mac/UMac32.java,
        libraries/javalib/gnu/crypto/mac/package.html,
        libraries/javalib/gnu/crypto/mode/BaseMode.java,
        libraries/javalib/gnu/crypto/mode/CBC.java,
        libraries/javalib/gnu/crypto/mode/CFB.java,
        libraries/javalib/gnu/crypto/mode/CTR.java,
        libraries/javalib/gnu/crypto/mode/EAX.java,
        libraries/javalib/gnu/crypto/mode/ECB.java,
        libraries/javalib/gnu/crypto/mode/IAuthenticatedMode.java,
        libraries/javalib/gnu/crypto/mode/ICM.java,
        libraries/javalib/gnu/crypto/mode/IMode.java,
        libraries/javalib/gnu/crypto/mode/ModeFactory.java,
        libraries/javalib/gnu/crypto/mode/OFB.java,
        libraries/javalib/gnu/crypto/mode/package.html,
        libraries/javalib/gnu/crypto/pad/BasePad.java,
        libraries/javalib/gnu/crypto/pad/IPad.java,
        libraries/javalib/gnu/crypto/pad/PKCS1_V1_5.java,
        libraries/javalib/gnu/crypto/pad/PKCS7.java,
        libraries/javalib/gnu/crypto/pad/PadFactory.java,
        libraries/javalib/gnu/crypto/pad/SSL3.java,
        libraries/javalib/gnu/crypto/pad/TBC.java,
        libraries/javalib/gnu/crypto/pad/TLS1.java,
        libraries/javalib/gnu/crypto/pad/WrongPaddingException.java,
        libraries/javalib/gnu/crypto/pad/package.html,
        libraries/javalib/gnu/crypto/pki/GnuPKIExtension.java,
        libraries/javalib/gnu/crypto/pki/PolicyNodeImpl.java,
        libraries/javalib/gnu/crypto/pki/Util.java,
        libraries/javalib/gnu/crypto/pki/X500Name.java,
        libraries/javalib/gnu/crypto/pki/X509CRLEntryImpl.java,
        libraries/javalib/gnu/crypto/pki/X509CRLImpl.java,
        libraries/javalib/gnu/crypto/pki/X509CRLSelectorImpl.java,
        libraries/javalib/gnu/crypto/pki/X509CertPath.java,
        libraries/javalib/gnu/crypto/pki/X509CertSelectorImpl.java,
        libraries/javalib/gnu/crypto/pki/X509CertificateBuilder.java,
        libraries/javalib/gnu/crypto/pki/X509CertificateImpl.java,
        libraries/javalib/gnu/crypto/pki/ext/AuthorityKeyIdentifier.java,
        libraries/javalib/gnu/crypto/pki/ext/BasicConstraints.java,
        libraries/javalib/gnu/crypto/pki/ext/CRLNumber.java,
        libraries/javalib/gnu/crypto/pki/ext/CertificatePolicies.java,
        libraries/javalib/gnu/crypto/pki/ext/ExtendedKeyUsage.java,
        libraries/javalib/gnu/crypto/pki/ext/Extension.java,
        libraries/javalib/gnu/crypto/pki/ext/GeneralNames.java,
        libraries/javalib/gnu/crypto/pki/ext/IssuerAlternativeNames.java,
        libraries/javalib/gnu/crypto/pki/ext/KeyUsage.java,
        libraries/javalib/gnu/crypto/pki/ext/PolicyConstraint.java,
        libraries/javalib/gnu/crypto/pki/ext/PolicyMappings.java,
        libraries/javalib/gnu/crypto/pki/ext/PrivateKeyUsagePeriod.java,
        libraries/javalib/gnu/crypto/pki/ext/ReasonCode.java,
        libraries/javalib/gnu/crypto/pki/ext/SubjectAlternativeNames.java,
        libraries/javalib/gnu/crypto/pki/ext/SubjectKeyIdentifier.java,
        libraries/javalib/gnu/crypto/pki/io/Base64InputStream.java,
        libraries/javalib/gnu/crypto/pki/provider/CollectionCertStoreImpl.java,
        libraries/javalib/gnu/crypto/pki/provider/DSAParameters.java,
        libraries/javalib/gnu/crypto/pki/provider/DSASignature.java,
        libraries/javalib/gnu/crypto/pki/provider/EncodedKeyFactory.java,
        libraries/javalib/gnu/crypto/pki/provider/GnuDHPublicKey.java,
        libraries/javalib/gnu/crypto/pki/provider/GnuDSAPrivateKey.java,
        libraries/javalib/gnu/crypto/pki/provider/GnuDSAPublicKey.java,
        libraries/javalib/gnu/crypto/pki/provider/GnuPki.java,
        libraries/javalib/gnu/crypto/pki/provider/GnuRSAPrivateKey.java,
        libraries/javalib/gnu/crypto/pki/provider/GnuRSAPublicKey.java,
        libraries/javalib/gnu/crypto/pki/provider/MD2withRSA.java,
        libraries/javalib/gnu/crypto/pki/provider/MD4withRSA.java,
        libraries/javalib/gnu/crypto/pki/provider/MD5withRSA.java,
        libraries/javalib/gnu/crypto/pki/provider/PKIXCertPathValidator.java,
        libraries/javalib/gnu/crypto/pki/provider/RSA.java,
        libraries/javalib/gnu/crypto/pki/provider/RSAKeyFactory.java,
        libraries/javalib/gnu/crypto/pki/provider/SHA1withRSA.java,
        libraries/javalib/gnu/crypto/pki/provider/X509CertificateFactory.java,
        libraries/javalib/gnu/crypto/prng/ARCFour.java,
        libraries/javalib/gnu/crypto/prng/BasePRNG.java,
        libraries/javalib/gnu/crypto/prng/CSPRNG.java,
        libraries/javalib/gnu/crypto/prng/EntropySource.java,
        libraries/javalib/gnu/crypto/prng/ICMGenerator.java,
        libraries/javalib/gnu/crypto/prng/IPBE.java,
        libraries/javalib/gnu/crypto/prng/IRandom.java,
        libraries/javalib/gnu/crypto/prng/LimitReachedException.java,
        libraries/javalib/gnu/crypto/prng/MDGenerator.java,
        libraries/javalib/gnu/crypto/prng/PBKDF2.java,
        libraries/javalib/gnu/crypto/prng/PRNGFactory.java,
        libraries/javalib/gnu/crypto/prng/UMacGenerator.java,
        libraries/javalib/gnu/crypto/prng/package.html,
        libraries/javalib/gnu/crypto/sasl/AuthInfo.java,
        libraries/javalib/gnu/crypto/sasl/AuthInfoProviderFactory.java,
        libraries/javalib/gnu/crypto/sasl/ClientFactory.java,
        libraries/javalib/gnu/crypto/sasl/ClientMechanism.java,
        libraries/javalib/gnu/crypto/sasl/ConfidentialityException.java,
        libraries/javalib/gnu/crypto/sasl/IAuthInfoProvider.java,
        libraries/javalib/gnu/crypto/sasl/IAuthInfoProviderFactory.java,
        libraries/javalib/gnu/crypto/sasl/IllegalMechanismStateException.java,
        libraries/javalib/gnu/crypto/sasl/InputBuffer.java,
        libraries/javalib/gnu/crypto/sasl/IntegrityException.java,
        libraries/javalib/gnu/crypto/sasl/NoSuchMechanismException.java,
        libraries/javalib/gnu/crypto/sasl/NoSuchUserException.java,
        libraries/javalib/gnu/crypto/sasl/OutputBuffer.java,
        libraries/javalib/gnu/crypto/sasl/SaslEncodingException.java,
        libraries/javalib/gnu/crypto/sasl/SaslInputStream.java,
        libraries/javalib/gnu/crypto/sasl/SaslOutputStream.java,
        libraries/javalib/gnu/crypto/sasl/SaslUtil.java,
        libraries/javalib/gnu/crypto/sasl/ServerFactory.java,
        libraries/javalib/gnu/crypto/sasl/ServerMechanism.java,
        libraries/javalib/gnu/crypto/sasl/UserAlreadyExistsException.java,
        libraries/javalib/gnu/crypto/sasl/anonymous/AnonymousClient.java,
        libraries/javalib/gnu/crypto/sasl/anonymous/AnonymousServer.java,
        libraries/javalib/gnu/crypto/sasl/anonymous/AnonymousUtil.java,
        libraries/javalib/gnu/crypto/sasl/crammd5/CramMD5AuthInfoProvider.java,
        libraries/javalib/gnu/crypto/sasl/crammd5/CramMD5Client.java,
        libraries/javalib/gnu/crypto/sasl/crammd5/CramMD5Registry.java,
        libraries/javalib/gnu/crypto/sasl/crammd5/CramMD5Server.java,
        libraries/javalib/gnu/crypto/sasl/crammd5/CramMD5Util.java,
        libraries/javalib/gnu/crypto/sasl/crammd5/PasswordFile.java,
        libraries/javalib/gnu/crypto/sasl/package.html,
        libraries/javalib/gnu/crypto/sasl/plain/PasswordFile.java,
        libraries/javalib/gnu/crypto/sasl/plain/PlainAuthInfoProvider.java,
        libraries/javalib/gnu/crypto/sasl/plain/PlainClient.java,
        libraries/javalib/gnu/crypto/sasl/plain/PlainRegistry.java,
        libraries/javalib/gnu/crypto/sasl/plain/PlainServer.java,
        libraries/javalib/gnu/crypto/sasl/srp/CALG.java,
        libraries/javalib/gnu/crypto/sasl/srp/ClientStore.java,
        libraries/javalib/gnu/crypto/sasl/srp/IALG.java,
        libraries/javalib/gnu/crypto/sasl/srp/KDF.java,
        libraries/javalib/gnu/crypto/sasl/srp/PasswordFile.java,
        libraries/javalib/gnu/crypto/sasl/srp/SRP.java,
        libraries/javalib/gnu/crypto/sasl/srp/SRPAuthInfoProvider.java,
        libraries/javalib/gnu/crypto/sasl/srp/SRPClient.java,
        libraries/javalib/gnu/crypto/sasl/srp/SRPRegistry.java,
        libraries/javalib/gnu/crypto/sasl/srp/SRPServer.java,
        libraries/javalib/gnu/crypto/sasl/srp/SecurityContext.java,
        libraries/javalib/gnu/crypto/sasl/srp/ServerStore.java,
        libraries/javalib/gnu/crypto/sasl/srp/StoreEntry.java,
        libraries/javalib/gnu/crypto/sasl/srp/package.html,
        libraries/javalib/gnu/crypto/sig/BaseSignature.java,
        libraries/javalib/gnu/crypto/sig/ISignature.java,
        libraries/javalib/gnu/crypto/sig/ISignatureCodec.java,
        libraries/javalib/gnu/crypto/sig/SignatureFactory.java,
        libraries/javalib/gnu/crypto/sig/dss/DSSSignature.java,
        libraries/javalib/gnu/crypto/sig/dss/DSSSignatureRawCodec.java,
        libraries/javalib/gnu/crypto/sig/package.html,
        libraries/javalib/gnu/crypto/sig/rsa/EME_PKCS1_V1_5.java,
        libraries/javalib/gnu/crypto/sig/rsa/EMSA_PKCS1_V1_5.java,
        libraries/javalib/gnu/crypto/sig/rsa/EMSA_PSS.java,
        libraries/javalib/gnu/crypto/sig/rsa/RSA.java,
        libraries/javalib/gnu/crypto/sig/rsa/RSAPKCS1V1_5Signature.java,
        libraries/javalib/gnu/crypto/sig/rsa/RSAPSSSignature.java,
        libraries/javalib/gnu/crypto/sig/rsa/RSAPSSSignatureRawCodec.java,
        libraries/javalib/gnu/crypto/tool/CipherSpeed.java,
        libraries/javalib/gnu/crypto/tool/Ent.java,
        libraries/javalib/gnu/crypto/tool/HashSpeed.java,
        libraries/javalib/gnu/crypto/tool/NessieCipherTVEmitter.java,
        libraries/javalib/gnu/crypto/tool/NessieHashTVEmitter.java,
        libraries/javalib/gnu/crypto/tool/NistKat.java,
        libraries/javalib/gnu/crypto/tool/NistMCT.java,
        libraries/javalib/gnu/crypto/tool/SMTPClient.java,
        libraries/javalib/gnu/crypto/tool/SaslC.java,
        libraries/javalib/gnu/crypto/tool/SaslConnection.java,
        libraries/javalib/gnu/crypto/tool/SaslS.java,
        libraries/javalib/gnu/crypto/tool/SimpleCallbackHandler.java,
        libraries/javalib/gnu/crypto/tool/keytool/Command.java,
        libraries/javalib/gnu/crypto/tool/keytool/Delete.java,
        libraries/javalib/gnu/crypto/tool/keytool/Export.java,
        libraries/javalib/gnu/crypto/tool/keytool/GenKey.java,
        libraries/javalib/gnu/crypto/tool/keytool/Import.java,
        libraries/javalib/gnu/crypto/tool/keytool/List.java,
        libraries/javalib/gnu/crypto/tool/keytool/Main.java,
        libraries/javalib/gnu/crypto/tool/keytool/MessagesBundle.properties,
        libraries/javalib/gnu/crypto/tool/keytool/Path.java,
        libraries/javalib/gnu/crypto/tool/keytool/Revoke.java,
        libraries/javalib/gnu/crypto/tool/keytool/Sign.java,
        libraries/javalib/gnu/crypto/tool/keytool/Trust.java,
        libraries/javalib/gnu/crypto/util/Base64.java,
        libraries/javalib/gnu/crypto/util/ExpirableObject.java,
        libraries/javalib/gnu/crypto/util/PRNG.java,
        libraries/javalib/gnu/crypto/util/Prime.java,
        libraries/javalib/gnu/crypto/util/Sequence.java,
        libraries/javalib/gnu/crypto/util/SimpleList.java,
        libraries/javalib/gnu/crypto/util/Util.java,
        libraries/javalib/javax/crypto/BadPaddingException.java,
        libraries/javalib/javax/crypto/BitString.java,
        libraries/javalib/javax/crypto/Cipher.java,
        libraries/javalib/javax/crypto/CipherInputStream.java,
        libraries/javalib/javax/crypto/CipherOutputStream.java,
        libraries/javalib/javax/crypto/CipherSpi.java,
        libraries/javalib/javax/crypto/EncryptedPrivateKeyInfo.java,
        libraries/javalib/javax/crypto/Engine.java,
        libraries/javalib/javax/crypto/ExemptionMechanism.java,
        libraries/javalib/javax/crypto/ExemptionMechanismException.java,
        libraries/javalib/javax/crypto/ExemptionMechanismSpi.java,
        libraries/javalib/javax/crypto/IllegalBlockSizeException.java,
        libraries/javalib/javax/crypto/KeyAgreement.java,
        libraries/javalib/javax/crypto/KeyAgreementSpi.java,
        libraries/javalib/javax/crypto/KeyGenerator.java,
        libraries/javalib/javax/crypto/KeyGeneratorSpi.java,
        libraries/javalib/javax/crypto/Mac.java,
        libraries/javalib/javax/crypto/MacSpi.java,
        libraries/javalib/javax/crypto/NoSuchPaddingException.java,
        libraries/javalib/javax/crypto/NullCipher.java,
        libraries/javalib/javax/crypto/NullCipherImpl.java,
        libraries/javalib/javax/crypto/SealedObject.java,
        libraries/javalib/javax/crypto/SecretKey.java,
        libraries/javalib/javax/crypto/SecretKeyFactory.java,
        libraries/javalib/javax/crypto/SecretKeyFactorySpi.java,
        libraries/javalib/javax/crypto/ShortBufferException.java,
        libraries/javalib/javax/crypto/interfaces/DHKey.java,
        libraries/javalib/javax/crypto/interfaces/DHPrivateKey.java,
        libraries/javalib/javax/crypto/interfaces/DHPublicKey.java,
        libraries/javalib/javax/crypto/interfaces/PBEKey.java,
        libraries/javalib/javax/crypto/spec/DESKeySpec.java,
        libraries/javalib/javax/crypto/spec/DESedeKeySpec.java,
        libraries/javalib/javax/crypto/spec/DHGenParameterSpec.java,
        libraries/javalib/javax/crypto/spec/DHParameterSpec.java,
        libraries/javalib/javax/crypto/spec/DHPrivateKeySpec.java,
        libraries/javalib/javax/crypto/spec/DHPublicKeySpec.java,
        libraries/javalib/javax/crypto/spec/IvParameterSpec.java,
        libraries/javalib/javax/crypto/spec/PBEKeySpec.java,
        libraries/javalib/javax/crypto/spec/PBEParameterSpec.java,
        libraries/javalib/javax/crypto/spec/RC2ParameterSpec.java,
        libraries/javalib/javax/crypto/spec/RC5ParameterSpec.java,
        libraries/javalib/javax/crypto/spec/SecretKeySpec.java,
        libraries/javalib/javax/security/auth/AuthPermission.java,
        libraries/javalib/javax/security/auth/DestroyFailedException.java,
        libraries/javalib/javax/security/auth/Destroyable.java,
        libraries/javalib/javax/security/auth/Policy.java,
        libraries/javalib/javax/security/auth/PrivateCredentialPermission.java,
        libraries/javalib/javax/security/auth/RefreshFailedException.java,
        libraries/javalib/javax/security/auth/Refreshable.java,
        libraries/javalib/javax/security/auth/Subject.java,
        libraries/javalib/javax/security/auth/SubjectDomainCombiner.java,
        libraries/javalib/javax/security/auth/callback/Callback.java,
        libraries/javalib/javax/security/auth/callback/CallbackHandler.java,
        libraries/javalib/javax/security/auth/callback/ChoiceCallback.java,
        libraries/javalib/javax/security/auth/callback/ConfirmationCallback.java,
        libraries/javalib/javax/security/auth/callback/LanguageCallback.java,
        libraries/javalib/javax/security/auth/callback/NameCallback.java,
        libraries/javalib/javax/security/auth/callback/PasswordCallback.java,
        libraries/javalib/javax/security/auth/callback/TextInputCallback.java,
        libraries/javalib/javax/security/auth/callback/TextOutputCallback.java,
        libraries/javalib/javax/security/auth/callback/UnsupportedCallbackException.java,
        libraries/javalib/javax/security/auth/login/AccountExpiredException.java,
        libraries/javalib/javax/security/auth/login/AppConfigurationEntry.java,
        libraries/javalib/javax/security/auth/login/Configuration.java,
        libraries/javalib/javax/security/auth/login/CredentialExpiredException.java,
        libraries/javalib/javax/security/auth/login/FailedLoginException.java,
        libraries/javalib/javax/security/auth/login/LoginContext.java,
        libraries/javalib/javax/security/auth/login/LoginException.java,
        libraries/javalib/javax/security/auth/login/NullConfiguration.java,
        libraries/javalib/javax/security/auth/spi/LoginModule.java,
        libraries/javalib/javax/security/auth/x500/X500Principal.java,
        libraries/javalib/javax/security/auth/x500/X500PrivateCredential.java,
        libraries/javalib/javax/security/sasl/AuthenticationException.java,
        libraries/javalib/javax/security/sasl/AuthorizeCallback.java,
        libraries/javalib/javax/security/sasl/RealmCallback.java,
        libraries/javalib/javax/security/sasl/RealmChoiceCallback.java,
        libraries/javalib/javax/security/sasl/Sasl.java,
        libraries/javalib/javax/security/sasl/SaslClient.java,
        libraries/javalib/javax/security/sasl/SaslClientFactory.java,
        libraries/javalib/javax/security/sasl/SaslException.java,
        libraries/javalib/javax/security/sasl/SaslServer.java,
        libraries/javalib/javax/security/sasl/SaslServerFactory.java,
        libraries/javalib/org/ietf/jgss/ChannelBinding.java,
        libraries/javalib/org/ietf/jgss/GSSContext.java,
        libraries/javalib/org/ietf/jgss/GSSCredential.java,
        libraries/javalib/org/ietf/jgss/GSSException.java,
        libraries/javalib/org/ietf/jgss/GSSManager.java,
        libraries/javalib/org/ietf/jgss/GSSName.java,
        libraries/javalib/org/ietf/jgss/MessageProp.java,
        libraries/javalib/org/ietf/jgss/MessagesBundle.properties,
        libraries/javalib/org/ietf/jgss/Oid.java:
	New files, taken from GNU Crypto. Licensed under 
	GPL+linking exception.

        * libraries/javalib/org/metastatic/jessie/Base64.java,
        libraries/javalib/org/metastatic/jessie/CertificateHandler.java,
        libraries/javalib/org/metastatic/jessie/ConsoleCertificateHandler.java,
        libraries/javalib/org/metastatic/jessie/ConsolePasswordHandler.java,
        libraries/javalib/org/metastatic/jessie/ConsoleTextInput.java,
        libraries/javalib/org/metastatic/jessie/DefaultHandler.java,
        libraries/javalib/org/metastatic/jessie/DialogPasswordHandler.java,
        libraries/javalib/org/metastatic/jessie/EntropySource.java,
        libraries/javalib/org/metastatic/jessie/Jessie.java.in,
        libraries/javalib/org/metastatic/jessie/NullManagerParameters.java,
        libraries/javalib/org/metastatic/jessie/PrivateCredentials.java,
        libraries/javalib/org/metastatic/jessie/SRPManagerParameters.java,
        libraries/javalib/org/metastatic/jessie/SRPTrustManager.java,
        libraries/javalib/org/metastatic/jessie/StaticTrustAnchors.java,
        libraries/javalib/org/metastatic/jessie/https/ChunkedInputStream.java,
        libraries/javalib/org/metastatic/jessie/https/Connection.java,
        libraries/javalib/org/metastatic/jessie/https/Handler.java,
        libraries/javalib/org/metastatic/jessie/pki/GnuPKIExtension.java,
        libraries/javalib/org/metastatic/jessie/pki/Util.java,
        libraries/javalib/org/metastatic/jessie/pki/X500Name.java,
        libraries/javalib/org/metastatic/jessie/pki/X509CRLEntryImpl.java,
        libraries/javalib/org/metastatic/jessie/pki/X509CRLImpl.java,
        libraries/javalib/org/metastatic/jessie/pki/X509CertificateImpl.java,
        libraries/javalib/org/metastatic/jessie/pki/der/BitString.java,
        libraries/javalib/org/metastatic/jessie/pki/der/DER.java,
        libraries/javalib/org/metastatic/jessie/pki/der/DEREncodingException.java,
        libraries/javalib/org/metastatic/jessie/pki/der/DERReader.java,
        libraries/javalib/org/metastatic/jessie/pki/der/DERValue.java,
        libraries/javalib/org/metastatic/jessie/pki/der/DERWriter.java,
        libraries/javalib/org/metastatic/jessie/pki/der/OID.java,
        libraries/javalib/org/metastatic/jessie/pki/ext/AuthorityKeyIdentifier.java,
        libraries/javalib/org/metastatic/jessie/pki/ext/BasicConstraints.java,
        libraries/javalib/org/metastatic/jessie/pki/ext/CRLNumber.java,
        libraries/javalib/org/metastatic/jessie/pki/ext/CertificatePolicies.java,
        libraries/javalib/org/metastatic/jessie/pki/ext/ExtendedKeyUsage.java,
        libraries/javalib/org/metastatic/jessie/pki/ext/Extension.java,
        libraries/javalib/org/metastatic/jessie/pki/ext/GeneralNames.java,
        libraries/javalib/org/metastatic/jessie/pki/ext/IssuerAlternativeNames.java,
        libraries/javalib/org/metastatic/jessie/pki/ext/KeyUsage.java,
        libraries/javalib/org/metastatic/jessie/pki/ext/PolicyMappings.java,
        libraries/javalib/org/metastatic/jessie/pki/ext/PrivateKeyUsagePeriod.java,
        libraries/javalib/org/metastatic/jessie/pki/ext/ReasonCode.java,
        libraries/javalib/org/metastatic/jessie/pki/ext/SubjectAlternativeNames.java,
        libraries/javalib/org/metastatic/jessie/pki/ext/SubjectKeyIdentifier.java,
        libraries/javalib/org/metastatic/jessie/pki/io/ASN1ParsingException.java,
        libraries/javalib/org/metastatic/jessie/pki/io/Base64InputStream.java,
        libraries/javalib/org/metastatic/jessie/pki/provider/DSAParameters.java,
        libraries/javalib/org/metastatic/jessie/pki/provider/DSASignature.java,
        libraries/javalib/org/metastatic/jessie/pki/provider/EncodedKeyFactory.java,
        libraries/javalib/org/metastatic/jessie/pki/provider/GnuDHPublicKey.java,
        libraries/javalib/org/metastatic/jessie/pki/provider/GnuDSAPrivateKey.java,
        libraries/javalib/org/metastatic/jessie/pki/provider/GnuDSAPublicKey.java,
        libraries/javalib/org/metastatic/jessie/pki/provider/GnuRSAPrivateKey.java,
        libraries/javalib/org/metastatic/jessie/pki/provider/GnuRSAPublicKey.java,
        libraries/javalib/org/metastatic/jessie/pki/provider/MD2.java,
        libraries/javalib/org/metastatic/jessie/pki/provider/MD2withRSA.java,
        libraries/javalib/org/metastatic/jessie/pki/provider/MD4withRSA.java,
        libraries/javalib/org/metastatic/jessie/pki/provider/MD5.java,
        libraries/javalib/org/metastatic/jessie/pki/provider/MD5withRSA.java,
        libraries/javalib/org/metastatic/jessie/pki/provider/RSA.java,
        libraries/javalib/org/metastatic/jessie/pki/provider/RSAKeyFactory.java,
        libraries/javalib/org/metastatic/jessie/pki/provider/SHA1.java,
        libraries/javalib/org/metastatic/jessie/pki/provider/SHA1withRSA.java,
        libraries/javalib/org/metastatic/jessie/pki/provider/X509CertificateFactory.java,
        libraries/javalib/org/metastatic/jessie/provider/Alert.java,
        libraries/javalib/org/metastatic/jessie/provider/AlertException.java,
        libraries/javalib/org/metastatic/jessie/provider/BitString.java,
        libraries/javalib/org/metastatic/jessie/provider/CSPRNG.java,
        libraries/javalib/org/metastatic/jessie/provider/CSPRNGSpi.java,
        libraries/javalib/org/metastatic/jessie/provider/Certificate.java,
        libraries/javalib/org/metastatic/jessie/provider/CertificateRequest.java,
        libraries/javalib/org/metastatic/jessie/provider/CertificateType.java,
        libraries/javalib/org/metastatic/jessie/provider/CertificateVerify.java,
        libraries/javalib/org/metastatic/jessie/provider/CipherSuite.java,
        libraries/javalib/org/metastatic/jessie/provider/ClientHello.java,
        libraries/javalib/org/metastatic/jessie/provider/ClientKeyExchange.java,
        libraries/javalib/org/metastatic/jessie/provider/CompressionMethod.java,
        libraries/javalib/org/metastatic/jessie/provider/Constructed.java,
        libraries/javalib/org/metastatic/jessie/provider/ContentType.java,
        libraries/javalib/org/metastatic/jessie/provider/Context.java,
        libraries/javalib/org/metastatic/jessie/provider/DER.java,
        libraries/javalib/org/metastatic/jessie/provider/DEREncodingException.java,
        libraries/javalib/org/metastatic/jessie/provider/DERReader.java,
        libraries/javalib/org/metastatic/jessie/provider/DERValue.java,
        libraries/javalib/org/metastatic/jessie/provider/DERWriter.java,
        libraries/javalib/org/metastatic/jessie/provider/DiffieHellman.java,
        libraries/javalib/org/metastatic/jessie/provider/DigestInputStream.java,
        libraries/javalib/org/metastatic/jessie/provider/DigestOutputStream.java,
        libraries/javalib/org/metastatic/jessie/provider/Enumerated.java,
        libraries/javalib/org/metastatic/jessie/provider/Extension.java,
        libraries/javalib/org/metastatic/jessie/provider/Extensions.java,
        libraries/javalib/org/metastatic/jessie/provider/Extensions.java.in,
        libraries/javalib/org/metastatic/jessie/provider/Finished.java,
        libraries/javalib/org/metastatic/jessie/provider/GNUSecurityParameters.java,
        libraries/javalib/org/metastatic/jessie/provider/Handshake.java,
        libraries/javalib/org/metastatic/jessie/provider/JCESecurityParameters.java,
        libraries/javalib/org/metastatic/jessie/provider/JDBCSessionContext.java,
        libraries/javalib/org/metastatic/jessie/provider/Jessie.java,
        libraries/javalib/org/metastatic/jessie/provider/Jessie.java.in,
        libraries/javalib/org/metastatic/jessie/provider/JessieDHPrivateKey.java,
        libraries/javalib/org/metastatic/jessie/provider/JessieDHPublicKey.java,
        libraries/javalib/org/metastatic/jessie/provider/JessieRSAPrivateKey.java,
        libraries/javalib/org/metastatic/jessie/provider/JessieRSAPublicKey.java,
        libraries/javalib/org/metastatic/jessie/provider/KeyPool.java,
        libraries/javalib/org/metastatic/jessie/provider/MacException.java,
        libraries/javalib/org/metastatic/jessie/provider/OID.java,
        libraries/javalib/org/metastatic/jessie/provider/OverflowException.java,
        libraries/javalib/org/metastatic/jessie/provider/ProtocolVersion.java,
        libraries/javalib/org/metastatic/jessie/provider/Random.java,
        libraries/javalib/org/metastatic/jessie/provider/RecordInput.java,
        libraries/javalib/org/metastatic/jessie/provider/RecordInputStream.java,
        libraries/javalib/org/metastatic/jessie/provider/RecordOutputStream.java,
        libraries/javalib/org/metastatic/jessie/provider/RecordingInputStream.java,
        libraries/javalib/org/metastatic/jessie/provider/SRPTrustManagerFactory.java,
        libraries/javalib/org/metastatic/jessie/provider/SSLHMac.java,
        libraries/javalib/org/metastatic/jessie/provider/SSLRSASignature.java,
        libraries/javalib/org/metastatic/jessie/provider/SSLRandom.java,
        libraries/javalib/org/metastatic/jessie/provider/SSLServerSocket.java,
        libraries/javalib/org/metastatic/jessie/provider/SSLServerSocketFactory.java,
        libraries/javalib/org/metastatic/jessie/provider/SSLSocket.java,
        libraries/javalib/org/metastatic/jessie/provider/SSLSocket.java.in,
        libraries/javalib/org/metastatic/jessie/provider/SSLSocketFactory.java,
        libraries/javalib/org/metastatic/jessie/provider/SSLSocketInputStream.java,
        libraries/javalib/org/metastatic/jessie/provider/SSLSocketOutputStream.java,
        libraries/javalib/org/metastatic/jessie/provider/SecurityParameters.java,
        libraries/javalib/org/metastatic/jessie/provider/ServerHello.java,
        libraries/javalib/org/metastatic/jessie/provider/ServerKeyExchange.java,
        libraries/javalib/org/metastatic/jessie/provider/Session.java,
        libraries/javalib/org/metastatic/jessie/provider/SessionContext.java,
        libraries/javalib/org/metastatic/jessie/provider/Signature.java,
        libraries/javalib/org/metastatic/jessie/provider/SimpleList.java,
        libraries/javalib/org/metastatic/jessie/provider/SynchronizedRandom.java,
        libraries/javalib/org/metastatic/jessie/provider/TLSHMac.java,
        libraries/javalib/org/metastatic/jessie/provider/TLSRandom.java,
        libraries/javalib/org/metastatic/jessie/provider/Util.java,
        libraries/javalib/org/metastatic/jessie/provider/X509KeyManagerFactory.java,
        libraries/javalib/org/metastatic/jessie/provider/X509TrustManagerFactory.java,
        libraries/javalib/org/metastatic/jessie/provider/XMLSessionContext.java:
	New files, taken from Jessie. Licensed under 
	GPL+linking exception.

        libraries/javalib/org/xbill/DNS/A6Record.java,
        libraries/javalib/org/xbill/DNS/AAAARecord.java,
        libraries/javalib/org/xbill/DNS/AFSDBRecord.java,
        libraries/javalib/org/xbill/DNS/APLRecord.java,
        libraries/javalib/org/xbill/DNS/ARecord.java,
        libraries/javalib/org/xbill/DNS/Address.java,
        libraries/javalib/org/xbill/DNS/CERTRecord.java,
        libraries/javalib/org/xbill/DNS/CNAMERecord.java,
        libraries/javalib/org/xbill/DNS/Cache.java,
        libraries/javalib/org/xbill/DNS/Compression.java,
        libraries/javalib/org/xbill/DNS/Credibility.java,
        libraries/javalib/org/xbill/DNS/DClass.java,
        libraries/javalib/org/xbill/DNS/DNAMERecord.java,
        libraries/javalib/org/xbill/DNS/DNSInput.java,
        libraries/javalib/org/xbill/DNS/DNSKEYRecord.java,
        libraries/javalib/org/xbill/DNS/DNSOutput.java,
        libraries/javalib/org/xbill/DNS/DNSSEC.java,
        libraries/javalib/org/xbill/DNS/DSRecord.java,
        libraries/javalib/org/xbill/DNS/ExtendedFlags.java,
        libraries/javalib/org/xbill/DNS/ExtendedResolver.java,
        libraries/javalib/org/xbill/DNS/FindServer.java,
        libraries/javalib/org/xbill/DNS/Flags.java,
        libraries/javalib/org/xbill/DNS/FormattedTime.java,
        libraries/javalib/org/xbill/DNS/GPOSRecord.java,
        libraries/javalib/org/xbill/DNS/HINFORecord.java,
        libraries/javalib/org/xbill/DNS/Header.java,
        libraries/javalib/org/xbill/DNS/ISDNRecord.java,
        libraries/javalib/org/xbill/DNS/Inet6Address.java,
        libraries/javalib/org/xbill/DNS/InvalidDClassException.java,
        libraries/javalib/org/xbill/DNS/InvalidTTLException.java,
        libraries/javalib/org/xbill/DNS/InvalidTypeException.java,
        libraries/javalib/org/xbill/DNS/KEYBase.java,
        libraries/javalib/org/xbill/DNS/KEYRecord.java,
        libraries/javalib/org/xbill/DNS/KXRecord.java,
        libraries/javalib/org/xbill/DNS/LOCRecord.java,
        libraries/javalib/org/xbill/DNS/Lookup.java,
        libraries/javalib/org/xbill/DNS/MBRecord.java,
        libraries/javalib/org/xbill/DNS/MDRecord.java,
        libraries/javalib/org/xbill/DNS/MFRecord.java,
        libraries/javalib/org/xbill/DNS/MGRecord.java,
        libraries/javalib/org/xbill/DNS/MINFORecord.java,
        libraries/javalib/org/xbill/DNS/MRRecord.java,
        libraries/javalib/org/xbill/DNS/MXRecord.java,
        libraries/javalib/org/xbill/DNS/Master.java,
        libraries/javalib/org/xbill/DNS/Message.java,
        libraries/javalib/org/xbill/DNS/Mnemonic.java,
        libraries/javalib/org/xbill/DNS/NAPTRRecord.java,
        libraries/javalib/org/xbill/DNS/NSAPRecord.java,
        libraries/javalib/org/xbill/DNS/NSAP_PTRRecord.java,
        libraries/javalib/org/xbill/DNS/NSECRecord.java,
        libraries/javalib/org/xbill/DNS/NSRecord.java,
        libraries/javalib/org/xbill/DNS/NULLRecord.java,
        libraries/javalib/org/xbill/DNS/NXTRecord.java,
        libraries/javalib/org/xbill/DNS/Name.java,
        libraries/javalib/org/xbill/DNS/NameSet.java,
        libraries/javalib/org/xbill/DNS/NameTooLongException.java,
        libraries/javalib/org/xbill/DNS/OPTRecord.java,
        libraries/javalib/org/xbill/DNS/Opcode.java,
        libraries/javalib/org/xbill/DNS/Options.java,
        libraries/javalib/org/xbill/DNS/PTRRecord.java,
        libraries/javalib/org/xbill/DNS/PXRecord.java,
        libraries/javalib/org/xbill/DNS/RPRecord.java,
        libraries/javalib/org/xbill/DNS/RRSIGRecord.java,
        libraries/javalib/org/xbill/DNS/RRset.java,
        libraries/javalib/org/xbill/DNS/RTRecord.java,
        libraries/javalib/org/xbill/DNS/Rcode.java,
        libraries/javalib/org/xbill/DNS/Record.java,
        libraries/javalib/org/xbill/DNS/RelativeNameException.java,
        libraries/javalib/org/xbill/DNS/ResolveThread.java,
        libraries/javalib/org/xbill/DNS/Resolver.java,
        libraries/javalib/org/xbill/DNS/ResolverListener.java,
        libraries/javalib/org/xbill/DNS/ReverseMap.java,
        libraries/javalib/org/xbill/DNS/SIGBase.java,
        libraries/javalib/org/xbill/DNS/SIGRecord.java,
        libraries/javalib/org/xbill/DNS/SOARecord.java,
        libraries/javalib/org/xbill/DNS/SRVRecord.java,
        libraries/javalib/org/xbill/DNS/SSHFPRecord.java,
        libraries/javalib/org/xbill/DNS/Section.java,
        libraries/javalib/org/xbill/DNS/Serial.java,
        libraries/javalib/org/xbill/DNS/SetResponse.java,
        libraries/javalib/org/xbill/DNS/SimpleResolver.java,
        libraries/javalib/org/xbill/DNS/SingleCompressedNameBase.java,
        libraries/javalib/org/xbill/DNS/SingleNameBase.java,
        libraries/javalib/org/xbill/DNS/TKEYRecord.java,
        libraries/javalib/org/xbill/DNS/TSIG.java,
        libraries/javalib/org/xbill/DNS/TSIGRecord.java,
        libraries/javalib/org/xbill/DNS/TTL.java,
        libraries/javalib/org/xbill/DNS/TXTRecord.java,
        libraries/javalib/org/xbill/DNS/TextParseException.java,
        libraries/javalib/org/xbill/DNS/Tokenizer.java,
        libraries/javalib/org/xbill/DNS/Type.java,
        libraries/javalib/org/xbill/DNS/TypedObject.java,
        libraries/javalib/org/xbill/DNS/U16NameBase.java,
        libraries/javalib/org/xbill/DNS/UNKRecord.java,
        libraries/javalib/org/xbill/DNS/Update.java,
        libraries/javalib/org/xbill/DNS/Verifier.java,
        libraries/javalib/org/xbill/DNS/WKSRecord.java,
        libraries/javalib/org/xbill/DNS/WireParseException.java,
        libraries/javalib/org/xbill/DNS/X25Record.java,
        libraries/javalib/org/xbill/DNS/Zone.java,
        libraries/javalib/org/xbill/DNS/ZoneTransferException.java,
        libraries/javalib/org/xbill/DNS/ZoneTransferIn.java,
        libraries/javalib/org/xbill/DNS/dns.java,
        libraries/javalib/org/xbill/DNS/security/CERTConverter.java,
        libraries/javalib/org/xbill/DNS/security/DHPubKey.java,
        libraries/javalib/org/xbill/DNS/security/DNSSECVerifier.java,
        libraries/javalib/org/xbill/DNS/security/DSAPubKey.java,
        libraries/javalib/org/xbill/DNS/security/DSASignature.java,
        libraries/javalib/org/xbill/DNS/security/KEYConverter.java,
        libraries/javalib/org/xbill/DNS/security/RSAPubKey.java,
        libraries/javalib/org/xbill/DNS/security/SIG0Signer.java,
        libraries/javalib/org/xbill/DNS/utils/base16.java,
        libraries/javalib/org/xbill/DNS/utils/base64.java,
        libraries/javalib/org/xbill/DNS/utils/hexdump.java,
        libraries/javalib/org/xbill/DNS/utils/hmacSigner.java,
        libraries/javalib/org/xbill/DNS/utils/md5.java:
	New files, taken from dnsjava. Licensed under a 
	BSD-style license without an advertising clause.

        * Makefile.in,
        aclocal.m4,
        config/Makefile.in,
        configure,
        include/Makefile.in,
        kaffe/Makefile.in,
        kaffe/jvmpi/Makefile.in,
        kaffe/kaffe/Makefile.in,
        kaffe/kaffeh/Makefile.in,
        kaffe/kaffevm/Makefile.in,
        kaffe/kaffevm/boehm-gc/Makefile.in,
        kaffe/kaffevm/gcj/Makefile.in,
        kaffe/kaffevm/intrp/Makefile.in,
        kaffe/kaffevm/jit/Makefile.in,
        kaffe/kaffevm/jit3/Makefile.in,
        kaffe/kaffevm/jni/Makefile.in,
        kaffe/kaffevm/kaffe-gc/Makefile.in,
        kaffe/kaffevm/systems/Makefile.in,
        kaffe/kaffevm/systems/beos-native/Makefile.in,
        kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
        kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
        kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
        kaffe/kaffevm/verifier/Makefile.in,
        kaffe/man/Makefile.in,
        kaffe/scripts/Makefile.in,
        kaffe/scripts/bat/Makefile.in,
        kaffe/scripts/compat/Makefile.in,
        kaffe/xprof/Makefile.in,
        libraries/Makefile.in,
        libraries/clib/Makefile.in,
        libraries/clib/awt/Makefile.in,
        libraries/clib/awt/X/Makefile.in,
        libraries/clib/awt/qt/Makefile.in,
        libraries/clib/io/Makefile.in,
        libraries/clib/libxmlj/Makefile.in,
        libraries/clib/management/Makefile.in,
        libraries/clib/math/Makefile.in,
        libraries/clib/native/Makefile.in,
        libraries/clib/net/Makefile.in,
        libraries/clib/nio/Makefile.in,
        libraries/clib/security/Makefile.in,
        libraries/clib/sound/Makefile.in,
        libraries/clib/sound/alsa/Makefile.in,
        libraries/clib/sound/common/Makefile.in,
        libraries/clib/sound/esd/Makefile.in,
        libraries/clib/zip/Makefile.in,
        libraries/extensions/Makefile.in,
        libraries/extensions/comm/Makefile.in,
        libraries/extensions/comm/javalib/Makefile.in,
        libraries/extensions/microsoft/Makefile.in,
        libraries/extensions/microsoft/clib/Makefile.in,
        libraries/extensions/microsoft/javalib/Makefile.in,
        libraries/extensions/pjava/Makefile.in,
        libraries/extensions/pjava/javalib/Makefile.in,
        libraries/extensions/servlet/Makefile.in,
        libraries/extensions/servlet/javalib/Makefile.in,
        libraries/javalib/Makefile.am,
        libraries/javalib/Makefile.in,
        libraries/javalib/gmp-math/Makefile.in,
        replace/Makefile.in,
        test/Makefile.in,
        test/internal/Makefile.in,
        test/jni/Makefile.in,
        test/regression/Makefile.in,
        test/regression/compile_time/Makefile.in,
        test/regression/compiler/Makefile.in,
        test/regression/run_time/Makefile.in,
        tools/Makefile.in,
        tools/gjdoc/Makefile.in,
        tools/gjdoc/javalib/Makefile.in:
	Regenerated.

2004-07-19  Guilhem Lavaux <guilhem@kaffe.org>

	* libraries/javalib/kjc.jar: Regenerated. Fix issues with
	uninitialized modifiers and resynchronized with Kopi's CVS.
	
2004-07-18  Dalibor Topic  <robilad@kaffe.org>

	* test/internal/jitBasic.c:
	(testMethod) Use KGC_* instead of GC_*.

2004-07-18  Guilhem Lavaux <guilhem@kaffe.org>

	* configure.ac: Use AC_STRUCT_TIMEZONE instead of a personnally
	built macro.

	* configure/config.h.in, configure: Regenerated.

	* libraries/clib/native/TimeZone.c: Use HAVE_TM_ZONE and
	HAVE_TZNAME.

	* kaffe/kaffevm/systems/unix-pthreads.c
	(jthreadedAccept): Fixed value in tv_sec/tv_usec. On FreeBSD,
	accept does not time out.

	* libraries/javalib/Makefile.am.in: Removed $(srcdir) as it is not
	useful and may even cause bugs in some configuration.

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in: Regenerated.
	
2004-07-18  Dalibor Topic  <robilad@kaffe.org>

        * configure.ac:
	Use AC_CHECK_MEMBERS to check for struct tm.tm_zone.

        * configure,
        config/config.h.in:
	Regenerated.

        * libraries/clib/native/TimeZone.c:
	(java_util_TimeZone_getDefaultTimeZoneId) Use 
	HAVE_STRUCT_TM_TM_ZONE in guard condition.

2004-07-18  Jim Huang  <jserv@kaffe.org>

	* po/zh_TW.po:
	Update zh_TW translation.

2004-07-18  Dalibor Topic  <robilad@kaffe.org>

	* FAQ/FAQ.classlibrary-compile: Updated information on
	profiles.

        * m4/gmp.m4: New file, taken from GNU m4.

	* THIRDPARTY: Added section on m4/gmp.m4.

        * libraries/javalib/java/math/BigDecimal.java,
        libraries/javalib/java/math/BigInteger.java:
	Made GNU Classpath's implementation the default.

        * FAQ/FAQ.bignum: New file. Documentation for BigInteger
	implementations.

        * libraries/javalib/all.files: New file, listing the default
	profile.
        
	* libraries/javalib/gmp-math/Makefile.am,
	libraries/javalib/gmp-math/Makefile.in,
	libraries/javalib/gmp-math/java/math/BigDecimal.java,
	libraries/javalib/gmp-math/BigInteger.java:
	Moved over GNU MP using java.math implementation over here.

        * kaffe/kaffe/main.c:
	Include prefix.h if BinReloc is enabled.
	(options) Handle -Xnative-big-math option.
	(usage) Added -Xnative-big-math.

        * configure.ac:
	Use m4_LIB_GMP to test for GNU MP and add a --without-gmp option. 
	(--with-class-library-profile) Require profile to be an absolute 
	path. Create libraries/javalib/gmp-math/Makefile.

        * Makefile.am:
	(EXTRA_DIST) Add FAQ/FAQ.bignum.

        * libraries/clib/Makefile.am:
	(SUBDIRS) Always build the math libraries.

        * libraries/clib/math/BigInteger.c:
	Changed guards to use USE_GMP.

        * libraries/clib/math/Makefile.am,
	(libmath_la_LIBADD) Use LIBADD_GMP.

        * libraries/javalib/Makefile.am.in:
	(SUBDIRS) Build rt.jar first, and then recurse into gmp-math.
	(EXTRA_DIST) Removed no longer necessary files and directories.
	Added all.files.
	(compile-classes) Simplified.

        * Makefile.in,
        aclocal.m4,
        configure,
        config/Makefile.in,
        config/config.h.in,
        include/Makefile.in,
        kaffe/Makefile.in,
        kaffe/jvmpi/Makefile.in,
        kaffe/kaffe/Makefile.in,
        kaffe/kaffeh/Makefile.in,
        kaffe/kaffevm/Makefile.in,
        kaffe/kaffevm/boehm-gc/Makefile.in,
        kaffe/kaffevm/gcj/Makefile.in,
        kaffe/kaffevm/intrp/Makefile.in,
        kaffe/kaffevm/jit/Makefile.in,
        kaffe/kaffevm/jit3/Makefile.in,
        kaffe/kaffevm/jni/Makefile.in,
        kaffe/kaffevm/kaffe-gc/Makefile.in,
        kaffe/kaffevm/systems/Makefile.in,
        kaffe/kaffevm/systems/beos-native/Makefile.in,
        kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
        kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
        kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
        kaffe/kaffevm/verifier/Makefile.in,
        kaffe/man/Makefile.in,
        kaffe/scripts/Makefile.in,
        kaffe/scripts/bat/Makefile.in,
        kaffe/scripts/compat/Makefile.in,
        kaffe/xprof/Makefile.in,
        libraries/Makefile.in,
        libraries/clib/Makefile.in,
        libraries/clib/awt/Makefile.in,
        libraries/clib/awt/X/Makefile.in,
        libraries/clib/awt/qt/Makefile.in,
        libraries/clib/io/Makefile.in,
        libraries/clib/libxmlj/Makefile.in,
        libraries/clib/management/Makefile.in,
        libraries/clib/math/Makefile.in,
        libraries/clib/native/Makefile.in,
        libraries/clib/net/Makefile.in,
        libraries/clib/nio/Makefile.in,
        libraries/clib/security/Makefile.in,
        libraries/clib/sound/Makefile.in,
        libraries/clib/sound/alsa/Makefile.in,
        libraries/clib/sound/common/Makefile.in,
        libraries/clib/sound/esd/Makefile.in,
        libraries/clib/zip/Makefile.in,
        libraries/extensions/Makefile.in,
        libraries/extensions/comm/Makefile.in,
        libraries/extensions/comm/javalib/Makefile.in,
        libraries/extensions/microsoft/Makefile.in,
        libraries/extensions/microsoft/clib/Makefile.in,
        libraries/extensions/microsoft/javalib/Makefile.in,
        libraries/extensions/pjava/Makefile.in,
        libraries/extensions/pjava/javalib/Makefile.in,
        libraries/extensions/servlet/Makefile.in,
        libraries/extensions/servlet/javalib/Makefile.in,
        libraries/javalib/Makefile.am,
        libraries/javalib/Makefile.in,
        replace/Makefile.in,
        test/Makefile.in,
        test/internal/Makefile.in,
        test/jni/Makefile.in,
        test/regression/Makefile.in,
        test/regression/compile_time/Makefile.in,
        test/regression/compiler/Makefile.in,
        test/regression/run_time/Makefile.in,
        tools/Makefile.in,
        tools/gjdoc/Makefile.in,
        tools/gjdoc/javalib/Makefile.in:
	Regenerated.

2004-07-17  Riccardo Mottola <rmottola@users.sf.net>

	* libraries/clib/native/TimeZone.c
	(java_util_TimeZone_getDefaultTimeZoneId):
	The old code has been put back again because some
	architectures does not implement tm_zone.
	
2004-07-17  Guilhem Lavaux <guilhem@kaffe.org>

	* configure.ac: Added a new test to check whether tm_zone exists in
	struct tm.

	* config/config.h.in, configure: Regenerated.

	* kaffe/kaffevm/jit/labels.c: Move '*/' to make gcc happy.

2004-07-17  Guilhem Lavaux <guilhem@kaffe.org>

	* libraries/javalib/java/text/CollationElementIterator.java:
	Use ArrayList instead of Vector.
	
2004-07-17  Guilhem Lavaux <guilhem@kaffe.org>

	* configure.ac:
	New option --with-gc to chose the garbage collector.
	Fixed Linuxthreads detection.

	* Makefile.am: Added FAQ.kaffemd to EXTRA_DIST.

	* kaffe/kaffe/Makefile.am, kaffe/kaffe/version.c:
	New version entry: VER_GARBAGE_COLLECTOR.

	* m4/solarispthread.m4:	Fixed solaris detection.
	
	* Makefile.in,
	config/Makefile.in,
	configure,
	include/Makefile.in,
	kaffe/Makefile.in,
	kaffe/jvmpi/Makefile.in,
	kaffe/kaffe/Makefile.in,
	kaffe/kaffeh/Makefile.in,
	kaffe/kaffevm/Makefile.in,
	kaffe/kaffevm/gcj/Makefile.in,
	kaffe/kaffevm/intrp/Makefile.in,
	kaffe/kaffevm/jit/Makefile.in,
	kaffe/kaffevm/jit3/Makefile.in,
	kaffe/kaffevm/jni/Makefile.in,
	kaffe/kaffevm/systems/Makefile.in,
	kaffe/kaffevm/systems/beos-native/Makefile.in,
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
	kaffe/kaffevm/verifier/Makefile.in,
	kaffe/man/Makefile.in,
	kaffe/scripts/Makefile.in,
	kaffe/scripts/bat/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	kaffe/xprof/Makefile.in,
	libraries/Makefile.in,
	libraries/clib/Makefile.in,
	libraries/clib/awt/Makefile.in,
	libraries/clib/awt/X/Makefile.in,
	libraries/clib/awt/qt/Makefile.in,
	libraries/clib/io/Makefile.in,
	libraries/clib/libxmlj/Makefile.in,
	libraries/clib/management/Makefile.in,
	libraries/clib/math/Makefile.in,
	libraries/clib/native/Makefile.in,
	libraries/clib/net/Makefile.in,
	libraries/clib/nio/Makefile.in,
	libraries/clib/security/Makefile.in,
	libraries/clib/sound/Makefile.in,
	libraries/clib/sound/alsa/Makefile.in,
	libraries/clib/sound/common/Makefile.in,
	libraries/clib/sound/esd/Makefile.in,
	libraries/clib/zip/Makefile.in,
	libraries/extensions/Makefile.in,
	libraries/extensions/comm/Makefile.in,
	libraries/extensions/comm/javalib/Makefile.in,
	libraries/extensions/microsoft/Makefile.in,
	libraries/extensions/microsoft/clib/Makefile.in,
	libraries/extensions/microsoft/javalib/Makefile.in,
	libraries/extensions/pjava/Makefile.in,
	libraries/extensions/pjava/javalib/Makefile.in,
	libraries/extensions/servlet/Makefile.in,
	libraries/extensions/servlet/javalib/Makefile.in,
	libraries/javalib/Makefile.in,
	replace/Makefile.in,
	test/Makefile.in,
	test/internal/Makefile.in,
	test/jni/Makefile.in,
	test/regression/Makefile.in,
	test/regression/compile_time/Makefile.in,
	test/regression/compiler/Makefile.in,
	test/regression/run_time/Makefile.in,
	tools/Makefile.in,
	tools/gjdoc/Makefile.in,
	tools/gjdoc/javalib/Makefile.in,
	libraries/javalib/Klasses.jar.bootstrap: Regenerated.

	* kaffe/kaffevm/kaffe-gc/Makefile.am,
	kaffe/kaffevm/kaffe-gc/Makefile.in,
	kaffe/kaffevm/kaffe-gc/gc-incremental.c,
	kaffe/kaffevm/kaffe-gc/gc-incremental.h,
	kaffe/kaffevm/kaffe-gc/gc-mem.c,
	kaffe/kaffevm/kaffe-gc/gc-mem.h:
	New files.
	
	* kaffe/kaffevm/mem/Makefile.am,
	kaffe/kaffevm/mem/Makefile.in,
	kaffe/kaffevm/mem/gc-incremental.c,
	kaffe/kaffevm/mem/gc-incremental.h,
	kaffe/kaffevm/mem/gc-mem.c,
	kaffe/kaffevm/mem/gc-mem.h: 


	* kaffe/kaffevm/boehm-gc/Makefile.am,
	kaffe/kaffevm/boehm-gc/boehm/.cvsignore,
	kaffe/kaffevm/boehm-gc/boehm/AmigaOS.c,
	kaffe/kaffevm/boehm-gc/boehm/BCC_MAKEFILE,
	kaffe/kaffevm/boehm-gc/boehm/ChangeLog,
	kaffe/kaffevm/boehm-gc/boehm/EMX_MAKEFILE,
	kaffe/kaffevm/boehm-gc/boehm/MacOS.c,
	kaffe/kaffevm/boehm-gc/boehm/MacProjects.sit.hqx,
	kaffe/kaffevm/boehm-gc/boehm/Mac_files/MacOS_Test_config.h,
	kaffe/kaffevm/boehm-gc/boehm/Mac_files/MacOS_config.h,
	kaffe/kaffevm/boehm-gc/boehm/Mac_files/dataend.c,
	kaffe/kaffevm/boehm-gc/boehm/Mac_files/datastart.c,
	kaffe/kaffevm/boehm-gc/boehm/Makefile.DLLs,
	kaffe/kaffevm/boehm-gc/boehm/Makefile.am,
	kaffe/kaffevm/boehm-gc/boehm/Makefile.direct,
	kaffe/kaffevm/boehm-gc/boehm/Makefile.dist,
	kaffe/kaffevm/boehm-gc/boehm/Makefile.dj,
	kaffe/kaffevm/boehm-gc/boehm/NT_MAKEFILE,
	kaffe/kaffevm/boehm-gc/boehm/NT_THREADS_MAKEFILE,
	kaffe/kaffevm/boehm-gc/boehm/OS2_MAKEFILE,
	kaffe/kaffevm/boehm-gc/boehm/PCR-Makefile,
	kaffe/kaffevm/boehm-gc/boehm/SMakefile.amiga,
	kaffe/kaffevm/boehm-gc/boehm/WCC_MAKEFILE,
	kaffe/kaffevm/boehm-gc/boehm/acinclude.m4,
	kaffe/kaffevm/boehm-gc/boehm/aclocal.m4,
	kaffe/kaffevm/boehm-gc/boehm/add_gc_prefix.c,
	kaffe/kaffevm/boehm-gc/boehm/aix_irix_threads.c,
	kaffe/kaffevm/boehm-gc/boehm/allchblk.c,
	kaffe/kaffevm/boehm-gc/boehm/alloc.c,
	kaffe/kaffevm/boehm-gc/boehm/alpha_mach_dep.S,
	kaffe/kaffevm/boehm-gc/boehm/backgraph.c,
	kaffe/kaffevm/boehm-gc/boehm/blacklst.c,
	kaffe/kaffevm/boehm-gc/boehm/callprocs,
	kaffe/kaffevm/boehm-gc/boehm/checksums.c,
	kaffe/kaffevm/boehm-gc/boehm/configure,
	kaffe/kaffevm/boehm-gc/boehm/configure.ac,
	kaffe/kaffevm/boehm-gc/boehm/configure.host,
	kaffe/kaffevm/boehm-gc/boehm/cord/cordbscs.c,
	kaffe/kaffevm/boehm-gc/boehm/cord/cordprnt.c,
	kaffe/kaffevm/boehm-gc/boehm/cord/cordtest.c,
	kaffe/kaffevm/boehm-gc/boehm/cord/cordxtra.c,
	kaffe/kaffevm/boehm-gc/boehm/cord/de.c,
	kaffe/kaffevm/boehm-gc/boehm/cord/de_cmds.h,
	kaffe/kaffevm/boehm-gc/boehm/cord/de_win.ICO,
	kaffe/kaffevm/boehm-gc/boehm/cord/de_win.RC,
	kaffe/kaffevm/boehm-gc/boehm/cord/de_win.c,
	kaffe/kaffevm/boehm-gc/boehm/cord/de_win.h,
	kaffe/kaffevm/boehm-gc/boehm/darwin_stop_world.c,
	kaffe/kaffevm/boehm-gc/boehm/dbg_mlc.c,
	kaffe/kaffevm/boehm-gc/boehm/depcomp,
	kaffe/kaffevm/boehm-gc/boehm/digimars.mak,
	kaffe/kaffevm/boehm-gc/boehm/doc/README,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.DGUX386,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.Mac,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.MacOSX,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.OS2,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.amiga,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.arm.cross,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.autoconf,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.changes,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.contributors,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.cords,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.darwin,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.dj,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.environment,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.ews4800,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.hp,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.linux,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.macros,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.rs6000,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.sgi,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.solaris2,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.uts,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.win32,
	kaffe/kaffevm/boehm-gc/boehm/doc/barrett_diagram,
	kaffe/kaffevm/boehm-gc/boehm/doc/debugging.html,
	kaffe/kaffevm/boehm-gc/boehm/doc/gcdescr.html,
	kaffe/kaffevm/boehm-gc/boehm/doc/gcinterface.html,
	kaffe/kaffevm/boehm-gc/boehm/doc/leak.html,
	kaffe/kaffevm/boehm-gc/boehm/doc/scale.html,
	kaffe/kaffevm/boehm-gc/boehm/doc/tree.html,
	kaffe/kaffevm/boehm-gc/boehm/dyn_load.c,
	kaffe/kaffevm/boehm-gc/boehm/finalize.c,
	kaffe/kaffevm/boehm-gc/boehm/gc.mak,
	kaffe/kaffevm/boehm-gc/boehm/gc_cpp.cc,
	kaffe/kaffevm/boehm-gc/boehm/gc_cpp.cpp,
	kaffe/kaffevm/boehm-gc/boehm/gc_dlopen.c,
	kaffe/kaffevm/boehm-gc/boehm/gcc_support.c,
	kaffe/kaffevm/boehm-gc/boehm/gcj_mlc.c,
	kaffe/kaffevm/boehm-gc/boehm/gcname.c,
	kaffe/kaffevm/boehm-gc/boehm/headers.c,
	kaffe/kaffevm/boehm-gc/boehm/hpux_test_and_clear.s,
	kaffe/kaffevm/boehm-gc/boehm/ia64_save_regs_in_stack.s,
	kaffe/kaffevm/boehm-gc/boehm/if_mach.c,
	kaffe/kaffevm/boehm-gc/boehm/if_not_there.c,
	kaffe/kaffevm/boehm-gc/boehm/include/cord.h,
	kaffe/kaffevm/boehm-gc/boehm/include/ec.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_alloc.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_allocator.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_amiga_redirects.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_backptr.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_config_macros.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_cpp.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_gcj.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_inl.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_inline.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_local_alloc.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_mark.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_pthread_redirects.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_typed.h,
	kaffe/kaffevm/boehm-gc/boehm/include/javaxfc.h,
	kaffe/kaffevm/boehm-gc/boehm/include/leak_detector.h,
	kaffe/kaffevm/boehm-gc/boehm/include/new_gc_alloc.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/cord_pos.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/darwin_semaphore.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/darwin_stop_world.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/dbg_mlc.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/gc_hdrs.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/gc_locks.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/gc_pmark.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/gc_priv.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/gcconfig.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/pthread_stop_world.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/pthread_support.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/solaris_threads.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/specific.h,
	kaffe/kaffevm/boehm-gc/boehm/include/weakpointer.h,
	kaffe/kaffevm/boehm-gc/boehm/mach_dep.c,
	kaffe/kaffevm/boehm-gc/boehm/malloc.c,
	kaffe/kaffevm/boehm-gc/boehm/mallocx.c,
	kaffe/kaffevm/boehm-gc/boehm/mark.c,
	kaffe/kaffevm/boehm-gc/boehm/mark_rts.c,
	kaffe/kaffevm/boehm-gc/boehm/mips_sgi_mach_dep.s,
	kaffe/kaffevm/boehm-gc/boehm/mips_ultrix_mach_dep.s,
	kaffe/kaffevm/boehm-gc/boehm/misc.c,
	kaffe/kaffevm/boehm-gc/boehm/new_hblk.c,
	kaffe/kaffevm/boehm-gc/boehm/obj_map.c,
	kaffe/kaffevm/boehm-gc/boehm/os_dep.c,
	kaffe/kaffevm/boehm-gc/boehm/pc_excludes,
	kaffe/kaffevm/boehm-gc/boehm/pcr_interface.c,
	kaffe/kaffevm/boehm-gc/boehm/powerpc_darwin_mach_dep.s,
	kaffe/kaffevm/boehm-gc/boehm/pthread_stop_world.c,
	kaffe/kaffevm/boehm-gc/boehm/pthread_support.c,
	kaffe/kaffevm/boehm-gc/boehm/ptr_chck.c,
	kaffe/kaffevm/boehm-gc/boehm/real_malloc.c,
	kaffe/kaffevm/boehm-gc/boehm/reclaim.c,
	kaffe/kaffevm/boehm-gc/boehm/rs6000_mach_dep.s,
	kaffe/kaffevm/boehm-gc/boehm/setjmp_t.c,
	kaffe/kaffevm/boehm-gc/boehm/solaris_pthreads.c,
	kaffe/kaffevm/boehm-gc/boehm/solaris_threads.c,
	kaffe/kaffevm/boehm-gc/boehm/sparc_mach_dep.S,
	kaffe/kaffevm/boehm-gc/boehm/sparc_netbsd_mach_dep.s,
	kaffe/kaffevm/boehm-gc/boehm/sparc_sunos4_mach_dep.s,
	kaffe/kaffevm/boehm-gc/boehm/specific.c,
	kaffe/kaffevm/boehm-gc/boehm/stubborn.c,
	kaffe/kaffevm/boehm-gc/boehm/tests/leak_test.c,
	kaffe/kaffevm/boehm-gc/boehm/tests/test.c,
	kaffe/kaffevm/boehm-gc/boehm/tests/test_cpp.cc,
	kaffe/kaffevm/boehm-gc/boehm/tests/thread_leak_test.c,
	kaffe/kaffevm/boehm-gc/boehm/tests/trace_test.c,
	kaffe/kaffevm/boehm-gc/boehm/threadlibs.c,
	kaffe/kaffevm/boehm-gc/boehm/typd_mlc.c,
	kaffe/kaffevm/boehm-gc/boehm/version.h,
	kaffe/kaffevm/boehm-gc/boehm/win32_threads.c,
	kaffe/kaffevm/boehm-gc/gc2.c: New files.

	* kaffe/kaffevm/methodCache.c,
	kaffe/kaffevm/object.c,
	kaffe/kaffevm/readClass.c,
	kaffe/kaffevm/stackTrace.c,
	kaffe/kaffevm/stats.h,
	kaffe/kaffevm/string.c,
	kaffe/kaffevm/stringParsing.c,
	kaffe/kaffevm/thread.c,
	kaffe/kaffevm/utf8const.c,
	kaffe/kaffevm/locks.c,
	kaffe/kaffevm/lookup.c,
	kaffe/kaffevm/classPool.c,
	kaffe/kaffevm/code-analyse.c,
	kaffe/kaffevm/code-analyse.h,
	kaffe/kaffevm/code.c,
	kaffe/kaffevm/constants.c,
	kaffe/kaffevm/external.c,
	kaffe/kaffevm/baseClasses.c,
	kaffe/kaffevm/verifier/verify-block.c,
	kaffe/kaffevm/verifier/verify-sigstack.c,
	kaffe/kaffevm/verifier/verify-type.c,
	kaffe/kaffevm/verifier/verify-uninit.c,
	kaffe/kaffevm/verifier/verify.c,
	kaffe/kaffevm/verifier/verify3a.c,
	kaffe/kaffevm/classMethod.c,
	kaffe/kaffevm/inflate.c,
	kaffe/kaffevm/jar.c,
	kaffe/kaffevm/gc.c,
	kaffe/kaffevm/jit3/constpool.c,
	kaffe/kaffevm/jit3/icode.c,
	kaffe/kaffevm/jit3/labels.c,
	kaffe/kaffevm/jit3/machine.c,
	kaffe/kaffevm/jit3/machine.h,
	kaffe/kaffevm/jit3/seq.c,
	kaffe/kaffevm/jit3/slots.c,
	kaffe/kaffevm/jit/machine.c,
	kaffe/kaffevm/gcFuncs.c,
	kaffe/kaffevm/gcRefs.c,
	libraries/clib/net/InetAddressImpl.c: Renamed GC_* macros to
	KGC_* to avoid namespace conflicts.

	* libraries/clib/native/Runtime.c: Don't use anymore exported symbols
	gc_heap_limit and gc_heap_total. Use instead KGC_getHeapLimit and 
	KGC_getHeapTotal.
	
	* libraries/javalib/bootstrap.classlist: Added some missing
	classes necessary to run KJC.

	* kaffe/kaffevm/classMethod.c
        (computeInterfaceImplementationIndex): Fixed a comparison which
	could lead to an infinite loop.
	
	* kaffe/kaffevm/gc.h
	(MIN_HEAPSIZE, MAX_HEAPSIZE, ALLOC_HEAPSIZE): Moved definition
	here.
	(GarbageCollectorInterface_Ops): New method getHeapLimit and
	getHeapTotal.
	Renamed GC_* macros to KGC_* to prevent namespace conflicts.

2004-07-16  Riccardo Mottola <rmottola@users.sf.net>

	* config/powerpc/darwin/md.h:
	Added definitions for signal handling

	* kaffe/kaffevm/systems/unix-jthreads/jthread.h:
	(jthread_attach_current_thread): Moved UNUSED to ease CPP work.
	
	* libraries/clib/native/TimeZone.c
	(java_util_TimeZone_getDefaultTimeZoneId):
	Changed timezone mechanism to be ANSI compliant.

	* libraries/clib/native/System.c: Use setlocale only if
	LC_MESSAGES is defined.

	* configure.ac: Check for sys/signal.h.

	* config/config.h.in, configure: Regenerated.

2004-07-16  Jim Huang  <jserv@kaffe.org>

	* libraries/javalib/java/awt/MouseEvt.java
	(clickToFocus):
	Revert to previous due to it causing problems of right
	click events.

2004-07-15  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/jit/labels.c:
	(labelCount) Added.
	(newLabel) Add label names.
	(getInternalLabel) New function.

        * kaffe/kaffevm/jit/labels.h:
	(getInternalLabel) Added prototype.

	Reported by: Jerry Zhou <zhgjerry@eyou.com>

2004-07-15  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/external.c
	(loadNativeLibrary2): Improve error message when library 
	can't be found.

	Reported by: Fabien Renaud  <renaud@nentec.de>

2004-07-15  Dalibor Topic  <robilad@kaffe.org>,
	    Timothy S. Stack <stack@cs.utah.edu>

	* test/internal/jit_stub.c:
	Fixed to build again with updated jni.

	Reported by: Arnaud Vandyck  <avdyk@ressource-toi.org>

2004-07-15  Jim Huang  <jserv@kaffe.org>

	* libraries/javalib/java/awt/MouseEvt.java
	(clickToFocus): JDK allows components which are not 
	isFocusTraversable() to gain the focus by means of 
	explicit requestFocus().
	
	* libraries/javalib/java/awt/PaintEvt.java
	(dispatch): Boundary check performed.
	
2004-07-14  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/ksem.c (ksemGet): Readded jmutex_lock.

2004-07-14  Dalibor Topic  <robilad@kaffe.org>

        * libraries/javalib/essential.files,
        libraries/javalib/profiles/allatonce/all.files,
        libraries/javalib/profiles/default/core.files:
	Shuffled java/lang/IllegalMonitorStateException.java to 
	essential file set to fix build on kjc.

2004-07-14  Dalibor Topic  <robilad@kaffe.org>

	* config/superh: Moved over to
	* config/sh: new directory.

        * Makefile.am:
	(EXTRA_DIST) Removed superh patch.

        * Makefile.in:
	Regenerated.

        * FAQ/FAQ.cross-compiling:
	Removed extra secion on superh.

        * config/Makefile.am:
	(EXTRA_DIST) Renamed superh files to begin with sh.
        
	* config/Makefile.in:
	Regenerated.

        * config/config.alias,
        config/superh/common.h,
        config/superh/sysdepCallMethod.h,
        config/superh/threads.h,
        config/superh/trampolines.c,
        config/superh/linux/config.frag,
        config/superh/linux/md.c,
        config/superh/linux/md.h:
	Use sh instead of superh.

        * developers/autogen.sh:
	Removed superh patch.

        * libltdl/config.sub,
        scripts/config.sub:
	Rengenerated.

2004-07-14  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/classpath/Configuration.java
	(default_awt_toolkit): Added new field for classpath AWT.

        Reported by: Jim Huang  <jserv@kaffe.org>

2004-07-14  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/lang/Thread.java
	(holdsLock): Implemented.

	Reported by: Jim Huang  <jserv@kaffe.org>
	
2004-07-14  Dalibor Topic  <robilad@kaffe.org>

	* config/sparc/jit-sparc.def:
	Fixed stray LOUT without closing brace.

	Reported by: Mark Wielaard  <mark@klomp.org>

2004-07-14  Guilhem Lavaux  <guilhem@kaffe.org>

	* config/i386/freebsd2/md.[ch]
	(mdGetStackBase,mdGetStackEnd,
	KAFFEMD_STACKBASE,KAFFEMD_STACKEND): Updated to the latest
	change in name semantics.

2004-07-14  Jim Huang  <jserv@kaffe.org>

	* FAQ/FAQ.awt:
	Update usage of Qt AWT backend.

	* libraries/clib/awt/qt/clr.cc,
	libraries/clib/awt/qt/evt.cc,
	libraries/clib/awt/qt/fnt.cc,
	libraries/clib/awt/qt/gra.cc,
	libraries/clib/awt/qt/wnd.cc:
	Definite AWT debugging classification.
	Update font initialization and font metrics information.
	Color model support improvement.
	
2004-07-13  Dalibor Topic  <robilad@kaffe.org>

	* config/arm/jit-arm.def:
	Fix 'use of compound as lvalue is deprecated' warnings for jit.

2004-07-13  Dalibor Topic  <robilad@kaffe.org>

	* config/alpha/jit-alpha.def:
	Fix 'use of compound as lvalue is deprecated' warnings for jit.
	Fixed op_* macros to use ';' after debug statements.
	Fixed compilation problems resulting from that. Macros are no fun.

2004-07-13  Dalibor Topic  <robilad@kaffe.org>

	* config/sparc/jit-sparc.def:
	Fix 'use of compound as lvalue is deprecated' warnings for jit.
 
2004-07-13  Kiyo Inaba <inaba@src.ricoh.co.jp>

        * kaffe/kaffevm/jit/funcs.c
        * config/i386/jit-i386.def:
        * config/i386/jit3-i386.def:
        * config/m68k/jit-i386.def:
        * config/m68k/jit3-i386.def:
        Fix 'use of compound as lvalue is deprecated' warnings for jit.

2004-07-13  Riccardo Mottola <rmottola@users.sf.net>

        * config/mips/atomicity.h:
        removed inline assembler comments from swp&cmp since they confuse some assemblers

        * config/mips/irix5/md.h:
        added signal macros

2004-07-13  Kiyo Inaba <inaba@src.ricoh.co.jp>

	* config/m68k/netbsd1/md.h:
	Fix alignment bug for 'long long'.
	This makes kjc work with m68k/netbsd for 'jit'.

2004-07-13  Guilhem Lavaux <guilhem@kaffe.org>

	* kaffe/kaffevm/Makefile.am: Renamed all occurrences of stamp-h02
	in stamp-h01.

	* kaffe/kaffevm/Makefile.in: Regenerated.

2004-07-12  Guilhem Lavaux <guilhem@kaffe.org>

	* configure.ac: Added a point to chose different
	garbage collector.

	* kaffe/kaffevm/mem/Makefile.am,
	kaffe/kaffevm/mem/Makefile.frag: New files.

	* kaffe/kaffevm/Makefile.am: Added libkaffevmgc.la
	dependency and removed references to gc-mem.c
	
	* kaffe/kaffevm/gc.c: Removed gc-incremental.c
	Added gc.h

	* Makefile.in,
	configure
	config/Makefile.in,
	include/Makefile.in,
	kaffe/Makefile.in,
	kaffe/jvmpi/Makefile.in,
	kaffe/kaffe/Makefile.in,
	kaffe/kaffeh/Makefile.in,
	kaffe/kaffevm/Makefile.in,
	kaffe/kaffevm/gcj/Makefile.in,
	kaffe/kaffevm/intrp/Makefile.in,
	kaffe/kaffevm/jit/Makefile.in,
	kaffe/kaffevm/jit3/Makefile.in,
	kaffe/kaffevm/jni/Makefile.in,
	kaffe/kaffevm/systems/Makefile.in,
	kaffe/kaffevm/systems/beos-native/Makefile.in,
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
	kaffe/kaffevm/verifier/Makefile.in,
	kaffe/man/Makefile.in,
	kaffe/scripts/Makefile.in,
	kaffe/scripts/bat/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	kaffe/xprof/Makefile.in,
	libraries/Makefile.in,
	libraries/clib/Makefile.in,
	libraries/clib/awt/Makefile.in,
	libraries/clib/awt/X/Makefile.in,
	libraries/clib/awt/qt/Makefile.in,
	libraries/clib/io/Makefile.in,
	libraries/clib/libxmlj/Makefile.in,
	libraries/clib/management/Makefile.in,
	libraries/clib/math/Makefile.in,
	libraries/clib/native/Makefile.in,
	libraries/clib/net/Makefile.in,
	libraries/clib/nio/Makefile.in,
	libraries/clib/security/Makefile.in,
	libraries/clib/sound/Makefile.in,
	libraries/clib/sound/alsa/Makefile.in,
	libraries/clib/sound/common/Makefile.in,
	libraries/clib/sound/esd/Makefile.in,
	libraries/clib/zip/Makefile.in,
	libraries/extensions/Makefile.in,
	libraries/extensions/comm/Makefile.in,
	libraries/extensions/comm/javalib/Makefile.in,
	libraries/extensions/microsoft/Makefile.in,
	libraries/extensions/microsoft/clib/Makefile.in,
	libraries/extensions/microsoft/javalib/Makefile.in,
	libraries/extensions/pjava/Makefile.in,
	libraries/extensions/pjava/javalib/Makefile.in,
	libraries/extensions/servlet/Makefile.in,
	libraries/extensions/servlet/javalib/Makefile.in,
	libraries/javalib/Makefile.in,
	replace/Makefile.in,
	test/Makefile.in,
	test/internal/Makefile.in,
	test/jni/Makefile.in,
	test/regression/Makefile.in,
	test/regression/compile_time/Makefile.in,
	test/regression/compiler/Makefile.in,
	test/regression/run_time/Makefile.in,
	tools/Makefile.in,
	tools/gjdoc/Makefile.in,
	tools/gjdoc/javalib/Makefile.in: Regenerated.
	
2004-07-12  Dalibor Topic  <robilad@kaffe.org>

        * config/Makefile.am:
	(EXTRA_DIST) Added m68k/linux/clear-cache.h.

        * config/Makefile.in:
	Regenerated.

	Reported by: Arnaud Vandyck  <avdyk@ressource-toi.org>

2004-07-12  Jim Huang  <jserv@kaffe.org>

	* libraries/clib/awt/qt/cbd.cc,
	libraries/clib/awt/qt/clr.cc,
	libraries/clib/awt/qt/evt.cc,
	libraries/clib/awt/qt/fnt.cc,
	libraries/clib/awt/qt/gra.cc,
	libraries/clib/awt/qt/img.cc,
	libraries/clib/awt/qt/tlk.cc,
	libraries/clib/awt/qt/toolkit.h,
	libraries/clib/awt/qt/wnd.cc:
	Introduces qqDebug() macro to wrap qDebug for better debugging
	information, so that we can catch specific details via message
	handler.

2004-07-12  Jim Huang  <jserv@kaffe.org>

	* libraries/clib/awt/qt/evt.cc:
	Safer way to handler processEvent.

	* libraries/clib/awt/qt/img.cc:
	Add type conversion with threshold.

	* libraries/clib/awt/qt/tlk.cc:
	Implement message handler for Qt AWT backend, and it is more
	convenient to debug or catch some messages from Qt core.

	* FAQ/FAQ.awt:
	Update Qt AWT backend debugging information.
								       
2004-07-12  Jim Huang  <jserv@kaffe.org>

	* libraries/javalib/java/awt/ScrollPane.java
	(ScrollPane): supports GraphicsEnvironment.isHeadless() checks.
	(addImpl): checks scrollbar type.
	(getScrollPosition), (getViewportSize), (layout), (layoutX):
	scrollbar boundary check.
					
2004-07-11  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* kaffe/kaffevm/systems/unix-pthreads/lock-impl.h:
	_POSIX_THREAD_PROCESS_SHARED must be defined with a value
	other than -1 to be effective.

2004-07-11  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/util/Locale.java:
	Resynced with GNU Classpath.

	2004-07-05  Bryce McKinlay  <mckinlay@redhat.com>

        * java/util/Locale.java (readObject): Intern strings read from object
        stream.

	2004-07-05  Bryce McKinlay  <mckinlay@redhat.com>

        * java/util/Locale.java (hashcode): Made transient.
        (hashCode): No longer synchronized.
        (equals): Remove comment.
        (writeObject): No longer synchronized. Implement using writeObject
        calls instead of tweaking hashCode field. Update doc.
        (readObject): Implement using readObject calls.

2004-07-11  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/text/DateFormat.java:
	Resynced with GNU Classpath.

	2003-06-27  Dalibor Topic  <robilad@kaffe.org>

        * java/text/DateFormat.java (parse):
        Improved javadoc. Improved exception message.

2004-07-11  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/text/MessageFormat.java:
	Resynced with GNU Classpath.

	2004-07-08  Ito Kazumitsu  <kaz@maczuka.gcd.org>

        * java/text/MessageFormat.java
        (formatInternal): Append "{n}" if argument n is unavailable.
        (format(Object, StringBuffer, FieldPosition)): This
        should be equivalent to format(Object[], StringBuffer, FieldPosition).

2004-07-11  Dalibor Topic  <robilad@kaffe.org>

	*  libraries/javalib/java/security/AccessControlContext.java,
	libraries/javalib/java/security/VMAccessController.java:
	Resynced with GNU Classpath.

	2004-07-04  Casey Marshall <csm@gnu.org>

        * java/security/AccessControlContext.java
        (checkPermission): check for empty context.
        * vm/reference/java/security/VMAccessController.java
        (getContext): combine debugging statements.

2004-07-11  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/net/URL.java:
	Resynced with GNU Classpath.

	2004-07-03  Mark Wielaard  <mark@klomp.org>
            Anthony Green  <green@redhat.com>

        * java/net/URL.java (getFile): Clarify return value doc.
        (getPath): Return null if file is empty - not
        empty String.

	2004-07-03  Mark Wielaard  <mark@klomp.org>
            Anthony Green  <green@redhat.com>

        * java/net/URL.java (set): Convert protocol to lower case before
        doing anything.
        Only change the protocol handler if it's different.

	2004-07-03  Anthony Green  <green@redhat.com>

        * java/net/URL.java (URL): Convert protocol to lower case before
        doing anything, so we getURLStreamHandler() with the proper
        value.

	2004-07-01  Mark Wielaard  <mark@klomp.org>

        Reported by Roman Kennke <roman@ontographics.com> (bug #9331)
        * java/net/URLStreamHandler.java (parseURL): When url file part
        doesn't contain a '/' just ignore context.

	2004-07-01  Mark Wielaard  <mark@klomp.org>

        * java/net/URL.java (systemClassLoader): New static field.
        (getURLStreamHandler): Always use system/application classloader
        for finding URLStreamhandler. Remove unecessary instanceof checks.

2004-07-11  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/net/DatagramPacket.java:
	Resynced with GNU Classpath.

	2004-07-10  Jeroen Frijters  <jeroen@frijters.net>

        * java/net/DatagramPacket.java (setAddress): Removed check for
        null address.

2004-07-11  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/net/URLStreamHandler.java:
	Resynced with GNU Classpath.

	2004-07-11  Mohan Embar  <gnustuff@thisiscool.com>

        * java/net/URLStreamHandler.java (parseURL): Canonicalize
        file portion of URL in addition to spec for file: protocol.

	2004-07-01  Mark Wielaard  <mark@klomp.org>

        Reported by Roman Kennke <roman@ontographics.com> (bug #9331)
        * java/net/URLStreamHandler.java (parseURL): When url file part
        doesn't contain a '/' just ignore context.

2004-07-11  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/io/FilePermission.java:
	Resynced with GNU Classpath.

	2004-06-25  Mark Wielaard  <mark@klomp.org>

        * java/io/FilePermission.java (usingPerms): Removed.
        (actionsString): Made final.
        (cachePerms): Renamed to checkPerms.
        (checkPerms): Renamed from cachePerms. Call trim() and toLowerCase()
        on action String.
        (FilePermission): Check arguments, call checkPerms().
        (equals): Remove cachePerms() call.
        (implies): Likewise.

2004-07-11  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/io/File.java:
	Resynced with GNU Classpath.

	2004-07-08  Ito Kazumitsu  <kaz@maczuka.gcd.org>

        * java/io/File.java
        (toURI): Use new URI(scheme, userInfo, host, port, path,
        query, fragment).

2004-07-11  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/io/ObjectInputStream.java,
	libraries/javalib/java/io/ObjectStreamClass.java:
	Resynced with GNU Classpath.

	2004-07-10  Jeroen Frijters  <jeroen@frijters.net>

        * java/io/ObjectInputStream.java (readObject): Delegate instantation
        of Externalizable classes to ObjectStreamClass.
        * java/io/ObjectStreamClass.java (newInstance): New method to
        instantiate Externalizable (while ignoring the accessibility of
        the constructor). (constructor): New field to cache the constructor.

2004-07-11  Dalibor Topic  <robilad@kaffe.org>

	*  libraries/javalib/java/io/BufferedInputStream.java:
	Resynced with GNU Classpath.

	2004-07-10  Jeroen Frijters  <jeroen@frijters.net>

        * java/io/BufferedInputStream.java (count, pos, marklimit): Removed
        unnecessary initialization. (marktarget, CHUNKSIZE): Removed.
        (bufferSize): New field. (close): Reset state. (read()): Removed
        unnecessary cast. (read(byte[],int,int): Try harder to read the
        requested number of bytes. (mark,reset,refill): Fixed handling of
        marking. (skip): Added stream closed check and removed mark handling.

2004-07-11  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/beans/Expression.java,
	libraries/javalib/java/beans/Statement.java:
	New files, taken from GNU Classpath.

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in:
	Regenerated.

	* libraries/javalib/profiles/allatonce/all.files,
	libraries/javalib/profiles/default/rest.files:
	Updated to include java/beans/Expression.java and
	java/beans/Statement.java.

	2004-07-04  Mark Wielaard  <mark@klomp.org>

        * java/beans/Expression.java: New class from libgcj.
        * java/beans/Statement.java: Likewise.

2004-07-11  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/event/InvocationEvent.java:
	Resynced with GNU Classpath.

	2004-07-01  Mark Wielaard  <mark@klomp.org>

	* java/awt/event/InvocationEvent.java (dispatch): Synchronize
	on notifier object before calling notifyAll().

2004-07-11  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/GridBagLayout.java:
	Resynced with GNU Classpath.

	2004-06-26  David Jee  <djee@redhat.com>

	* java/awt/GridBagLayout.java
	(GetLayoutInfo): Adjust cell sizes iff parent size is not zero.
	Make sure pos_x and pos_y are never negative.

2004-07-11  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/nio/SelectorImpl.java:
	Resynced with GNU Classpath.

	2004-06-24  Mark Wielaard  <mark@klomp.org>

	* gnu/java/nio/SelectorImpl.java (select): Call static Thread
	interrupted() method to clear interupt flag of our Thread.

2004-07-11  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/nio/SelectorImpl.java:
	Resynced with GNU Classpath.

	2004-06-24  Mark Wielaard  <mark@klomp.org>

	* gnu/java/nio/SelectorImpl.java (select): Call static Thread
	interrupted() method to clear interupt flag of our Thread.

2004-07-11  Dalibor Topic  <robilad@kaffe.org>,

	* libraries/javalib/gnu/java/net/protocol/http/Connection.java:
	Resynced with GNU Classpath.

	2004-06-27  Mark Wielaard  <mark@klomp.org>

	* gnu/java/net/protocol/http/Connection.java (userAgent): New static
	final field.
	(sendRequest): Use new field in user-agent http agent.

2004-07-11  Dalibor Topic  <robilad@kaffe.org>

	* config/Makefile.am:
	(EXTRA_DIST) Added s390/linux/sigcontextinfo.h

	* config/Makefile.in:
	Regenerated.

	Reported by: Arnaud Vandyck  <avdyk@ressource-toi.org>

2004-07-11  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac:
	Added check for pthread_attr_setschedpolicy.

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c:
	Only use pthread_attr_setschedpolicy if it exists on
	the system.

	* configure,
	config/config.h.in:
	Regenerated.

	Reported by: Riccardo Mottola  <zuse@libero.it>

2004-07-11  Dalibor Topic  <robilad@kaffe.org>,
	    Helmer Kraemer  <hkraemer@freenet.de>

	* kaffe/kaffevm/jit3/funcs.h:
	Rewritten to only define the functions that are
	actually used.

2004-07-11  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/jit3/funcs.c: Added more comments.

	* config/mips/jit3-mips.def: Changed LOUT to use
	jit3 syntax.

2004-07-11  Yoshiharu Oba  <ooba@gk.avkk.yamaha.co.jp>

	* config/mips/linux/jit-md.h: (MIPS_SP) Added.

	* config/mips/jit.h: Add current stackpointer register into
	the structure of exception frame.

	* config/mips/threads.h:Align FP_OFFSET and SP_OFFSET macro with linux

	* config/mips/linux/md.h: Align FP_OFFSET, EXCEPTIONPROTO macro with linux

	* config/mips/mips.c:Fetch the return address from the stackpointer
	that is under certain instruction. (What reason, the exception frame is
	built on the stackpointer when exception occurs in INTERFACE class.
	In this case, Walk backwards process uses the stackpointer
	instead of the framepointer )

	* config/mips/jit3-icode.h: Undefine the double types instruction.
	Only the PlayStation2, Although it has FPU, since only double type
	instructions does not have.

	* kaffe/kaffevm/jit3/icode.c: Its on the same reason.

	* config/mips/jit3-mips.def: Bug fixes, How to use of floating point 
	register was corrected.

2004-07-11  Helmer Kraemer  <hkraemer@freenet.de>

	* kaffe/kaffevm/access.c (checkAccess): fix check when an inner class
	accesses an inner class of its superclass

	Reported by: Alan Tam <Tam@SiuLung.com>

2004-07-11  Guilhem Lavaux <guilhem@kaffe.org>

	* kaffe/kaffevm/ksem.c (ksemPut): Removed the assertion as
	the case may happen and is handled by ksemGet.

	* kaffe/kaffevm/systems/unix-jthreads/signal.c,
	kaffe/kaffevm/systems/unix-pthreads/signal.c
	(detectStackBoundaries): Made guessPointer a static volatile variable
	to remove the optimization and put the variable outside of the stack.

2004-07-11  Helmer Kraemer  <hkraemer@freenet.de>

	* libraries/javalib/java/lang/Package.java (getPackage, getPackages):
	directly call kaffe.lang.ThreadStack
	(getCallingClassLoader): removed

	* libraries/javalib/java/lang/Thread.java (setContextClassLoader):
	call system's SecurityManager instead of AccessController in order to
	check permission

	* libraries/javalib/java/util/ResourceBundle.java (getBundle):
	use kaffe.lang.ThreadStack to get caller's classloader

2004-07-10  Guilhem Lavaux <guilhem@kaffe.org>
	
	* configure.ac: Check whether we are using GLIBC 2.1 or 2.2.

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c:
	Removed some unused commented functions. Changed the signal used
	for suspend/resume events.

	* test/jni/Makefile.am: Added jniReflect to check_PROGRAMS.

	* test/jni/jniReflect.c: New test for ToReflectedMethod.
	
	* Makefile.in, aclocal.m4,
	config/Makefile.in,
	config/config.h.in,
	configure,
	include/Makefile.in,
	kaffe/Makefile.in,
	kaffe/jvmpi/Makefile.in,
	kaffe/kaffe/Makefile.in,
	kaffe/kaffeh/Makefile.in,
	kaffe/kaffevm/Makefile.in,
	kaffe/kaffevm/gcj/Makefile.in,
	kaffe/kaffevm/intrp/Makefile.in,
	kaffe/kaffevm/jit/Makefile.in,
	kaffe/kaffevm/jit3/Makefile.in,
	kaffe/kaffevm/jni/Makefile.in,
	kaffe/kaffevm/jni/jni-helpers.c,
	kaffe/kaffevm/systems/Makefile.in,
	kaffe/kaffevm/systems/beos-native/Makefile.in,
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
	kaffe/kaffevm/verifier/Makefile.in,
	kaffe/man/Makefile.in,
	kaffe/scripts/Makefile.in,
	kaffe/scripts/bat/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	kaffe/xprof/Makefile.in,
	libraries/Makefile.in,
	libraries/clib/Makefile.in,
	libraries/clib/awt/Makefile.in,
	libraries/clib/awt/X/Makefile.in,
	libraries/clib/awt/qt/Makefile.in,
	libraries/clib/io/Makefile.in,
	libraries/clib/libxmlj/Makefile.in,
	libraries/clib/management/Makefile.in,
	libraries/clib/math/Makefile.in,
	libraries/clib/native/Makefile.in,
	libraries/clib/net/Makefile.in,
	libraries/clib/nio/Makefile.in,
	libraries/clib/security/Makefile.in,
	libraries/clib/sound/Makefile.in,
	libraries/clib/sound/alsa/Makefile.in,
	libraries/clib/sound/common/Makefile.in,
	libraries/clib/sound/esd/Makefile.in,
	libraries/clib/zip/Makefile.in,
	libraries/extensions/Makefile.in,
	libraries/extensions/comm/Makefile.in,
	libraries/extensions/comm/javalib/Makefile.in,
	libraries/extensions/microsoft/Makefile.in,
	libraries/extensions/microsoft/clib/Makefile.in,
	libraries/extensions/microsoft/javalib/Makefile.in,
	libraries/extensions/pjava/Makefile.in,
	libraries/extensions/pjava/javalib/Makefile.in,
	libraries/extensions/servlet/Makefile.in,
	libraries/extensions/servlet/javalib/Makefile.in,
	libraries/javalib/Makefile.in,
	po/zh_TW.po,
	replace/Makefile.in,
	test/Makefile.in,
	test/internal/Makefile.in,
	test/jni/Makefile.in,
	test/regression/Makefile.in,
	test/regression/compile_time/Makefile.in,
	test/regression/compiler/Makefile.in,
	test/regression/run_time/Makefile.in,
	tools/Makefile.in,
	tools/gjdoc/Makefile.in,
	tools/gjdoc/javalib/Makefile.in: Regenerated.

2004-07-10  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/support.c:
	Fixed broken '#if defined' tests for NO_HOLES, 
	PROMOTE_jfloat2jdouble in order to fix make check
	failures on x86_64-linux.

	Reported by: Gwenole Beauchesne  <gbeauchesne@mandrakesoft.com>
		
2004-07-10  Helmer Kraemer  <hkraemer@freenet.de>

	* Makefile.am (kaffe-build-order): don't use -C option since it's
	not available on all makes

	* Makefile.in: regenerated
	
	Reported by: Riccardo Mottola  <zuse@libero.it>

2004-07-10  Guilhem Lavaux <guilhem@kaffe.org>

	* kaffe/kaffevm/ksem.c: Removed a commented assertion.

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c
	(suspend_signal_handler): Use sigwait instead of
	sigsuspend (needed on SunOS).
	(jthread_init): Updated suspendSet to match sigwait interface.

	* m4/solarispthread.m4: Define _POSIX_PTHREAD_SEMANTICS on SunOS.

	* configure, libraries/clib/awt/qt/Makefile.in,
	libraries/javalib/Makefile.am, libraries/javalib/Makefile.in:
	Regenerated.

2004-07-10  Jim Huang  <jserv@kaffe.org>

	* FAQ/FAQ.awt:
	Update some information about Qt AWT backend.
	
	* WHATSNEW:
	Add new entry for gcjwebplugin

2004-07-10  Jim Huang  <jserv@kaffe.org>

	* libraries/clib/awt/qt/imggif.cc,
	libraries/clib/awt/qt/imgjpeg.cc,
	libraries/clib/awt/qt/imgpng.cc:
	removed.
	
	* libraries/clib/awt/qt/Makefile.am,
	libraries/clib/awt/qt/Makefile.in:
	Remove useless imggif.cc, imgjpeg.cc, and imgpng.cc
	because Qt AWT backend handles images via Qt toolkit.
	Update copyright note.

	* libraries/clib/awt/qt/cbd.cc,
	libraries/clib/awt/qt/clr.cc,
	libraries/clib/awt/qt/evt.cc,
	libraries/clib/awt/qt/evt.h,
	libraries/clib/awt/qt/fnt.cc,
	libraries/clib/awt/qt/gra.cc,
	libraries/clib/awt/qt/img.cc,
	libraries/clib/awt/qt/keysyms.h,
	libraries/clib/awt/qt/tlk.cc,
	libraries/clib/awt/qt/tlkprops.h,
	libraries/clib/awt/qt/toolkit.h,
	libraries/clib/awt/qt/wnd.cc:
	Clean up X specific comments and macros for advanced
	refactoring.
	Better way to dump debug messages.
	Update copyright note.

2004-07-09  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/profiles/default/coreawt.files,
	libraries/javalib/profiles/default/moreawt.files:
	Moved gnu/java/awt/EmbeddedWindow.java, 
	gnu/java/awt/EmbeddedWindowSupport.java and
	gnu/java/awt/peer/EmbeddedWindowPeer.java to moreawt.files
	to fix build with kjc.

2004-07-09  Guilhem Lavaux <guilhem@kaffe.org>

	* kaffe/kaffevm/jni/jni-base.c
	(KaffeJNI_ParseArgs): Added support for '-Xbootclasspath' family.

	* test/jni/Makefile.am, test/jni/jniBase.c,
	test/jni/jniExecClass.c, test/jni/HelloWorldApp.class: New files.

	* configure.ac: Added test/jni/Makefile.

	* test/Makefile.am: Added 'jni' subdirectory.

	* test/jni/Makefile.in, test/Makefile.in, configure: Regenerated.

2004-07-09  Guilhem Lavaux <guilhem@kaffe.org>

	* kaffe/kaffevm/external.c
	(discoverLibraryHome): Embrace between ENABLE_BINRELOC.

	* kaffe/kaffevm/jit3/constpool.c
	(constPoolTypeNames): Added 'const' (fix a warning).

	* kaffe/kaffevm/systems/unix-pthreads/signal.c
	(detectStackBoundaries): Check whether the previous handler
	was NULL for SIGSEGV and SIGBUS before reregistering it.

	* config/i386/jit3-i386.def
	(rnames): Added 'const' (fix a warning).

2004-07-09  Jim Huang  <jserv@kaffe.org>

	* libraries/javalib/profiles/default/coreawt.files,
	* libraries/javalib/profiles/allatonce/all.files,
	* libraries/javalib/Makefile.in,
	* libraries/javalib/Makefile.am:
	add entry to GNU EmbbededWindow extension

	* libraries/javalib/gnu/java/awt/EmbeddedWindow.java,
	* libraries/javalib/gnu/java/awt/EmbeddedWindowSupport.java,
	* libraries/javalib/gnu/java/awt/peer/EmbeddedWindowPeer.java:
	GNU EmbbededWindow extension from GNU Classpath. This is necessary
	for making use of gcjwebplugin.
	Note: java-awt loading mechanism is disabled because of not importing
	to Kaffe yet.
	
2004-07-09  Jim Huang  <jserv@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/signal.c
	(registerSignalHandler): Add missing declaration of oldact.

2004-07-08  Jim Huang  <jserv@kaffe.org>

	* po/zh_TW.po: Updated and fix minor typo

2004-07-08  Guilhem Lavaux <guilhem@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/signal.c: Compilation fixes.

2004-07-08  Guilhem Lavaux <guilhem@kaffe.org>

	* config/i386/linux/md.[ch]: Fixed use of stack base/end.

	* kaffe/kaffevm/external.c
	(discoverLibraryHome, initNative): binreloc support for native libraries.

	* kaffe/kaffevm/jni/jni-base.c: Added inclusion of support.h for
	userProperty.

	* kaffe/kaffevm/systems/unix-jthreads/jqueue.c
	(KaffeDestroyPool): Added an assertion checking to ease debug.
	(KaffeCreatePool): Likewise.

	* kaffe/kaffevm/systems/unix-jthreads/signal.c,
	kaffe/kaffevm/systems/unix-pthreads/signal.c:
	(detectStackBoundaries) Cleaned some weird code I have written.

	* kaffe/kaffevm/systems/unix-pthreads/jsignal.h,
	kaffe/kaffevm/systems/unix-pthreads/signal.c:
	(registerSyncHandler, registerAsyncHandler): Made them return a
	pointer to the previous handler.

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c
	(jthread_attach_current_thread): Detect stack boundaries for the
	thread to be attached.

	* configure.ac: Check for sys/param.h

	* config/config-io.h: If sys/param.h is available include it.

	* config/config.h.in, configure: Regenerated.

	* po/fr.po, po/zh_TW.po, po/kaffe.pot: Regenerated.

2004-07-08  Helmer Kraemer  <hkraemer@freenet.de>

	* Makefile.am (kaffe-build-order): new target invoking make in the
	different directories
	(clean-local): new target so make clean works again

	* tools/gjdoc/javalib/Makefile.am (clean-hook): renamed to clean-local

	* Makefile.in, tools/gjdoc/javalib/Makefile.in: regenerated

	Reported by:  Fabien Renaud  <renaud@nentec.de>

2004-07-08  Gwenole Beauchesne  <gbeauchesne@mandrakesoft.com>

	* config/x86_64//linux/md.h (SIGNAL_ARGS, SIGNAL_CONTEXT_POINTER):
	Kernel sends an (ucontext_t *) to the signal handler.
	* config/x86_64/linux/sigcontextinfo.h
	(REG_RIP, REG_RBP, REG_RSP): Define.
	(GET_PC, GET_FRAME, GET_STACK): Use uc_mcontext.gregs[].

2004-07-08  Gwenole Beauchesne  <gbeauchesne@mandrakesoft.com>

	* kaffe/kaffevm/systems/unix-jthreads/signal.c
	(detectStackBoundaries): Fix initialization of guessPointer on
	64-bit platforms.
	* kaffe/kaffevm/systems/unix-pthreads/signal.c
	(detectStackBoundaries): Likewise.

2004-07-08  Helmer Kraemer  <hkraemer@freenet.de>

	* libraries/clib/native/System.c (java_lang_System_initProperties): 
	don't free prop->value, since it's in the same string as prop->key

	* libraries/clib/io/ObjectInputStream.c (getFieldAddress): new function
	(java_io_VMObjectStreamClass_setBooleanNative, java_io_VMObjectStreamClass_setByteNative,
	java_io_VMObjectStreamClass_setCharNative,  java_io_VMObjectStreamClass_setShortNative,
	java_io_VMObjectStreamClass_setIntNative, java_io_VMObjectStreamClass_setLongNative,
	java_io_VMObjectStreamClass_setFloatNative, java_io_VMObjectStreamClass_setDoubleNative,
	java_io_VMObjectStreamClass_setObjectNative): don't use java_lang_reflect_Field_*
	methods for setting the field, since they're in another libtool module
	
2004-07-08  Dalibor Topic  <robilad@kaffe.org>
	    Yoshiharu Oba  <ooba@gk.avkk.yamaha.co.jp>

	* kaffe/kaffevm/debug.c:
	Only use jit_debug if both TRANSLATOR and 
	KAFFEVM_DEBUG are defined. Fixes link errors on
	mipsel-linux.

2004-07-08  Dalibor Topic  <robilad@kaffe.org>

        * config/mips/atomicity.h:
	New file, taken from glibc 2.3.2.

	* THIRDPARTY: Documented MIPS atomicity.h merge.

        * config/Makefile.am:
	(EXTRA_DIST) Added config/mips/atomicity.h.

        * config/Makefile.in:
	Regenerated.

        * config/mips/common.h:
	Use config/mips/atomicity.h for compare_and_swap for MIPS
	platofrms with MIPS2 instructions.

2004-07-07  Dalibor Topic  <robilad@kaffe.org>

        * configure.ac:
	Removed code to generate JNICALL and friends. 

        * config/mips/jit.h,
        config/mips/sysdepCallMethod.h,
        config/mips/threads.h:
	Include sgidefs.h.

        * include/jni.h:
	Merged in code to set JNICALL and friends properly on 
	Windows from gcj.

        * Makefile.in,
        configure,
        config/Makefile.in,
        config/config.h.in,
        kaffe/Makefile.in,
        kaffe/jvmpi/Makefile.in,
        kaffe/kaffe/Makefile.in,
        kaffe/kaffeh/Makefile.in,
        kaffe/kaffevm/gcj/Makefile.in,
        kaffe/kaffevm/intrp/Makefile.in,
        kaffe/kaffevm/jit/Makefile.in,
        kaffe/kaffevm/jit3/Makefile.in,
        kaffe/kaffevm/systems/Makefile.in,
        kaffe/kaffevm/systems/beos-native/Makefile.in,
        kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
        kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
        kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
        kaffe/kaffevm/verifier/Makefile.in,
        kaffe/man/Makefile.in,
        kaffe/scripts/Makefile.in,
        kaffe/scripts/bat/Makefile.in,
        kaffe/scripts/compat/Makefile.in,
        kaffe/xprof/Makefile.in,
        libraries/Makefile.in,
        libraries/clib/Makefile.in,
        libraries/clib/awt/Makefile.in,
        libraries/clib/awt/X/Makefile.in,
        libraries/clib/awt/qt/Makefile.in,
        libraries/clib/io/Makefile.in,
        libraries/clib/libxmlj/Makefile.in,
        libraries/clib/management/Makefile.in,
        libraries/clib/math/Makefile.in,
        libraries/clib/native/Makefile.in,
        libraries/clib/net/Makefile.in,
        libraries/clib/nio/Makefile.in,
        libraries/clib/security/Makefile.in,
        libraries/clib/sound/Makefile.in,
        libraries/clib/sound/alsa/Makefile.in,
        libraries/clib/sound/common/Makefile.in,
        libraries/clib/sound/esd/Makefile.in,
        libraries/clib/zip/Makefile.in,
        libraries/extensions/Makefile.in,
        libraries/extensions/comm/Makefile.in,
        libraries/extensions/comm/javalib/Makefile.in,
        libraries/extensions/microsoft/Makefile.in,
        libraries/extensions/microsoft/clib/Makefile.in,
        libraries/extensions/microsoft/javalib/Makefile.in,
        libraries/extensions/pjava/Makefile.in,
        libraries/extensions/pjava/javalib/Makefile.in,
        libraries/extensions/servlet/Makefile.in,
        libraries/extensions/servlet/javalib/Makefile.in,
        libraries/javalib/Makefile.in,
        replace/Makefile.in,
        test/Makefile.in,
        test/internal/Makefile.in,
        test/regression/Makefile.in,
        test/regression/compile_time/Makefile.in,
        test/regression/compiler/Makefile.in,
        test/regression/run_time/Makefile.in,
        tools/Makefile.in,
        tools/gjdoc/Makefile.in,
        tools/gjdoc/javalib/Makefile.in:
	Regenerated.

2004-07-07  Dalibor Topic  <robilad@kaffe.org>
	    Yoshiharu Oba  <ooba@gk.avkk.yamaha.co.jp>

	* configure.ac:
	Added check for sgidefs.h.

2004-07-07  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/signal.c:
	(nullException) Changed to use SIGNAL_ARGS in declaration.
